<?php 
/* customizer */
$rima_cache_time_google_fonts = get_option('rima_cache_time_google_fonts');
$diff = time() - $rima_cache_time_google_fonts;
$crt = 604800;
$google_fonts = $google_fonts_vc = array();
function rima_sanitize_text_html( $input ) {
  return wp_kses_post(  $input );
}
function rima_create_font_types_vc( $variants ){
	$font_types = array();
	foreach ($variants as $variant) {
		switch ($variant) {
			case '100':
				$font_types[] = 'Thin:100:normal';
				break;
			case '100italic':
				$font_types[] = 'Thin italic:100:italic';
				break;
			case '200':
				$font_types[] = 'Extra-Light:200:normal';
				break;
			case '200italic':
				$font_types[] = 'Extra-Light italic:200:italic';
				break;
			case '300':
				$font_types[] = 'Light:300:normal';
				break;
			case '300italic':
				$font_types[] = 'Light italic:300:italic';
				break;
			case '500':
				$font_types[] = 'Medium:500:normal';
				break;
			case '500italic':
				$font_types[] = 'Medium italic:500:italic';
				break;
			case '600':
				$font_types[] = 'Semi-bold:600:normal';
				break;
			case '600italic':
				$font_types[] = 'Semi-bold italic:600:italic';
				break;
			case '700':
				$font_types[] = 'Bold:700:normal';
				break;
			case '700italic':
				$font_types[] = 'Bold italic:700:italic';
				break;
			case '800':
				$font_types[] = 'Extra-bold:800:normal';
				break;
			case '800italic':
				$font_types[] = 'Extra-bold italic:800:italic';
				break;
			case '900':
				$font_types[] = 'Black:900:normal';
				break;
			case '900italic':
				$font_types[] = 'Black italic:900:italic';
				break;
			case 'italic':
				$font_types[] = 'Regular italic:400:italic';
			case 'regular':
				$font_types[] = 'Regular:400:normal';
			default:
				
				break;
		}
	}
	$tmp = implode(',', $font_types);
	return $tmp;
}
if( $diff >= $crt || empty($rima_cache_time_google_fonts ) ){
	$url = "http://www.artstudioworks.net/webfonts/fonts.json";
	$tmpresult = wp_remote_get($url);
	$result = wp_remote_retrieve_body( $tmpresult );
	$result = json_decode($result, TRUE);
	if(is_array($result)){
		foreach ( $result['items'] as $font ) {
		    $google_fonts[] = $font['family'];
		    $temp_font = (object)array(); 
		    $temp_font->font_family = $font['family'];
		    $temp_font->font_types = rima_create_font_types_vc($font['variants']);
		    if( in_array('italic', $font['variants'] ) ){
		    	$temp_font->font_styles = 'regular,italic';
		    } else {
		    	$temp_font->font_styles = 'regular';
		    }
		    $temp_font->font_family_description = esc_html__( 'Select font family', 'rima' );
	    	$temp_font->font_style_description = esc_html__( 'Select font styling', 'rima' );
		    $google_fonts_vc[] = $temp_font;         
		}
	}
	$google_fonts = array_filter($google_fonts);
	update_option('rima_cached_google_fonts', serialize($google_fonts));
	update_option('rima_cached_google_fonts_vc', $google_fonts_vc);
	update_option('rima_cache_time_google_fonts', time());
} else {
	$google_fonts = maybe_unserialize(get_option('rima_cached_google_fonts'));
}
if(empty($google_fonts)){
	$google_fonts = array('ABeeZee','Abel','Abril Fatface','Aclonica','Acme','Actor','Adamina','Advent Pro','Aguafina Script','Akronim','Aladin','Aldrich','Alef','Alegreya','Alegreya SC','Alegreya Sans','Alegreya Sans SC','Alex Brush','Alfa Slab One','Alice','Alike','Alike Angular','Allan','Allerta','Allerta Stencil','Allura','Almendra','Almendra Display','Almendra SC','Amarante','Amaranth','Amatic SC','Amethysta','Anaheim','Andada','Andika','Angkor','Annie Use Your Telescope','Anonymous Pro','Antic','Antic Didone','Antic Slab','Anton','Arapey','Arbutus','Arbutus Slab','Architects Daughter','Archivo Black','Archivo Narrow','Arimo','Arizonia','Armata','Artifika','Arvo','Asap','Asset','Astloch','Asul','Atomic Age','Aubrey','Audiowide','Autour One','Average','Average Sans','Averia Gruesa Libre','Averia Libre','Averia Sans Libre','Averia Serif Libre','Bad Script','Balthazar','Bangers','Basic','Battambang','Baumans','Bayon','Belgrano','Belleza','BenchNine','Bentham','Berkshire Swash','Bevan','Bigelow Rules','Bigshot One','Bilbo','Bilbo Swash Caps','Bitter','Black Ops One','Bokor','Bonbon','Boogaloo','Bowlby One','Bowlby One SC','Brawler','Bree Serif','Bubblegum Sans','Bubbler One','Buda','Buenard','Butcherman','Butterfly Kids','Cabin','Cabin Condensed','Cabin Sketch','Caesar Dressing','Cagliostro','Calligraffitti','Cambo','Candal','Cantarell','Cantata One','Cantora One','Capriola','Cardo','Carme','Carrois Gothic','Carrois Gothic SC','Carter One','Caudex','Cedarville Cursive','Ceviche One','Changa One','Chango','Chau Philomene One','Chela One','Chelsea Market','Chenla','Cherry Cream Soda','Cherry Swash','Chewy','Chicle','Chivo','Cinzel','Cinzel Decorative','Clicker Script','Coda','Coda Caption','Codystar','Combo','Comfortaa','Coming Soon','Concert One','Condiment','Content','Contrail One','Convergence','Cookie','Copse','Corben','Courgette','Cousine','Coustard','Covered By Your Grace','Crafty Girls','Creepster','Crete Round','Crimson Text','Croissant One','Crushed','Cuprum','Cutive','Cutive Mono','Damion','Dancing Script','Dangrek','Dawning of a New Day','Days One','Delius','Delius Swash Caps','Delius Unicase','Della Respira','Denk One','Devonshire','Didact Gothic','Diplomata','Diplomata SC','Domine','Donegal One','Doppio One','Dorsa','Dosis','Dr Sugiyama','Droid Sans','Droid Sans Mono','Droid Serif','Duru Sans','Dynalight','EB Garamond','Eagle Lake','Eater','Economica','Ek Mukta','Electrolize','Elsie','Elsie Swash Caps','Emblema One','Emilys Candy','Engagement','Englebert','Enriqueta','Erica One','Esteban','Euphoria Script','Ewert','Exo','Exo 2','Expletus Sans','Fanwood Text','Fascinate','Fascinate Inline','Faster One','Fasthand','Fauna One','Federant','Federo','Felipa','Fenix','Finger Paint','Fira Mono','Fira Sans','Fjalla One','Fjord One','Flamenco','Flavors','Fondamento','Fontdiner Swanky','Forum','Francois One','Freckle Face','Fredericka the Great','Fredoka One','Freehand','Fresca','Frijole','Fruktur','Fugaz One','GFS Didot','GFS Neohellenic','Gabriela','Gafata','Galdeano','Galindo','Gentium Basic','Gentium Book Basic','Geo','Geostar','Geostar Fill','Germania One','Gilda Display','Give You Glory','Glass Antiqua','Glegoo','Gloria Hallelujah','Goblin One','Gochi Hand','Gorditas','Goudy Bookletter 1911','Graduate','Grand Hotel','Gravitas One','Great Vibes','Griffy','Gruppo','Gudea','Habibi','Hammersmith One','Hanalei','Hanalei Fill','Handlee','Hanuman','Happy Monkey','Headland One','Henny Penny','Herr Von Muellerhoff','Holtwood One SC','Homemade Apple','Homenaje','IM Fell DW Pica','IM Fell DW Pica SC','IM Fell Double Pica','IM Fell Double Pica SC','IM Fell English','IM Fell English SC','IM Fell French Canon','IM Fell French Canon SC','IM Fell Great Primer','IM Fell Great Primer SC','Iceberg','Iceland','Imprima','Inconsolata','Inder','Indie Flower','Inika','Irish Grover','Istok Web','Italiana','Italianno','Jacques Francois','Jacques Francois Shadow','Jim Nightshade','Jockey One','Jolly Lodger','Josefin Sans','Josefin Slab','Joti One','Judson','Julee','Julius Sans One','Junge','Jura','Just Another Hand','Just Me Again Down Here','Kameron','Kantumruy','Karla','Kaushan Script','Kavoon','Kdam Thmor','Keania One','Kelly Slab','Kenia','Khmer','Kite One','Knewave','Kotta One','Koulen','Kranky','Kreon','Kristi','Krona One','La Belle Aurore','Lancelot','Lato','League Script','Leckerli One','Ledger','Lekton','Lemon','Libre Baskerville','Life Savers','Lilita One','Lily Script One','Limelight','Linden Hill','Lobster','Lobster Two','Londrina Outline','Londrina Shadow','Londrina Sketch','Londrina Solid','Lora','Love Ya Like A Sister','Loved by the King','Lovers Quarrel','Luckiest Guy','Lusitana','Lustria','Macondo','Macondo Swash Caps','Magra','Maiden Orange','Mako','Marcellus','Marcellus SC','Marck Script','Margarine','Marko One','Marmelad','Marvel','Mate','Mate SC','Maven Pro','McLaren','Meddon','MedievalSharp','Medula One','Megrim','Meie Script','Merienda','Merienda One','Merriweather','Merriweather Sans','Metal','Metal Mania','Metamorphous','Metrophobic','Michroma','Milonga','Miltonian','Miltonian Tattoo','Miniver','Miss Fajardose','Modern Antiqua','Molengo','Molle','Monda','Monofett','Monoton','Monsieur La Doulaise','Montaga','Montez','Montserrat','Montserrat Alternates','Montserrat Subrayada','Moul','Moulpali','Mountains of Christmas','Mouse Memoirs','Mr Bedfort','Mr Dafoe','Mr De Haviland','Mrs Saint Delafield','Mrs Sheppards','Muli','Mystery Quest','Neucha','Neuton','New Rocker','News Cycle','Niconne','Nixie One','Nobile','Nokora','Norican','Nosifer','Nothing You Could Do','Noticia Text','Noto Sans','Noto Serif','Nova Cut','Nova Flat','Nova Mono','Nova Oval','Nova Round','Nova Script','Nova Slim','Nova Square','Numans','Nunito','Odor Mean Chey','Offside','Old Standard TT','Oldenburg','Oleo Script','Oleo Script Swash Caps','Open Sans','Open Sans Condensed','Oranienbaum','Orbitron','Oregano','Orienta','Original Surfer','Oswald','Over the Rainbow','Overlock','Overlock SC','Ovo','Oxygen','Oxygen Mono','PT Mono','PT Sans','PT Sans Caption','PT Sans Narrow','PT Serif','PT Serif Caption','Pacifico','Paprika','Parisienne','Passero One','Passion One','Pathway Gothic One','Patrick Hand','Patrick Hand SC','Patua One','Paytone One','Peralta','Permanent Marker','Petit Formal Script','Petrona','Philosopher','Piedra','Pinyon Script','Pirata One','Plaster','Play','Playball','Playfair Display','Playfair Display SC','Podkova','Poiret One','Poller One','Poly','Pompiere','Pontano Sans','Port Lligat Sans','Port Lligat Slab','Prata','Preahvihear','Press Start 2P','Princess Sofia','Prociono','Prosto One','Puritan','Purple Purse','Quando','Quantico','Quattrocento','Quattrocento Sans','Questrial','Quicksand','Quintessential','Qwigley','Racing Sans One','Radley','Raleway','Raleway Dots','Rambla','Rammetto One','Ranchers','Rancho','Rationale','Redressed','Reenie Beanie','Revalia','Ribeye','Ribeye Marrow','Righteous','Risque','Roboto','Roboto Condensed','Roboto Slab','Rochester','Rock Salt','Rokkitt','Romanesco','Ropa Sans','Rosario','Rosarivo','Rouge Script','Rubik Mono One','Rubik One','Ruda','Rufina','Ruge Boogie','Ruluko','Rum Raisin','Ruslan Display','Russo One','Ruthie','Rye','Sacramento','Sail','Salsa','Sanchez','Sancreek','Sansita One','Sarina','Satisfy','Scada','Schoolbell','Seaweed Script','Sevillana','Seymour One','Shadows Into Light','Shadows Into Light Two','Shanti','Share','Share Tech','Share Tech Mono','Shojumaru','Short Stack','Siemreap','Sigmar One','Signika','Signika Negative','Simonetta','Sintony','Sirin Stencil','Six Caps','Skranji','Slackey','Smokum','Smythe','Sniglet','Snippet','Snowburst One','Sofadi One','Sofia','Sonsie One','Sorts Mill Goudy','Source Code Pro','Source Sans Pro','Source Serif Pro','Special Elite','Spicy Rice','Spinnaker','Spirax','Squada One','Stalemate','Stalinist One','Stardos Stencil','Stint Ultra Condensed','Stint Ultra Expanded','Stoke','Strait','Sue Ellen Francisco','Sunshiney','Supermercado One','Suwannaphum','Swanky and Moo Moo','Syncopate','Tangerine','Taprom','Tauri','Telex','Tenor Sans','Text Me One','The Girl Next Door','Tienne','Tinos','Titan One','Titillium Web','Trade Winds','Trocchi','Trochut','Trykker','Tulpen One','Ubuntu','Ubuntu Condensed','Ubuntu Mono','Ultra','Uncial Antiqua','Underdog','Unica One','UnifrakturCook','UnifrakturMaguntia','Unkempt','Unlock','Unna','VT323','Vampiro One','Varela','Varela Round','Vast Shadow','Vibur','Vidaloka','Viga','Voces','Volkhov','Vollkorn','Voltaire','Waiting for the Sunrise','Wallpoet','Walter Turncoat','Warnes','Wellfleet','Wendy One','Wire One','Yanone Kaffeesatz','Yellowtail','Yeseva One','Yesteryear','Zeyada');
}

if ( ! function_exists( 'rima_helper_vc_fonts' ) ) {
	function rima_helper_vc_fonts( $fonts_list ) {

		$google_fonts_vc = get_option('rima_cached_google_fonts_vc');
		
		if( !empty($google_fonts_vc) ) {
			$fonts_list = $google_fonts_vc;
		}
	    
	    return $fonts_list;
	}
}
add_filter('vc_google_fonts_get_fonts_filter', 'rima_helper_vc_fonts');

function rima_register_theme_customizer( $wp_customize ) {

	/**
	 * Multiple checkbox customize control class.
	 *
	 * @since  1.0.0
	 * @access public
	 */
	class Rima_Customize_Control_Checkbox_Multiple extends WP_Customize_Control {

	    /**
	     * The type of customize control being rendered.
	     *
	     * @since  1.0.0
	     * @access public
	     * @var    string
	     */
	    public $type = 'checkbox-multiple';

	    /**
	     * Enqueue scripts/styles.
	     *
	     * @since  1.0.0
	     * @access public
	     * @return void
	     */
	    public function enqueue() {
	        wp_enqueue_script( 'js-for-customize' );
	    }

	    /**
	     * Displays the control content.
	     *
	     * @since  1.0.0
	     * @access public
	     * @return void
	     */
	    public function render_content() {

	        if ( empty( $this->choices ) )
	            return; ?>

	        <?php if ( !empty( $this->label ) ) : ?>
	            <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
	        <?php endif; ?>

	        <?php if ( !empty( $this->description ) ) : ?>
	            <span class="description customize-control-description"><?php echo esc_html($this->description); ?></span>
	        <?php endif; ?>

	        <?php $multi_values = !is_array( $this->value() ) ? explode( ',', $this->value() ) : $this->value(); ?>

	        <ul>
	            <?php foreach ( $this->choices as $value => $label ) : ?>

	                <li>
	                    <label>
	                        <input type="checkbox" value="<?php echo esc_attr( $value ); ?>" <?php checked( in_array( $value, $multi_values ) ); ?> />
	                        <?php echo esc_html( $label ); ?>
	                    </label>
	                </li>

	            <?php endforeach; ?>
	        </ul>

	        <input type="hidden" <?php $this->link(); ?> value="<?php echo esc_attr( implode( ',', $multi_values ) ); ?>" />
	    <?php }
	}
	/**
	* Custom Customizer Control: Sortable Checkboxes
	* @link https://shellcreeper.com/?p=1503
	*/
	class Rima_Control_Image_Select extends WP_Customize_Control {
	 
	    public function enqueue(){
	        wp_enqueue_style( 'css-for-customize' );
	        wp_enqueue_script( 'js-for-customize' );
	        
	    }

	    public function render_content(){

	        if ( empty( $this->choices ) ){ return; }
	 
	        if ( ! empty( $this->label ) ) : ?>
					<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
				<?php endif;
				if ( ! empty( $this->description ) ) : ?>
					<span class="description customize-control-description"><?php echo esc_html($this->description) ; ?></span>
			<?php endif;

	        $html = array();
			$tpl  = '<label class="asw-image-select"><img src="%s"><input type="%s" class="hidden" name="%s" value="%s" %s%s></label>';
			$field = $this->input_attrs;
			foreach ( $this->choices as $value => $image )
			{
				$html[] = sprintf(
					$tpl,
					$image,
					$field['multiple'] ? 'checkbox' : 'radio',
					$this->id,
					esc_attr( $value ),
					$this->get_link(),
					checked( $this->value(), $value, false )
				);
			}
			echo implode(' ', $html); 
	    }
	}
	global $google_fonts;
	$google_fonts = array_combine($google_fonts, $google_fonts);
	$faces = array( 
		'Arial' => 'Arial',
		'Verdana' => 'Verdana',
		'Trebuchet' => 'Trebuchet',
		'Georgia, sans-serif' => 'Georgia',
		'Times New Roman, sans-serif' => 'Times New Roman',
		'Tahoma' => 'Tahoma',
		'Palatino' => 'Palatino',
		'Helvetica, sans-serif' => 'Helvetica'
	);
	$faces = array_merge($faces, $google_fonts);
	class Rima_Customize_Control_Title extends WP_Customize_Control {

	    public function render_content(){

	        if ( empty( $this->label ) ){ return; }
	 
	        if ( ! empty( $this->label ) ) : ?>
					<h2><?php echo esc_html( $this->label ); ?>
				<?php endif;
				if ( ! empty( $this->description ) ) : ?>
					<span class="description customize-control-description"><?php echo esc_html($this->description) ; ?></span>
			</h2><?php endif; 
	    }
	}
	$wp_customize->add_panel( 'rima_theme_options', array(
	    'priority' => 1,
	    'title' => esc_html__( 'Theme Options', 'rima' ),
	    'description' => esc_html__( 'Options for theme customizing', 'rima' ),
	) );
	
	$wp_customize->add_section(
	    'rima_general_options',
	    array(
	        'title'     => esc_html__('General', 'rima'),
	        'priority'  => 1,
	        'panel' => 'rima_theme_options'
	    )
	);
	$wp_customize->add_setting(
	    'rima_page_loading',
	    array(
	        'default'    =>  true,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_page_loading',
	    array(
	        'section'   => 'rima_general_options',
	        'label'     => esc_html__('Page loading animation','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_smooth_scroll',
	    array(
	        'default'    =>  true,
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_smooth_scroll',
	    array(
	        'section'   => 'rima_general_options',
	        'label'     => esc_html__('Enable smooth scroll','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_live_search',
	    array(
	        'default'    =>  false,
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_live_search',
	    array(
	        'section'   => 'rima_general_options',
	        'label'     => esc_html__('Enable live search.','rima'),
	        'description'     => esc_html__('Enable ajax search in header search form.','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_gdpr_checkbox_consent',
	    array(
	        'default'    =>  'Save my name, email, and website in this browser for the next time I comment.',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_gdpr_checkbox_consent',
	    array(
	        'section'   => 'rima_general_options',
	        'label'     => esc_html__('Comments cookies opt-in checkbox label','rima'),
	        'description' => esc_html__('This is checkbox label in comment form','rima'),
	        'type'      => 'textarea'
	    )
	);
	if(function_exists('rima_header_meta')){
		$wp_customize->add_setting(
		    'rima_seo_settings',
		    array(
		        'default'    =>  false,
		        'transport'  =>  'postMessage',
		        'sanitize_callback' => 'sanitize_text_field',
		    )
		);
		$wp_customize->add_control(
		    'rima_seo_settings',
		    array(
		        'section'   => 'rima_general_options',
		        'label'     => esc_html__('Seo settings','rima'),
		        'description' => esc_html__('Check to disable inbuilt SEO','rima'),
		        'type'      => 'checkbox'
		    )
		);
		$wp_customize->add_setting(
		    'rima_meta_keywords',
		    array(
		        'default'            => '',
		        'transport'          => 'postMessage',
		        'sanitize_callback' => 'sanitize_text_field',
		    )
		);
		$wp_customize->add_control(
		    'rima_meta_keywords',
		    array(
		        'section'  => 'rima_general_options',
		        'label'    => esc_html__('Meta Keywords', 'rima'),
		        'description' => esc_html__('Add relevant keywords separated with commas to improve SEO.','rima'),
		        'type'     => 'textarea'
		    )
		);
		$wp_customize->add_setting(
		    'rima_meta_description',
		    array(
		        'default'            => '',
		        'transport'          => 'postMessage',
		        'sanitize_callback' => 'sanitize_text_field',
		    )
		);
		$wp_customize->add_control(
		    'rima_meta_description',
		    array(
		        'section'  => 'rima_general_options',
		        'label'    => esc_html__('Meta Description', 'rima'),
		        'description' => esc_html__('Enter a short description of the website for SEO.','rima'),
		        'type'     => 'textarea'
		    )
		);
	}
	$wp_customize->add_setting(
	    'rima_responsiveness',
	    array(
	        'default'    =>  true,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_responsiveness',
	    array(
	        'section'   => 'rima_general_options',
	        'label'     => esc_html__('Responsive Layout','rima'),
	        'description' => esc_html__('Check to enable responsiveness on your site.','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_zoom_mobile',
	    array(
	        'default'    =>  false,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_zoom_mobile',
	    array(
	        'section'   => 'rima_general_options',
	        'label'     => esc_html__('Zoom on mobile devices','rima'),
	        'description' => esc_html__('Check to enable zoom on mobile devices. It will disable responsiveness on mobiles.','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_back_to_top',
	    array(
	        'default'    =>  true,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_back_to_top',
	    array(
	        'section'   => 'rima_general_options',
	        'label'     => esc_html__('Back to top button','rima'),
	        'description' => esc_html__('Check to enable {back to top} button.','rima'),
	        'type'      => 'checkbox'
	    )
	);
	/*images crop*/
	$wp_customize->add_setting(
	    'rima_images_cropping',
	    array(
	        'default'     => '',
	        'transport'   => 'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    new Rima_Customize_Control_Title (
	        $wp_customize,
	        'rima_images_cropping',
	        array(
	            'label'      	=> esc_html__( 'Images crop settings', 'rima' ),
	            'section'		=> 'rima_general_options',
	            'settings'		=> 'rima_images_cropping',
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_crop_thumbnail',
	    array(
	        'default'    =>  true,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_crop_thumbnail',
	    array(
	        'section'   => 'rima_general_options',
	        'label'     => esc_html__('Crop thumbnail','rima'),
	        'description' => esc_html__('Check to enable cropping for thumbnail image size (160x160).','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_crop_medium',
	    array(
	        'default'    =>  true,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_crop_medium',
	    array(
	        'section'   => 'rima_general_options',
	        'label'     => esc_html__('Crop medium','rima'),
	        'description' => esc_html__('Check to enable cropping for medium image size (570x410).','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_crop_large',
	    array(
	        'default'    =>  true,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_crop_large',
	    array(
	        'section'   => 'rima_general_options',
	        'label'     => esc_html__('Crop large','rima'),
	        'description' => esc_html__('Check to enable cropping for large image size (1170x730).','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_crop_post_thumbnail',
	    array(
	        'default'    =>  true,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_crop_post_thumbnail',
	    array(
	        'section'   => 'rima_general_options',
	        'label'     => esc_html__('Crop post-thumbnail','rima'),
	        'description' => esc_html__('Check to enable cropping for post-thumbnail image size (845x550).','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_extra_medium_crop',
	    array(
	        'default'    =>  true,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_extra_medium_crop',
	    array(
	        'section'   => 'rima_general_options',
	        'label'     => esc_html__('Crop rima-extra-medium','rima'),
	        'description' => esc_html__('Check to enable cropping for rima-extra-medium image size (520x410).','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_slider_crop',
	    array(
	        'default'    =>  true,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_slider_crop',
	    array(
	        'section'   => 'rima_general_options',
	        'label'     => esc_html__('Crop rima-slider','rima'),
	        'description' => esc_html__('Check to enable cropping for rima-slider image size (1170x605).','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_fullwidth_slider_crop',
	    array(
	        'default'    =>  true,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_fullwidth_slider_crop',
	    array(
	        'section'   => 'rima_general_options',
	        'label'     => esc_html__('Crop rima-fullwidth-slider','rima'),
	        'description' => esc_html__('Check to enable cropping for rima-fullwidth-slider image size (1900x650).','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_google_map_api_key',
	    array(
	        'default'    =>  '',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_google_map_api_key',
	    array(
	        'section'   => 'rima_general_options',
	        'label'     => esc_html__('Add your google map api key to use it.','rima'),
	        'description' => esc_html__('Register your api key here https://cloud.google.com/maps-platform/','rima'),
	        'type'      => 'text'
	    )
	);
	/*******************************/
	$wp_customize->add_section(
	    'rima_blog_options',
	    array(
	        'title'     => esc_html__('Blog', 'rima'),
	        'priority'  => 4,
	        'panel' => 'rima_theme_options'
	    )
	);
	$wp_customize->add_setting(
	    'rima_blog_page_width',
	    array(
	        'default'    =>  'container',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_blog_page_width',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Blog page width','rima'),
	        'description'     => esc_html__('Select blog page width container/fullwidth.','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'container' => esc_html__('Container', 'rima'),
	        	'fullwidth' => esc_html__( 'Fullwidth', 'rima' ),
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_sidebar_pos',
	    array(
	        'default'     => 'sidebar-right',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    new Rima_Control_Image_Select (
	        $wp_customize,
	        'rima_sidebar_pos',
	        array(
	            'label'      	=> esc_html__( 'Blog page sidebar', 'rima' ),
	            'description'	=> esc_html__('Select sidebar position on blog page, or disable it.', 'rima'),
	            'section'		=> 'rima_blog_options',
	            'settings'		=> 'rima_sidebar_pos',
	            'choices'		=> array(
	            	'sidebar-right' => get_template_directory_uri().'/framework/customizer/images/sr.png',
	            	'sidebar-left'	=> get_template_directory_uri().'/framework/customizer/images/sl.png',
	            	'none'	=> get_template_directory_uri().'/framework/customizer/images/none.png',
	            ),
	            'input_attrs' => array(
	            	'multiple' => false
	            )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_sticky_sidebar',
	    array(
	        'default'    =>  'sticky',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_sticky_sidebar',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Sidebar sticky','rima'),
	        'description'     => esc_html__('Select sidebar sticky on scroll or not.','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'sticky' => esc_html__('Sticky', 'rima'),
	        	'scrolled' => esc_html__( 'Scrolled', 'rima' ),
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_blog_posts_settings_title',
	    array(
	        'default'     => '',
	        'transport'   => 'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    new Rima_Customize_Control_Title (
	        $wp_customize,
	        'rima_blog_posts_settings_title',
	        array(
	            'label'      	=> esc_html__( 'Blog posts settings', 'rima' ),
	            'section'		=> 'rima_blog_options',
	            'settings'		=> 'rima_blog_posts_settings_title',
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_blog_page_layout',
	    array(
	        'default'    =>  'recent_posts',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_blog_page_layout',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Select layout for your blog page','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'recent_posts' => esc_html__('Recent Posts', 'rima'),
	        	'grid_posts' => esc_html__( 'Grid Posts', 'rima' ),
	        	'list_posts' => esc_html__( 'List Posts', 'rima' ),
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_blog_page_columns',
	    array(
	        'default'    =>  'span6',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_blog_page_columns',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Layout columns count','rima'),
	        'description'	=> esc_html__('Select columns count for "Grid" layout', 'rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'span6' => esc_html__('Two columns', 'rima'),
	        	'span4' => esc_html__( 'Three columns', 'rima' ),
	        	'span3' => esc_html__( 'Four columns', 'rima' ),
	        	'one_fifth' => esc_html__( 'Five columns', 'rima' ),
	        	'span2' => esc_html__( 'Six columns', 'rima' ),
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_blog_post_style',
	    array(
	        'default'    =>  'style_1',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_blog_post_style',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Select posts style on preview','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'style_1' => esc_html__('Simple', 'rima'),
	        	'style_2' => esc_html__( 'Boxed', 'rima' ),
	        	'style_3' => esc_html__( 'Accent', 'rima' ),
	        	'style_4' => esc_html__( 'List style', 'rima' ),
	        	'style_5' => esc_html__( 'Meta info under title', 'rima' ),
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_blog_display_post_pagination',
	    array(
	        'default'    =>  'standard',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_blog_display_post_pagination',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Blog Posts pagination','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'standard' => esc_html__('Standard pagination', 'rima'),
	        	'true' => esc_html__( 'Ajax Load More', 'rima' ),
	        	'disable' => esc_html__( 'Disable', 'rima' ),
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_display_post_categories',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_display_post_categories',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Show categories?','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Show', 'rima'),
	        	'false' => esc_html__( 'Hide', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_display_post_comments',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_display_post_comments',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Show comments count?','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Show', 'rima'),
	        	'false' => esc_html__( 'Hide', 'rima' )
	        )
	    )
	);
	$imageSizes = get_intermediate_image_sizes();
	$imageSizes[]= 'full';
	$imageSizes = array_combine($imageSizes, $imageSizes);
	$wp_customize->add_setting(
	    'rima_blog_page_thumbsize',
	    array(
	        'default'    =>  'post-thumbnail',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_blog_page_thumbsize',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Select post thumbnail image size.','rima'),
	        'type'      => 'select',
	        'choices'	=> $imageSizes
	    )
	);
	$wp_customize->add_setting(
	    'rima_display_post_readtime',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_display_post_readtime',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Show time read?','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Show', 'rima'),
	        	'false' => esc_html__( 'Hide', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_display_post_readmore',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_display_post_readmore',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Show read more?','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Show', 'rima'),
	        	'false' => esc_html__( 'Hide', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_display_post_sharebox',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_display_post_sharebox',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Show share icons?','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Show', 'rima'),
	        	'false' => esc_html__( 'Hide', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_display_post_featured',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_display_post_featured',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Highlight featured post?','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Yes', 'rima'),
	        	'false' => esc_html__( 'No', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_display_featured_img_preview',
	    array(
	        'default'    =>  true,
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_display_featured_img_preview',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Post format on preview','rima'),
	        'description' => esc_html__('Check this if you need to display on preview featured image instead of post format (video, gallery, audio, etc.). It will overwrite option globally.','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_disable_featured_image_when_readmore',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_disable_featured_image_when_readmore',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Featured image when read more tag','rima'),
	        'description'     => esc_html__('Select Disable/Enable featured image/post format on preview when post has read more tag.','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Disable', 'rima'),
	        	'false' => esc_html__( 'Enable', 'rima' ),
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_blog_excerpt_count',
	    array(
	        'default'    =>  '50',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_blog_excerpt_count',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Blog excerpt count','rima'),
	        'description' => esc_html__('Enter excerpt count for blog page.','rima'),
	        'type'      => 'text'
	    )
	);
	$wp_customize->add_setting(
	    'rima_post_slider_settings_title',
	    array(
	        'default'     => '',
	        'transport'   => 'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    new Rima_Customize_Control_Title (
	        $wp_customize,
	        'rima_post_slider_settings_title',
	        array(
	            'label'      	=> esc_html__( 'Blog slider settings', 'rima' ),
	            'section'		=> 'rima_blog_options',
	            'settings'		=> 'rima_post_slider_settings_title',
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_home_slider',
	    array(
	        'default'    =>  false,
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_home_slider',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Blog page slider','rima'),
	        'description' => esc_html__('Check to enable blog page slider.','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_home_slides_count',
	    array(
	        'default'    =>  '3',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_home_slides_count',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Home page slider slides count','rima'),
	        'description' => esc_html__('Enter slides count for home page slider.','rima'),
	        'type'      => 'number'
	    )
	);
	$wp_customize->add_setting(
	    'rima_home_slider_posts',
	    array(
	        'default'    =>  '',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_home_slider_posts',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Slider posts IDs','rima'),
	        'description' => esc_html__('Enter posts IDs to display only those records (Note: separate values by commas (,)).','rima'),
	        'type'      => 'text'
	    )
	);
	$wp_customize->add_setting(
	    'rima_home_slider_slideshow',
	    array(
	        'default'    =>  true,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_home_slider_slideshow',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Slideshow','rima'),
	        'description' => esc_html__('Check to enable autoplay.','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_home_slider_loop',
	    array(
	        'default'    =>  false,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_setting(
	    'rima_home_slider_show_categories',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_home_slider_show_categories',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Show categories','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Show', 'rima'),
	        	'false' => esc_html__( 'Hide', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_home_slider_show_read_more',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_home_slider_show_read_more',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Show read more button','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Show', 'rima'),
	        	'false' => esc_html__( 'Hide', 'rima' )
	        )
	    )
	);
	$wp_customize->add_control(
	    'rima_home_slider_loop',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Loop','rima'),
	        'description' => esc_html__('Check to enable loop.','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_home_slider_style',
	    array(
	        'default'    =>  'center',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_home_slider_style',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Slider layout','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'center' => esc_html__('Centered', 'rima'),
	        	'simple' => esc_html__( 'Simple', 'rima' ),
	        	'three_per_row' => esc_html__( 'Three per row', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_home_slider_description',
	    array(
	        'default'    =>  'style_1',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_home_slider_description',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Description style','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'style_1' => esc_html__('Style 1', 'rima'),
	        	'style_2' => esc_html__( 'Style 2', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_home_slider_width',
	    array(
	        'default'    =>  'fullwidth',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_home_slider_width',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Slider width','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'fullwidth' => esc_html__('Fullwidth', 'rima'),
	        	'container' => esc_html__( 'Container', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_post_single_settings_title',
	    array(
	        'default'     => '',
	        'transport'   => 'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    new Rima_Customize_Control_Title (
	        $wp_customize,
	        'rima_post_single_settings_title',
	        array(
	            'label'      	=> esc_html__( 'Single post view', 'rima' ),
	            'section'		=> 'rima_blog_options',
	            'settings'		=> 'rima_post_single_settings_title',
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_single_post_layout',
	    array(
	        'default'    =>  'default',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_single_post_layout',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Single post layout','rima'),
	        'description'     => esc_html__('Select your single post layout by default. Also, you can select "single post layout" for specific post.','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'default' => esc_html__('Standard', 'rima'),
	        	'wide' => esc_html__( 'Wide', 'rima' ),
	        	'nosidebar' => esc_html__( 'Wide Alt', 'rima' ),
	        	'fullwidth' => esc_html__( 'Fullwidth', 'rima' ),
	        	'sideimage' => esc_html__( 'Side', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_single_post_image_size',
	    array(
	        'default'    =>  'default',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$imageSizes2 = $imageSizes;
	$imageSizes2['default'] = esc_html__('Default', 'rima');
	$wp_customize->add_control(
	    'rima_single_post_image_size',
	    array(
	        'section'   => 'rima_blog_options',
	        'label'     => esc_html__('Single post view image size.','rima'),
	        'type'      => 'select',
	        'choices'	=> $imageSizes2
	    )
	);
	/*******************************/
	$wp_customize->add_section(
	    'rima_archive_options',
	    array(
	        'title'     => esc_html__('Archive page', 'rima'),
	        'priority'  => 4,
	        'panel'		=> 'rima_theme_options'
	    )
	);
	$wp_customize->add_setting(
	    'rima_archive_page_layout',
	    array(
	        'default'    =>  'recent_posts',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_archive_page_layout',
	    array(
	        'section'   => 'rima_archive_options',
	        'label'     => esc_html__('Select layout for your archive page','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'recent_posts' => esc_html__('Recent Posts', 'rima'),
	        	'grid_posts' => esc_html__( 'Grid Posts', 'rima' ),
	        	'list_posts' => esc_html__( 'List Posts', 'rima' ),
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_archive_page_columns',
	    array(
	        'default'    =>  'span6',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_archive_page_columns',
	    array(
	        'section'   => 'rima_archive_options',
	        'label'     => esc_html__('Layout columns count','rima'),
	        'description'	=> esc_html__('Select columns count for "Grid" layout', 'rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'span6' => esc_html__('Two columns', 'rima'),
	        	'span4' => esc_html__( 'Three columns', 'rima' ),
	        	'span3' => esc_html__( 'Four columns', 'rima' ),
	        	'span2' => esc_html__( 'Six columns', 'rima' ),
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_archive_post_style',
	    array(
	        'default'    =>  'style_1',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_archive_post_style',
	    array(
	        'section'   => 'rima_archive_options',
	        'label'     => esc_html__('Select posts style on preview','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'style_1' => esc_html__('Simple', 'rima'),
	        	'style_2' => esc_html__( 'Boxed', 'rima' ),
	        	'style_3' => esc_html__( 'Accent', 'rima' ),
	        	'style_4' => esc_html__( 'List style', 'rima' ),
	        	'style_5' => esc_html__( 'Meta info under title', 'rima' ),
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_archive_post_comments',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_archive_post_comments',
	    array(
	        'section'   => 'rima_archive_options',
	        'label'     => esc_html__('Show comments count?','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Show', 'rima'),
	        	'false' => esc_html__( 'Hide', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_archive_page_thumbsize',
	    array(
	        'default'    =>  'post-thumbnail',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_archive_page_thumbsize',
	    array(
	        'section'   => 'rima_archive_options',
	        'label'     => esc_html__('Select post thumbnail image size.','rima'),
	        'type'      => 'select',
	        'choices'	=> $imageSizes
	    )
	);
	$wp_customize->add_setting(
	    'rima_archive_post_readtime',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_archive_post_readtime',
	    array(
	        'section'   => 'rima_archive_options',
	        'label'     => esc_html__('Show time read?','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Show', 'rima'),
	        	'false' => esc_html__( 'Hide', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_archive_post_readmore',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_archive_post_readmore',
	    array(
	        'section'   => 'rima_archive_options',
	        'label'     => esc_html__('Show read more?','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Show', 'rima'),
	        	'false' => esc_html__( 'Hide', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_archive_post_sharebox',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_archive_post_sharebox',
	    array(
	        'section'   => 'rima_archive_options',
	        'label'     => esc_html__('Show share icons?','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Show', 'rima'),
	        	'false' => esc_html__( 'Hide', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_archive_excerpt_count',
	    array(
	        'default'    =>  '17',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_archive_excerpt_count',
	    array(
	        'section'   => 'rima_archive_options',
	        'label'     => esc_html__('Archive posts excerpt count','rima'),
	        'description' => esc_html__('Enter excerpt count for category/tag page.','rima'),
	        'type'      => 'text'
	    )
	);
	/*******************************/
	/*******************************/
	$wp_customize->add_section(
	    'rima_search_options',
	    array(
	        'title'     => esc_html__('Search page', 'rima'),
	        'priority'  => 4,
	        'panel'		=> 'rima_theme_options'
	    )
	);
	$wp_customize->add_setting(
	    'rima_search_page_layout',
	    array(
	        'default'    =>  'recent_posts',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_search_page_layout',
	    array(
	        'section'   => 'rima_search_options',
	        'label'     => esc_html__('Select layout for your search page','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'recent_posts' => esc_html__('Recent Posts', 'rima'),
	        	'grid_posts' => esc_html__( 'Grid Posts', 'rima' ),
	        	'list_posts' => esc_html__( 'List Posts', 'rima' ),
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_search_page_columns',
	    array(
	        'default'    =>  'span6',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_search_page_columns',
	    array(
	        'section'   => 'rima_search_options',
	        'label'     => esc_html__('Layout columns count','rima'),
	        'description'	=> esc_html__('Select columns count for "Grid" layout', 'rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'span6' => esc_html__('Two columns', 'rima'),
	        	'span4' => esc_html__( 'Three columns', 'rima' ),
	        	'span3' => esc_html__( 'Four columns', 'rima' ),
	        	'span2' => esc_html__( 'Six columns', 'rima' ),
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_search_post_style',
	    array(
	        'default'    =>  'style_1',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_search_post_style',
	    array(
	        'section'   => 'rima_search_options',
	        'label'     => esc_html__('Select posts style on preview','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'style_1' => esc_html__('Simple', 'rima'),
	        	'style_2' => esc_html__( 'Boxed', 'rima' ),
	        	'style_3' => esc_html__( 'Accent', 'rima' ),
	        	'style_4' => esc_html__( 'List style', 'rima' ),
	        	'style_5' => esc_html__( 'Meta info under title', 'rima' ),
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_search_post_comments',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_search_post_comments',
	    array(
	        'section'   => 'rima_search_options',
	        'label'     => esc_html__('Show comments count?','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Show', 'rima'),
	        	'false' => esc_html__( 'Hide', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_search_page_thumbsize',
	    array(
	        'default'    =>  'post-thumbnail',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_search_page_thumbsize',
	    array(
	        'section'   => 'rima_search_options',
	        'label'     => esc_html__('Select post thumbnail image size.','rima'),
	        'type'      => 'select',
	        'choices'	=> $imageSizes
	    )
	);
	$wp_customize->add_setting(
	    'rima_search_post_readtime',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_search_post_readtime',
	    array(
	        'section'   => 'rima_search_options',
	        'label'     => esc_html__('Show time read?','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Show', 'rima'),
	        	'false' => esc_html__( 'Hide', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_search_post_readmore',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_search_post_readmore',
	    array(
	        'section'   => 'rima_search_options',
	        'label'     => esc_html__('Show read more?','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Show', 'rima'),
	        	'false' => esc_html__( 'Hide', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_search_post_sharebox',
	    array(
	        'default'    =>  'true',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_search_post_sharebox',
	    array(
	        'section'   => 'rima_search_options',
	        'label'     => esc_html__('Show share icons?','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'true' => esc_html__('Show', 'rima'),
	        	'false' => esc_html__( 'Hide', 'rima' )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_search_excerpt_count',
	    array(
	        'default'    =>  '17',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_search_excerpt_count',
	    array(
	        'section'   => 'rima_search_options',
	        'label'     => esc_html__('Search posts excerpt count','rima'),
	        'description' => esc_html__('Enter excerpt count for search page.','rima'),
	        'type'      => 'text'
	    )
	);
	/*******************************/
	$wp_customize->add_section(
	    'rima_header_options',
	    array(
	        'title'     => esc_html__('Header', 'rima'),
	        'priority'  => 2,
	        'panel'		=> 'rima_theme_options'
	    )
	);
	$wp_customize->add_setting(
	    'rima_header_variant',
	    array(
	        'default'     => 'header-version1',
	        'transport'   => 'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    new Rima_Control_Image_Select (
	        $wp_customize,
	        'rima_header_variant',
	        array(
	            'label'      	=> esc_html__( 'Header style', 'rima' ),
	            'description'	=> esc_html__('Select header style.', 'rima'),
	            'section'		=> 'rima_header_options',
	            'settings'		=> 'rima_header_variant',
	            'choices'		=> array(
	            	'header-version1'	=> get_template_directory_uri().'/framework/customizer/images/h1.png',
	            	'header-version2'	=> get_template_directory_uri().'/framework/customizer/images/h2.png',
	            	'header-version3'	=> get_template_directory_uri().'/framework/customizer/images/h3.png',
	            	'header-version4'	=> get_template_directory_uri().'/framework/customizer/images/h4.png',
	            	'header-version5'	=> get_template_directory_uri().'/framework/customizer/images/h5.png',
	            	'header-version6'	=> get_template_directory_uri().'/framework/customizer/images/h6.png',
	            	'header-custom'		=> get_template_directory_uri().'/framework/customizer/images/hc.png',
	            ),
	            'input_attrs' => array(
	            	'multiple' => false
	            )
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_custom_header',
	    array(
	        'default'    =>  'none',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_custom_header',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => esc_html__('Select custom header','rima'),
	        'type'      => 'select',
	        'choices'	=> rima_get_custom_header_list()
	    )
	);
	$wp_customize->add_setting(
		'rima_fixed_header', 
		array(
			'default' => true, 
			'transport' => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
	    'rima_fixed_header',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => esc_html__('Fixed Header','rima'),
	        'description' => esc_html__('Check to fix your header at the top of the page.','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_header_grid',
	    array(
	        'default'    =>  'container',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_header_grid',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => esc_html__('Strech header','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'container' => esc_html__('Do not strech', 'rima'),
	        	'container header-fullwidth' => esc_html__('Strech header', 'rima')
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_header_image',
	    array(
	        'default'      => '',
	        'transport'    => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'rima_header_image',
	        array(
	            'label'    => esc_html__('Header Background Image','rima'),
	            'settings' => 'rima_header_image',
	            'section'  => 'rima_header_options'
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_header_bg_size',
	    array(
	        'default'    =>  'auto',
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_header_bg_size',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => esc_html__('Background size','rima'),
	        'type'      => 'radio',
	        'choices'	=> array(
	        	'auto' => esc_html__('Auto', 'rima'),
	        	'cover' => esc_html__('Cover', 'rima'),
	        	'contain' => esc_html__('Contain', 'rima')
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_header_bg_color',
	    array(
	        'default'     => '#ffffff',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_header_bg_color',
	        array(
	            'label'      => esc_html__( 'Header background color', 'rima' ),
	            'section'    => 'rima_header_options',
	            'settings'   => 'rima_header_bg_color'
	        )
	    )
	);

    $wp_customize->add_setting(
	    'rima_header_bg_color_opacity',
	    array(
	        'default'    =>  1,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_header_bg_color_opacity',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => __('Header background color opacity','rima'),
	        'type'      => 'range',
	        'input_attrs' => array( 'min' => 0, 'max' => 1, 'step'  => 0.1 )
	    )
	);
	$wp_customize->add_setting(
	    'rima_header_bottom_border_width',
	    array(
	        'default'    =>  '1',
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_header_bottom_border_width',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => esc_html__('Header bottom border width','rima'),
	        'description' => esc_html__('Use this field to set border width. Do not set (px).', 'rima'),
	        'type'      => 'text',
	    )
	);
	$wp_customize->add_setting(
	    'rima_header_border_color',
	    array(
	        'default'     => '#e5e6e8',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_header_border_color',
	        array(
	            'label'      => esc_html__( 'Header bottom border color', 'rima' ),
	            'section'    => 'rima_header_options',
	            'settings'   => 'rima_header_border_color'
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_header_top_border_width',
	    array(
	        'default'    =>  '0',
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_header_top_border_width',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => esc_html__('Header top border width','rima'),
	        'description' => esc_html__('Use this field to set border width. Do not set (px).', 'rima'),
	        'type'      => 'text',
	    )
	);
	$wp_customize->add_setting(
	    'rima_header_top_border_color',
	    array(
	        'default'     => '#e5e6e8',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_header_top_border_color',
	        array(
	            'label'      => esc_html__( 'Header top border color', 'rima' ),
	            'section'    => 'rima_header_options',
	            'settings'   => 'rima_header_top_border_color'
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_media_logo',
	    array(
	        'default'      => '',
	        'transport'    => 'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'rima_media_logo',
	        array(
	            'label'    => esc_html__('Logo Image','rima'),
	            'settings' => 'rima_media_logo',
	            'section'  => 'rima_header_options'
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_media_logo_width',
	    array(
	        'default'    =>  '',
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_media_logo_width',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => esc_html__('Logo size','rima'),
	        'description' => esc_html__('Use this field to set image width or for text font size. Do not set (px).', 'rima'),
	        'type'      => 'text',
	    )
	);
	$wp_customize->add_setting(
	    'rima_logo_font_family',
	    array(
	        'default'     => 'Nothing You Could Do',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_logo_font_family',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => esc_html__('font family','rima'),
	        'type'      => 'select',
	        'choices'	=> $faces
	    )
	);
	$wp_customize->add_setting(
	    'rima_logo_title_letter_spacing',
	    array(
	        'default'     => '0',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_logo_title_letter_spacing',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => esc_html__('Logo title letter-spacing','rima'),
	        'type'      => 'number',
	        'input_attrs' => array( 'min' => 0, 'max' => 10, 'step'  => 0.1 )
	    )
	);
	$wp_customize->add_setting(
	    'rima_mobile_logo_settings_title',
	    array(
	        'default'     => '',
	        'transport'   => 'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    new Rima_Customize_Control_Title (
	        $wp_customize,
	        'rima_mobile_logo_settings_title',
	        array(
	            'label'      	=> esc_html__( 'Mobile logo', 'rima' ),
	            'section'		=> 'rima_header_options',
	            'settings'		=> 'rima_mobile_logo_settings_title',
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_media_logo_mobile',
	    array(
	        'default'      => '',
	        'transport'    => 'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'rima_media_logo_mobile',
	        array(
	            'label'    => esc_html__('Mobile Logo Image','rima'),
	            'settings' => 'rima_media_logo_mobile',
	            'section'  => 'rima_header_options'
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_media_logo_mobile_width',
	    array(
	        'default'    =>  '',
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_media_logo_mobile_width',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => esc_html__('Mobile Logo size','rima'),
	        'description' => esc_html__('Use this field to set image width or for text font size. Do not set (px).', 'rima'),
	        'type'      => 'text',
	    )
	);
	
	$wp_customize->add_setting(
	    'rima_nav_settings_title',
	    array(
	        'default'     => '',
	        'transport'   => 'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    new Rima_Customize_Control_Title (
	        $wp_customize,
	        'rima_nav_settings_title',
	        array(
	            'label'      	=> esc_html__( 'Navigation Settings', 'rima' ),
	            'section'		=> 'rima_header_options',
	            'settings'		=> 'rima_nav_settings_title',
	        )
	    )
	);
	$font_sizes = array();
	$font_sizes_px_none = array();
	for ($i = 9; $i <= 50; $i++){ 
		$font_sizes[$i.'px'] = $i.'px';
		$font_sizes_px_none[$i] = $i.'px';
	}
    $wp_customize->add_setting(
	    'rima_menu_font_size',
	    array(
	        'default'     => '13px',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_menu_font_size',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => esc_html__('font size','rima'),
	        'type'      => 'select',
	        'choices'	=> $font_sizes
	    )
	);
	$font_weights  = array(
		'100' => esc_html__('Thin', 'rima'),
		'200' => esc_html__('Extra-Light', 'rima'),
		'300' => esc_html__('Light', 'rima'),
		'400' => esc_html__('Regular', 'rima'),
		'500' => esc_html__('Medium', 'rima'),
		'600' => esc_html__('Semi-Bold', 'rima'),
		'700' => esc_html__('Bold', 'rima'),
		'800' => esc_html__('Extra-Bold', 'rima'),
		'900' => esc_html__('Black', 'rima')
	);
	$wp_customize->add_setting(
	    'rima_menu_font_weight',
	    array(
	        'default'     => '500',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_menu_font_weight',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => esc_html__('font weight','rima'),
	        'type'      => 'select',
	        'choices'	=> $font_weights
	    )
	);
	
	$wp_customize->add_setting(
	    'rima_menu_font_family',
	    array(
	        'default'     => 'Roboto',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_menu_font_family',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => esc_html__('font family','rima'),
	        'type'      => 'select',
	        'choices'	=> $faces
	    )
	);
	$wp_customize->add_setting(
	    'rima_menu_transform',
	    array(
	        'default'    =>  'uppercase',
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_menu_transform',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => esc_html__('Menu text transform','rima'),
	        'type'      => 'select',
	        'choices' 	=> array(
	        	'none' => esc_html__('None', 'rima'),
	        	'capitalize' => esc_html__('Capitalize', 'rima'),
	        	'uppercase' => esc_html__('Uppercase', 'rima')
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_menu_item_color',
	    array(
	        'default'     => '#a29fa6',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_menu_item_color',
	        array(
	            'label'      => esc_html__( 'items color (initial)', 'rima' ),
	            'section'    => 'rima_header_options',
	            'settings'   => 'rima_menu_item_color'
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_menu_item_color_active',
	    array(
	        'default'     => '#201f22',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_menu_item_color_active',
	        array(
	            'label'      => esc_html__( 'items color (hover, active)', 'rima' ),
	            'section'    => 'rima_header_options',
	            'settings'   => 'rima_menu_item_color_active'
	        )
	    )
	);

	$wp_customize->add_setting(
	    'rima_menu_item_padding',
	    array(
	        'default'    =>  '42',
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_menu_item_padding',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => __('Space between items','rima'),
	        'description' => __('Space between menu items.','rima'),
	        'type'      => 'range',
	        'input_attrs' => array( 'min' => 10, 'max' => 80, 'step'  => 2 )
	    )
	);

	$wp_customize->add_setting(
	    'rima_navigation_disable_dots',
	    array(
	        'default'    =>  false,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_navigation_disable_dots',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => esc_html__('Disable dots','rima'),
	        'description' => esc_html__('Check to disable dots between menu items.','rima'),
	        'type'      => 'checkbox'
	    )
	);

	$wp_customize->add_setting(
	    'rima_menu_dropdown_bg',
	    array(
	        'default'     => '#ffffff',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_menu_dropdown_bg',
	        array(
	            'label'      => esc_html__( 'Dropdown menu background color', 'rima' ),
	            'section'    => 'rima_header_options',
	            'settings'   => 'rima_menu_dropdown_bg'
	        )
	    )
	);
    $wp_customize->add_setting(
	    'rima_menu_dropdown_bg_opacity',
	    array(
	        'default'    =>  '1',
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_menu_dropdown_bg_opacity',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => __('Dropdown menu background opacity','rima'),
	        'type'      => 'range',
	        'input_attrs' => array( 'min' => 0, 'max' => 1, 'step'  => 0.1 )
	    )
	);
	$wp_customize->add_setting(
	    'rima_menu_dropdown_items_border',
	    array(
	        'default'     => '#a5b2cd',
	        'transport'   => 'refresh',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_menu_dropdown_items_border',
	        array(
	            'label'      => esc_html__( 'Dropdown menu items border', 'rima' ),
	            'section'    => 'rima_header_options',
	            'settings'   => 'rima_menu_dropdown_items_border'
	        )
	    )
	);

	$wp_customize->add_setting(
	    'rima_header_elements_title',
	    array(
	        'default'     => '',
	        'transport'   => 'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    new Rima_Customize_Control_Title (
	        $wp_customize,
	        'rima_header_elements_title',
	        array(
	            'label'      	=> esc_html__( 'Header elements', 'rima' ),
	            'section'		=> 'rima_header_options',
	            'settings'		=> 'rima_header_elements_title',
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_header_search_button',
	    array(
	        'default'    =>  false,
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_header_search_button',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => __('Search button','rima'),
	        'description' => __('Check to enable search button in header.','rima'),
	        'type'      => 'checkbox'
	    )
	);
	if(function_exists('rima_get_social_links')) {
		$wp_customize->add_setting(
		    'rima_header_socials',
		    array(
		        'default'    =>  true,
		        'transport'  =>  'refresh',
		        'sanitize_callback' => 'sanitize_text_field',
		    )
		);
		$wp_customize->add_control(
		    'rima_header_socials',
		    array(
		        'section'   => 'rima_header_options',
		        'label'     => esc_html__('Socials','rima'),
		        'description' => esc_html__('Check to enable socials in header.','rima'),
		        'type'      => 'checkbox'
		    )
		);
	}
	$wp_customize->add_setting(
	    'rima_subscribe_url',
	    array(
	        'default'    =>  '#',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_subscribe_url',
	    array(
	        'section'   => 'rima_header_options',
	        'label'     => esc_html__('Subscribe button url','rima'),
	        'description' => esc_html__('Enter your subscribe button url.','rima'),
	        'type'      => 'text'
	    )
	);
	$wp_customize->add_section(
	    'rima_footer_options',
	    array(
	        'title'     => esc_html__('Footer', 'rima'),
	        'priority'  => 3,
	        'panel'		=> 'rima_theme_options'
	    )
	);
	$wp_customize->add_setting(
	    'rima_footer_layout',
	    array(
	        'default'     => 'layout-1',
	        'transport'   => 'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_footer_layout',
	    array(
	        'section'   => 'rima_footer_options',
	        'label'     => esc_html__('Footer layout','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'layout-1' => esc_html__('Fullwidth layout','rima'),
	        	'layout-2' => esc_html__('Container layout','rima'),
	        	'layout-3' => esc_html__('No insta items layout','rima'),
	        	'custom' => esc_html__('Custom footer','rima'),
	        )
	    )
	);
	
	$wp_customize->add_setting(
	    'rima_custom_footer',
	    array(
	        'default'     => 'none',
	        'transport'   => 'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_custom_footer',
	    array(
	        'section'   => 'rima_footer_options',
	        'label'     => esc_html__('Custom footer layout','rima'),
	        'description' => esc_html__('You can create your own footer and display it instead predefined by theme. Go to dashboard -> footer and create your own. After this you can select it here.','rima'),
	        'type'      => 'select',
	        'choices'	=> rima_get_custom_footer_list()
	    )
	);
	$wp_customize->add_setting(
	    'rima_footer_bg_color',
	    array(
	        'default'     => '#ffffff',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_footer_bg_color',
	        array(
	            'label'      => esc_html__( 'Footer background color', 'rima' ),
	            'section'    => 'rima_footer_options',
	            'settings'   => 'rima_footer_bg_color'
	        )
	    )
	);
	if(function_exists('rima_get_social_links')) {
		$wp_customize->add_setting(
		    'rima_footer_instagram_title',
		    array(
		        'default'    		=>  'RIMA INSTAGRAM',
		        'transport'  		=>  'refresh',
		        'sanitize_callback' => 'sanitize_text_field',
		    )
		);
		$wp_customize->add_control(
		    'rima_footer_instagram_title',
		    array(
		        'section'   => 'rima_footer_options',
		        'label'     => esc_html__('Instagram title','rima'),
		        'type'      => 'text',
		    )
		);
		$wp_customize->add_setting(
		    'rima_footer_instagram_access_token',
		    array(
		        'default'    		=>  '',
		        'transport'  		=>  'refresh',
		        'sanitize_callback' => 'sanitize_text_field',
		    )
		);
		$wp_customize->add_control(
		    'rima_footer_instagram_access_token',
		    array(
		        'section'   => 'rima_footer_options',
		        'label'     => esc_html__('Instagram access token','rima'),
		        'description' => esc_html__('If you want to show instagram in footer area, please input access token.','rima').' <a href="https://api.instagram.com/oauth/authorize?client_id=423965861585747&redirect_uri=https://connect.smashballoon.com/auth/ig/instagram-basic-display-redirect.php&response_type=code&scope=user_profile,user_media&state={%27{url=https://malina.artstudioworks.net/auth/admin.php?page=sb-instagram-feed,opt=out}%27}" target="__blank">'.esc_html__('Get access token', 'rima').'</a>',
		        'type'      => 'text',
		    )
		);
		$wp_customize->add_setting(
		    'rima_footer_socials',
		    array(
		        'default'    =>  true,
		        'transport'  =>  'refresh',
		        'sanitize_callback' => 'sanitize_text_field',
		    )
		);
		$wp_customize->add_control(
		    'rima_footer_socials',
		    array(
		        'section'   => 'rima_footer_options',
		        'label'     => esc_html__('Socials','rima'),
		        'description' => esc_html__('Check to enable socials in footer.','rima'),
		        'type'      => 'checkbox'
		    )
		);
	}
	$wp_customize->add_setting(
	    'rima_footer_copy_title',
	    array(
	        'default'     => '',
	        'transport'   => 'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    new Rima_Customize_Control_Title (
	        $wp_customize,
	        'rima_footer_copy_title',
	        array(
	            'label'      	=> esc_html__( 'Copyright settings', 'rima' ),
	            'section'		=> 'rima_footer_options',
	            'settings'		=> 'rima_footer_copy_title',
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_footer_copyright',
	    array(
	        'default'    		=>  '',
	        'transport'  		=>  'postMessage',
	        'sanitize_callback' => 'rima_sanitize_text_html',
	    )
	);
	$wp_customize->add_control(
	    'rima_footer_copyright',
	    array(
	        'section'   => 'rima_footer_options',
	        'label'     => esc_html__('Copyright text','rima'),
	        'description' => esc_html__('Add copyright text to footer area.','rima'),
	        'type'      => 'textarea',
	    )
	);
	$wp_customize->add_setting(
	    'rima_footer_copyright_font_size',
	    array(
	        'default'     => '11px',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_footer_copyright_font_size',
	    array(
	        'section'   => 'rima_footer_options',
	        'label'     => esc_html__('Copyright text font size','rima'),
	        'type'      => 'select',
	        'choices'	=> $font_sizes
	    )
	);
	$wp_customize->add_setting(
	    'rima_footer_copyright_font_family',
	    array(
	        'default'     => 'Roboto',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_footer_copyright_font_family',
	    array(
	        'section'   => 'rima_footer_options',
	        'label'     => esc_html__('Copyright text font family','rima'),
	        'type'      => 'select',
	        'choices'	=> $faces
	    )
	);
	$wp_customize->add_setting(
	    'rima_footer_copyright_color',
	    array(
	        'default'     => '#aaadad',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_footer_copyright_color',
	        array(
	            'label'      => esc_html__( 'Copyright text color', 'rima' ),
	            'section'    => 'rima_footer_options',
	            'settings'   => 'rima_footer_copyright_color'
	        )
	    )
	);
	/*----------*/
	$wp_customize->add_section(
	    'rima_headings_options',
	    array(
	        'title'     => esc_html__('Headings', 'rima'),
	        'priority'  => 4,
	        'panel'		=> 'rima_theme_options'
	    )
	);
	$wp_customize->add_setting(
	    'rima_blog_head_title',
	    array(
	        'default'     => '',
	        'transport'   => 'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    new Rima_Customize_Control_Title (
	        $wp_customize,
	        'rima_blog_head_title',
	        array(
	            'label'      	=> esc_html__( 'Posts headings', 'rima' ),
	            'section'		=> 'rima_headings_options',
	            'settings'		=> 'rima_blog_head_title',
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_posts_headings_font_size',
	    array(
	        'default'     => '38',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_posts_headings_font_size',
	    array(
	        'section'   => 'rima_headings_options',
	        'label'     => esc_html__('font size','rima'),
	        'type'      => 'select',
	        'choices'	=> $font_sizes_px_none
	    )
	);
	$wp_customize->add_setting(
	    'rima_posts_headings_font_weight',
	    array(
	        'default'     => '400',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_posts_headings_font_weight',
	    array(
	        'section'   => 'rima_headings_options',
	        'label'     => esc_html__('font weight','rima'),
	        'type'      => 'select',
	        'choices'	=> $font_weights
	    )
	);
	$wp_customize->add_setting(
	    'rima_posts_headings_font_family',
	    array(
	        'default'     => 'Varela Round',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_posts_headings_font_family',
	    array(
	        'section'   => 'rima_headings_options',
	        'label'     => esc_html__('font family','rima'),
	        'type'      => 'select',
	        'choices'	=> $faces
	    )
	);
	$wp_customize->add_setting(
	    'rima_posts_headings_letter_spacing',
	    array(
	        'default'     => '0',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_posts_headings_letter_spacing',
	    array(
	        'section'   => 'rima_headings_options',
	        'label'     => esc_html__('Post title letter-spacing','rima'),
	        'type'      => 'number',
	        'input_attrs' => array( 'min' => 0, 'max' => 10, 'step'  => 0.1 )
	    )
	);
	$wp_customize->add_setting(
	    'rima_post_headings_transform',
	    array(
	        'default'    =>  'capitalize',
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_post_headings_transform',
	    array(
	        'section'   => 'rima_headings_options',
	        'label'     => esc_html__('Title text transform','rima'),
	        'type'      => 'select',
	        'choices' 	=> array(
	        	'none' => esc_html__('None', 'rima'),
	        	'capitalize' => esc_html__('Capitalize', 'rima'),
	        	'uppercase' => esc_html__('Uppercase', 'rima')
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_posts_headings_item_color',
	    array(
	        'default'     => '#201f22',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_posts_headings_item_color',
	        array(
	            'label'      => esc_html__( 'items color (initial)', 'rima' ),
	            'section'    => 'rima_headings_options',
	            'settings'   => 'rima_posts_headings_item_color'
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_posts_headings_item_color_active',
	    array(
	        'default'     => '#a5b8c0',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_posts_headings_item_color_active',
	        array(
	            'label'      => esc_html__( 'items color (hover)', 'rima' ),
	            'section'    => 'rima_headings_options',
	            'settings'   => 'rima_posts_headings_item_color_active'
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_post_headings_separator',
	    array(
	        'default'    =>  true,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_post_headings_separator',
	    array(
	        'section'   => 'rima_headings_options',
	        'label'     => esc_html__('Post title line','rima'),
	        'description' => esc_html__('Check to enable post title line.','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
	    'rima_post_headings_separator_style',
	    array(
	        'default'    =>  'vertical',
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_post_headings_separator_style',
	    array(
	        'section'   => 'rima_headings_options',
	        'label'     => esc_html__('Post title line style','rima'),
	        'description' => esc_html__('Select post title line style vertical or horizontal.','rima'),
	        'type'      => 'select',
	        'choices'	=> array(
	        	'vertical' => esc_html__('Vertical', 'rima'),
	        	'horizontal' => esc_html__('Horizontal', 'rima')
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_widgets_head_title',
	    array(
	        'default'     => '',
	        'transport'   => 'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    new Rima_Customize_Control_Title (
	        $wp_customize,
	        'rima_widgets_head_title',
	        array(
	            'label'      	=> esc_html__( 'Widgets headings', 'rima' ),
	            'section'		=> 'rima_headings_options',
	            'settings'		=> 'rima_widgets_head_title',
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_widgets_headings_font_size',
	    array(
	        'default'     => '11px',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_widgets_headings_font_size',
	    array(
	        'section'   => 'rima_headings_options',
	        'label'     => esc_html__('font size','rima'),
	        'type'      => 'select',
	        'choices'	=> $font_sizes
	    )
	);
	$wp_customize->add_setting(
	    'rima_widgets_headings_font_weight',
	    array(
	        'default'     => '400',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_widgets_headings_font_weight',
	    array(
	        'section'   => 'rima_headings_options',
	        'label'     => esc_html__('font weight','rima'),
	        'type'      => 'select',
	        'choices'	=> $font_weights
	    )
	);
	$wp_customize->add_setting(
	    'rima_widgets_headings_font_family',
	    array(
	        'default'     => 'Roboto',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_widgets_headings_font_family',
	    array(
	        'section'   => 'rima_headings_options',
	        'label'     => esc_html__('font family','rima'),
	        'type'      => 'select',
	        'choices'	=> $faces
	    )
	);
	$wp_customize->add_setting(
	    'rima_widgets_headings_letter_spacing',
	    array(
	        'default'     => '2.5',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_widgets_headings_letter_spacing',
	    array(
	        'section'   => 'rima_headings_options',
	        'label'     => esc_html__('Widget title letter-spacing','rima'),
	        'type'      => 'number',
	        'input_attrs' => array( 'min' => 0, 'max' => 10, 'step'  => 0.1 )
	    )
	);
	$wp_customize->add_setting(
	    'rima_widgets_headings_transform',
	    array(
	        'default'    =>  'uppercase',
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_widgets_headings_transform',
	    array(
	        'section'   => 'rima_headings_options',
	        'label'     => esc_html__('Widget title text transform','rima'),
	        'type'      => 'select',
	        'choices' 	=> array(
	        	'none' => esc_html__('None', 'rima'),
	        	'capitalize' => esc_html__('Capitalize', 'rima'),
	        	'uppercase' => esc_html__('Uppercase', 'rima')
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_widgets_headings_item_color',
	    array(
	        'default'     => '#201f22',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_widgets_headings_item_color',
	        array(
	            'label'      => esc_html__( 'color', 'rima' ),
	            'section'    => 'rima_headings_options',
	            'settings'   => 'rima_widgets_headings_item_color'
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_widgets_headings_separator',
	    array(
	        'default'    =>  true,
	        'transport'  =>  'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_widgets_headings_separator',
	    array(
	        'section'   => 'rima_headings_options',
	        'label'     => esc_html__('Widget heading separator','rima'),
	        'description' => esc_html__('Check to enable heading separator line.','rima'),
	        'type'      => 'checkbox'
	    )
	);
	if(function_exists('rima_get_social_links')) {
		$wp_customize->add_section(
		    'rima_socials_options',
		    array(
		        'title'     => esc_html__('Socials', 'rima'),
		        'description' => esc_html__('Add your social links, otherwise leave blank if you need not some links.','rima'),
		        'priority'  => 5,
		        'panel'		=> 'rima_theme_options'
		    )
		);
		$wp_customize->add_setting(
		    'rima_sharing_facebook',
		    array(
		        'default'    =>  true,
		        'transport'  =>  'postMessage',
		        'sanitize_callback' => 'sanitize_text_field',
		    )
		);
		$wp_customize->add_control(
		    'rima_sharing_facebook',
		    array(
		        'section'   => 'rima_socials_options',
		        'label'     => esc_html__('Show Facebook in share box.','rima'),
		        'type'      => 'checkbox'
		    )
		);
		$wp_customize->add_setting(
		    'rima_sharing_twitter',
		    array(
		        'default'    =>  true,
		        'transport'  =>  'postMessage',
		        'sanitize_callback' => 'sanitize_text_field',
		    )
		);
		$wp_customize->add_control(
		    'rima_sharing_twitter',
		    array(
		        'section'   => 'rima_socials_options',
		        'label'     => esc_html__('Show Twitter in share box.','rima'),
		        'type'      => 'checkbox'
		    )
		);
		$wp_customize->add_setting(
		    'rima_sharing_pinterest',
		    array(
		        'default'    =>  true,
		        'transport'  =>  'postMessage',
		        'sanitize_callback' => 'sanitize_text_field',
		    )
		);
		$wp_customize->add_control(
		    'rima_sharing_pinterest',
		    array(
		        'section'   => 'rima_socials_options',
		        'label'     => esc_html__('Show Pinterest in share box.','rima'),
		        'type'      => 'checkbox'
		    )
		);
		$wp_customize->add_setting(
		    'rima_sharing_linkedin',
		    array(
		        'default'    =>  false,
		        'transport'  =>  'postMessage',
		        'sanitize_callback' => 'sanitize_text_field',
		    )
		);
		$wp_customize->add_control(
		    'rima_sharing_linkedin',
		    array(
		        'section'   => 'rima_socials_options',
		        'label'     => esc_html__('Show Linkedin in share box.','rima'),
		        'type'      => 'checkbox'
		    )
		);
		$wp_customize->add_setting(
		    'rima_sharing_googleplus',
		    array(
		        'default'    =>  false,
		        'transport'  =>  'postMessage',
		        'sanitize_callback' => 'sanitize_text_field',
		    )
		);
		$wp_customize->add_control(
		    'rima_sharing_googleplus',
		    array(
		        'section'   => 'rima_socials_options',
		        'label'     => esc_html__('Show Google+ in share box.','rima'),
		        'type'      => 'checkbox'
		    )
		);
		$wp_customize->add_setting(
		    'rima_sharing_email',
		    array(
		        'default'    =>  false,
		        'transport'  =>  'postMessage',
		        'sanitize_callback' => 'sanitize_text_field',
		    )
		);
		$wp_customize->add_control(
		    'rima_sharing_email',
		    array(
		        'section'   => 'rima_socials_options',
		        'label'     => esc_html__('Show Email in share box.','rima'),
		        'type'      => 'checkbox'
		    )
		);
	
		$socials = array('facebook', 'twitter', 'instagram', 'pinterest', 'google_plus', 'forrst', 'dribbble', 'flickr', 'linkedin', 'digg', 'vimeo', 'yahoo', 'tumblr', 'youtube', 'deviantart', 'behance', 'paypal', 'delicious');
		foreach ($socials as $social) {
			$wp_customize->add_setting(
			    'rima_social_'.$social,
			    array(
			        'default'    =>  '',
			        'transport'  =>  'postMessage',
		        	'sanitize_callback' => 'sanitize_text_field',
			    )
			);
			$wp_customize->add_control(
			    'rima_social_'.$social,
			    array(
			        'section'   => 'rima_socials_options',
			        'label'     => esc_html__(ucfirst(str_replace('_', ' ', $social)).' url','rima'),
			        'type'      => 'text'
			    )
			);
		}
		$wp_customize->add_setting(
		    'rima_social_skype',
		    array(
		        'default'    =>  '',
		        'transport'  =>  'postMessage',
		        'sanitize_callback' => 'sanitize_text_field',
		    )
		);
		$wp_customize->add_control(
		    'rima_social_skype',
		    array(
		        'section'   => 'rima_socials_options',
		        'label'     => esc_html__('Skype account','rima'),
		        'type'      => 'text'
		    )
		);
		$wp_customize->add_setting(
		    'rima_social_rss',
		    array(
		        'default'    =>  false,
		        'transport'  =>  'postMessage',
		        'sanitize_callback' => 'sanitize_text_field',
		    )
		);
		$wp_customize->add_control(
		    'rima_social_rss',
		    array(
		        'section'   => 'rima_socials_options',
		        'label'     => esc_html__('Show rss','rima'),
		        'type'      => 'checkbox'
		    )
		);
	}
	$wp_customize->add_section(
	    'rima_styling_options',
	    array(
	        'title'     => esc_html__('Styling', 'rima'),
	        'priority'  => 6,
	        'panel'		=> 'rima_theme_options'
	    )
	);
	$wp_customize->add_setting(
	    'rima_accent_color',
	    array(
	        'default'     => '#a5b8c0',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_accent_color',
	        array(
	            'label'      => esc_html__( 'Theme main color', 'rima' ),
	            'section'    => 'rima_styling_options',
	            'settings'   => 'rima_accent_color'
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_body_font_size',
	    array(
	        'default'     => '14px',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_body_font_size',
	    array(
	        'section'   => 'rima_styling_options',
	        'label'     => esc_html__('Body font size','rima'),
	        'type'      => 'select',
	        'choices'	=> $font_sizes
	    )
	);
	$wp_customize->add_setting(
	    'rima_body_font_family',
	    array(
	        'default'     => 'Open Sans',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_body_font_family',
	    array(
	        'section'   => 'rima_styling_options',
	        'label'     => esc_html__('Body font family','rima'),
	        'type'      => 'select',
	        'choices'	=> $faces
	    )
	);
	$wp_customize->add_setting(
	    'rima_body_color',
	    array(
	        'default'     => '#5a595c',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_body_color',
	        array(
	            'label'      => esc_html__( 'Body text color', 'rima' ),
	            'section'    => 'rima_styling_options',
	            'settings'   => 'rima_body_color'
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_links_color',
	    array(
	        'default'     => '#b5b5b5',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
	$wp_customize->add_setting(
	    'rima_body_top_padding',
	    array(
	        'default'     => '0',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_body_top_padding',
	    array(
	        'section'   => 'rima_styling_options',
	        'label'     => __('Body top padding','rima'),
	        'type'      => 'number',
	        'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 )
	    )
	);
	$wp_customize->add_setting(
	    'rima_body_right_padding',
	    array(
	        'default'     => '0',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_body_right_padding',
	    array(
	        'section'   => 'rima_styling_options',
	        'label'     => __('Body right padding','rima'),
	        'type'      => 'number',
	        'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 )
	    )
	);
	$wp_customize->add_setting(
	    'rima_body_bottom_padding',
	    array(
	        'default'     => '0',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_body_bottom_padding',
	    array(
	        'section'   => 'rima_styling_options',
	        'label'     => __('Body bottom padding','rima'),
	        'type'      => 'number',
	        'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 )
	    )
	);
	$wp_customize->add_setting(
	    'rima_body_left_padding',
	    array(
	        'default'     => '0',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_body_left_padding',
	    array(
	        'section'   => 'rima_styling_options',
	        'label'     => __('Body left padding','rima'),
	        'type'      => 'number',
	        'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 )
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_links_color',
	        array(
	            'label'      => esc_html__( 'Links color (initial)', 'rima' ),
	            'section'    => 'rima_styling_options',
	            'settings'   => 'rima_links_color'
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_links_color_hover',
	    array(
	        'default'     => '#a5b8c0',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_links_color_hover',
	        array(
	            'label'      => esc_html__( 'Links color (hover)', 'rima' ),
	            'section'    => 'rima_styling_options',
	            'settings'   => 'rima_links_color_hover'
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_buttons_title_style',
	    array(
	        'default'     => '',
	        'transport'   => 'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    new Rima_Customize_Control_Title (
	        $wp_customize,
	        'rima_buttons_title_style',
	        array(
	            'label'      	=> esc_html__( 'Buttons styling', 'rima' ),
	            'section'		=> 'rima_styling_options',
	            'settings'		=> 'rima_buttons_title_style',
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_button_font_size',
	    array(
	        'default'     => '11px',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_button_font_size',
	    array(
	        'section'   => 'rima_styling_options',
	        'label'     => esc_html__('Button font size','rima'),
	        'type'      => 'select',
	        'choices'	=> $font_sizes
	    )
	);
	$wp_customize->add_setting(
	    'rima_button_font_family',
	    array(
	        'default'     => 'Roboto',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_button_font_family',
	    array(
	        'section'   => 'rima_styling_options',
	        'label'     => esc_html__('Button font family','rima'),
	        'type'      => 'select',
	        'choices'	=> $faces
	    )
	);
	$wp_customize->add_setting(
	    'rima_button_letter_spacing',
	    array(
	        'default'     => '2.5',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_button_letter_spacing',
	    array(
	        'section'   => 'rima_styling_options',
	        'label'     => __('Default button letter spacing','rima'),
	        'type'      => 'range',
	        'input_attrs' => array( 'min' => 0, 'max' => 5, 'step'  => 0.1 )
	    )
	);
	$wp_customize->add_setting(
	    'rima_button_font_weight',
	    array(
	        'default'     => '400',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
    $wp_customize->add_control(
	    'rima_button_font_weight',
	    array(
	        'section'   => 'rima_styling_options',
	        'label'     => esc_html__('Default button font weight','rima'),
	        'type'      => 'select',
	        'choices'	=> $font_weights
	    )
	);
	$wp_customize->add_setting(
	    'rima_button_default_bg_color',
	    array(
	        'default'     => '#201f22',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_button_default_bg_color',
	        array(
	            'label'      => esc_html__( 'Button default background color', 'rima' ),
	            'section'    => 'rima_styling_options',
	            'settings'   => 'rima_button_default_bg_color'
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_button_default_text_color',
	    array(
	        'default'     => '#ffffff',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_button_default_text_color',
	        array(
	            'label'      => esc_html__( 'Button default text color', 'rima' ),
	            'section'    => 'rima_styling_options',
	            'settings'   => 'rima_button_default_text_color'
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_button_default_border_color',
	    array(
	        'default'     => '#201f22',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_button_default_border_color',
	        array(
	            'label'      => esc_html__( 'Button default border color', 'rima' ),
	            'section'    => 'rima_styling_options',
	            'settings'   => 'rima_button_default_border_color'
	        )
	    )
	);

	$wp_customize->add_setting(
	    'rima_button_border_radius',
	    array(
	        'default'     => '20',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_button_border_radius',
	    array(
	        'section'   => 'rima_styling_options',
	        'label'     => __('Default button border radius','rima'),
	        'type'      => 'range',
	        'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 )
	    )
	);

	$wp_customize->add_setting(
	    'rima_button_vertical_padding',
	    array(
	        'default'     => '13',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_button_vertical_padding',
	    array(
	        'section'   => 'rima_styling_options',
	        'label'     => __('Default button top/bottom padding','rima'),
	        'type'      => 'number',
	        'input_attrs' => array( 'min' => 0, 'max' => 30, 'step'  => 1 )
	    )
	);

	$wp_customize->add_setting(
	    'rima_button_horizontal_padding',
	    array(
	        'default'     => '32',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_button_horizontal_padding',
	    array(
	        'section'   => 'rima_styling_options',
	        'label'     => __('Default button left/right padding','rima'),
	        'type'      => 'number',
	        'input_attrs' => array( 'min' => 0, 'max' => 64, 'step'  => 1 )
	    )
	);

	$wp_customize->add_setting(
	    'rima_button_loadmore_bg_color',
	    array(
	        'default'     => '#ffffff',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_button_loadmore_bg_color',
	        array(
	            'label'      => esc_html__( 'Button loadmore background color', 'rima' ),
	            'section'    => 'rima_styling_options',
	            'settings'   => 'rima_button_loadmore_bg_color'
	        )
	    )
	);
    $wp_customize->add_setting(
	    'rima_button_loadmore_border_color',
	    array(
	        'default'     => '#b8b6bb',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);
    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_button_loadmore_border_color',
	        array(
	            'label'      => esc_html__( 'Button loadmore border color', 'rima' ),
	            'section'    => 'rima_styling_options',
	            'settings'   => 'rima_button_loadmore_border_color'
	        )
	    )
	);
	$wp_customize->add_setting(
	    'rima_button_loadmore_text_color',
	    array(
	        'default'     => '#201f22',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);

    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_button_loadmore_text_color',
	        array(
	            'label'      => esc_html__( 'Button loadmore text color', 'rima' ),
	            'section'    => 'rima_styling_options',
	            'settings'   => 'rima_button_loadmore_text_color'
	        )
	    )
	);

	$wp_customize->add_setting(
	    'rima_header_socials_color',
	    array(
	        'default'     => '',
	        'transport'   => 'postMessage',
	        'sanitize_callback' => 'sanitize_hex_color',
	    )
	);

    $wp_customize->add_control(
	    new WP_Customize_Color_Control(
	        $wp_customize,
	        'rima_header_socials_color',
	        array(
	            'label'      => esc_html__( 'Header socials icons color', 'rima' ),
	            'section'    => 'rima_styling_options',
	            'settings'   => 'rima_header_socials_color'
	        )
	    )
	);

	$wp_customize->add_section(
	    'rima_google_fonts_options',
	    array(
	        'title'     => esc_html__('Google fonts ext.', 'rima'),
	        'description' => esc_html__('Select google fonts extensions to load. It allows to reduce load speed.','rima'),
	        'priority'  => 7,
	        'panel'		=> 'rima_theme_options'
	    )
	);
	$wp_customize->add_setting(
	    'rima_webfont_loader',
	    array(
	        'default'    =>  false,
	        'transport'  =>  'refresh',
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);
	$wp_customize->add_control(
	    'rima_webfont_loader',
	    array(
	        'section'   => 'rima_google_fonts_options',
	        'label'     => esc_html__('Enable webfontloader?','rima'),
	        'description'     => esc_html__('It helps you to optimize fonts loading.','rima'),
	        'type'      => 'checkbox'
	    )
	);
	$wp_customize->add_setting(
        'rima_google_font_subset',
        array(
            'default'           => 'latin',
            'sanitize_callback' => 'rima_sanitize_multiple_checkbox'
        )
    );
    $wp_customize->add_control(
        new Rima_Customize_Control_Checkbox_Multiple(
            $wp_customize,
            'rima_google_font_subset',
            array(
                'section' => 'rima_google_fonts_options',
                'label'   => esc_html__( 'Languages subset', 'rima' ),
                'choices' => array(
                    'cyrillic' => esc_html__( 'Cyrillic', 'rima' ),
                    'cyrillic-ext' => esc_html__( 'Cyrillic Extended', 'rima' ),
                    'greek' => esc_html__( 'Greek', 'rima' ),
                    'greek-ext' => esc_html__( 'Greek Extended', 'rima' ),
                    'latin-ext' => esc_html__( 'Latin Extended', 'rima' ),
                    'vietnamese' => esc_html__( 'Vietnamese', 'rima' ),
                )
            )
        )
    );
    $google_fonts = rima_get_used_google_fonts();
    foreach ( $google_fonts as $font ) {
    	$font_l = strtolower(str_replace(' ', '-', $font));
    	$wp_customize->add_setting(
	        'rima_google_font_'.$font_l,
	        array(
	            'default'           => '400',
	            'sanitize_callback' => 'rima_sanitize_multiple_checkbox'
	        )
	    );
	    $wp_customize->add_control(
	        new Rima_Customize_Control_Checkbox_Multiple(
	            $wp_customize,
	            'rima_google_font_'.$font_l,
	            array(
	                'section' => 'rima_google_fonts_options',
	                'label'   => $font,
	                'choices' => rima_get_google_font_styles()
	            )
	        )
	    );
    }

}
add_action( 'customize_register', 'rima_register_theme_customizer', 110 );
function rima_sanitize_multiple_checkbox( $values ) {

    $multi_values = !is_array( $values ) ? explode( ',', $values ) : $values;

    return !empty( $multi_values ) ? array_map( 'sanitize_text_field', $multi_values ) : array();
}
/* Register Customizer Scripts */
add_action( 'customize_controls_enqueue_scripts', 'rima_share_customize_register_scripts', 0 );
/**
 * Register Scripts
 * so we can easily load this scripts multiple times when needed (?)
 */
function rima_share_customize_register_scripts(){
	/* CSS */
	wp_register_style( 'css-for-customize', get_template_directory_uri() . '/framework/customizer/css/customizer-control.css' );
	/* JS */
	wp_register_script( 'js-for-customize', get_template_directory_uri() . '/framework/customizer/js/customizer-control.js', array( 'jquery', 'jquery-ui-sortable', 'customize-controls' ) );
}

add_action( 'customize_preview_init', 'rima_customizer_live_preview' );
function rima_customizer_live_preview() {
     wp_enqueue_script(
        'asw-theme-customizer',
        get_template_directory_uri() . '/framework/customizer/js/theme-customizer.js',
        array( 'jquery', 'customize-preview' ),
        '1.0',
        true
    );
}
function rima_get_used_google_fonts(){
	$googlefonts = array_unique(
		array(
			get_theme_mod('rima_menu_font_family', 'Roboto'),
			get_theme_mod('rima_logo_font_family', 'Nothing You Could Do'),
			get_theme_mod('rima_posts_headings_font_family', 'Varela Round'),
			get_theme_mod('rima_widgets_headings_font_family', 'Roboto'),
			get_theme_mod('rima_body_font_family', 'Open Sans'),
			get_theme_mod('rima_button_font_family', 'Roboto'),
			get_theme_mod('rima_footer_copyright_font_family', 'Roboto')
		)
	);
	return $googlefonts;
}
function rima_get_google_font_styles(){
	$google_style = '100,100italic,200,200italic,300,300italic,400,400italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic';
	$google_style = explode(',', $google_style);
	return array_combine($google_style, $google_style);
}
if (!function_exists('rima_google_fonts')){
	add_action( 'wp_enqueue_scripts', 'rima_google_fonts' );
	add_action( 'enqueue_block_editor_assets', 'rima_google_fonts' );
	function rima_google_fonts() {
		$default = array(
				'Arial',
				'Verdana',
				'Trebuchet',
				'Georgia, sans-serif',
				'Times New Roman, sans-serif',
				'Tahoma',
				'Palatino',
				'Helvetica, sans-serif'
		);

		$googlefonts = rima_get_used_google_fonts();	
		$customfont = '';
		$googlefonts = array_unique($googlefonts);
		$google_style = ':400';
		$fonts_set = '';
		$subset = get_theme_mod('rima_google_font_subset');
		$subset_str = '';
		if(is_array($subset)){
			$subset = array_unique($subset);
			if(!empty($subset)){
				$subset_str = implode(',', $subset);
			}
		} else {
			$subset_str = $subset;
		}
		if($subset_str == '' || $subset_str == 'latin'){
			$subset_str = '';
		} else {
			$subset_str = '&amp;subset='.$subset_str;
		}
		$count = 1;	
		foreach($googlefonts as $getfonts) {
			if(!in_array($getfonts, $default)) {
				$font_l = strtolower(str_replace(' ', '-', $getfonts));
				$google_style_t = get_theme_mod('rima_google_font_'.$font_l, '400');
				if(is_array($google_style_t)){
					$google_style_t = array_unique($google_style_t);
					if(!empty($google_style_t)){
						$google_style = ':'.implode(',', $google_style_t);
					}
				} else {
					if($google_style_t != ''){
						$google_style = ':'.$google_style_t;
					}
				}
				$customfont = str_replace(' ', '+', $getfonts).$google_style;
				if($customfont != ''){
					$font_name = strtolower(str_replace(' ', '-', $getfonts));
					if($count == 1) {
						$divider = '';
					} else {
						$divider = '|';
					}
				    $fonts_set .= $divider.$customfont;
				}
				$count++;
			}
		}
		if( $fonts_set != '' ){
			if( get_theme_mod('rima_webfont_loader', false) ){
				$cnt = 1;
				$loadfonts = explode('|', $fonts_set);
				$tmp_fonts = '';
				$numItems = count($loadfonts);
				$swap = '';
				foreach ($loadfonts as $font) {
					$font = str_replace('+', ' ', $font);
					if($cnt == 1) {
						$divider = '';
					} else {
						$divider = ', ';
					}
				    if($cnt === $numItems) {
				    	$swap = "&display=swap";
				    }
					$tmp_fonts .= "{$divider}'{$font}{$swap}'";
					$cnt++;
				}
				//echo $tmp_fonts;
				$webfontloader = "
					WebFontConfig = {
						google: {
							families: [{$tmp_fonts}]
						}
					};
					(function(d) {
						var wf = d.createElement('script'), s = d.scripts[0];
						wf.src = '".get_template_directory_uri()."/js/webfont.js';
						wf.async = true;
						s.parentNode.insertBefore(wf, s);
					})(document);";
				wp_add_inline_script('jquery', $webfontloader);
			} else {
				wp_enqueue_style( 'google-fonts-rima', esc_url("//fonts.googleapis.com/css?family=".$fonts_set.$subset_str.'&display=swap'), array(), NULL, 'all' );
			}
		}
	}
}