<?php
if( !function_exists('rima_compress') ){
    function rima_compress( $minify ) 
    {
    /* remove comments */
        $minify = preg_replace( '!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $minify );

        /* remove tabs, spaces, newlines, etc. */
        $minify = str_replace( array("\r\n", "\r", "\n", "\t", '; ', '  ', '    ', '    ',': ', ', ','{ ','}.'), array('','','','',';','','','',':',',','{','} .'), $minify );
            
        return $minify;
    }
}
/**
 * Add color styling from theme
 */
if( !function_exists('HexToRGB') ){
    function HexToRGB($hex, $grad=0) {
        $hex = preg_replace("/#/", "", $hex);
        $color = array();

        if(strlen($hex) == 3) {
            $color['r'] = hexdec(substr($hex, 0, 1) . $r)+$grad;
            $color['g'] = hexdec(substr($hex, 1, 1) . $g)+$grad;
            $color['b'] = hexdec(substr($hex, 2, 1) . $b)+$grad;
        }
        else if(strlen($hex) == 6) {
            $color['r'] = hexdec(substr($hex, 0, 2))+$grad;
            $color['g'] = hexdec(substr($hex, 2, 2))+$grad;
            $color['b'] = hexdec(substr($hex, 4, 2))+$grad;
        }

        return implode(",", $color);
    }
}

function rima_styles_custom() {
?>
<?php ob_start(); ?>
body {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_body_font_family', 'Open Sans' )); ?>;
    font-size: <?php echo esc_attr(get_theme_mod( 'rima_body_font_size', '14px' )); ?>;
    color: <?php echo esc_attr(get_theme_mod('rima_body_color', '#5a595c')); ?>;
}
body {
    padding-top: <?php echo esc_attr(get_theme_mod('rima_body_top_padding', '0')); ?>px;
    padding-right: <?php echo esc_attr(get_theme_mod('rima_body_right_padding', '0')); ?>px;
    padding-bottom: <?php echo esc_attr(get_theme_mod('rima_body_bottom_padding', '0')); ?>px;
    padding-left: <?php echo esc_attr(get_theme_mod('rima_body_left_padding', '0')); ?>px;
}
#content .has-regular-font-size {
    font-size: <?php echo esc_attr(get_theme_mod( 'rima_body_font_size', '14px' )); ?>;
}
 <?php 
    $body_background = rwmb_meta( 'rima_body_background' );
    if($body_background){
        echo 'body.page-id-'.get_the_ID().' {';
        echo 'background-color: '.$body_background.';';
        echo '}'; 
    } 
?>

a {
   color: <?php echo esc_attr(get_theme_mod('rima_links_color', '#a5b8c0')); ?>; 
}
a:hover, .meta-categories a:hover {
   color: <?php echo esc_attr(get_theme_mod('rima_links_color_hover', '#a7a8aa')); ?>; 
}
#header {
	<?php 
    echo "background-color: rgba(".HexToRGB(get_theme_mod('rima_header_bg_color', '#ffffff')).", ".get_theme_mod('rima_header_bg_color_opacity', '1').");";
    if(get_theme_mod('rima_header_image', '') != ''){
        echo "background-image: url(".get_theme_mod('rima_header_image', '').");";
        echo "background-size: ".get_theme_mod('rima_header_bg_size', 'auto').";";
        echo "background-position: 50% 50%;";
    }
    if( get_theme_mod('rima_header_bottom_border_width', '1') != '' ){
        echo "border-bottom:".get_theme_mod('rima_header_bottom_border_width', '1')."px solid ".get_theme_mod('rima_header_border_color', '#e5e6e8').";";
    }
    echo "border-color: ".get_theme_mod('rima_header_border_color', '#e5e6e8').";";
    if( get_theme_mod('rima_header_top_border_width', '') != '' && get_theme_mod('rima_header_top_border_width', '') != 'px' ){
        echo "border-top:".get_theme_mod('rima_header_top_border_width', '5')."px solid ".get_theme_mod('rima_header_top_border_color', '#e5e6e8').";";
    }

    ?>
}
#mobile-header {
    <?php 
        echo "background-color: ".get_theme_mod('rima_header_bg_color', '#ffffff').";";
        echo "border-color: ".get_theme_mod('rima_header_border_color', '#e5e6e8').";";
    ?>    
}
#side-header, #side-header-vertical {
    <?php
    echo "background-color: rgba(".HexToRGB(get_theme_mod('rima_header_bg_color', '#ffffff')).", ".get_theme_mod('rima_header_bg_color_opacity', '1').");";
    if(get_theme_mod('rima_header_image', '') != ''){
        echo "background-image: url(".get_theme_mod('rima_header_image', '').");";
        echo "background-size: ".get_theme_mod('rima_header_bg_size', 'auto').";";
        echo "background-position: 50% 50%;";
    }
    echo "border-color: ".get_theme_mod('rima_header_border_color', '#e5e6e8').";";
    ?>
}
#header.fixed-nav {
    <?php 
        echo "border-bottom-color: ".get_theme_mod('rima_header_border_color', '#e5e6e8')." !important;";
        echo "background-color: rgba(".HexToRGB(get_theme_mod('rima_header_bg_color', '#ffffff')).", 1);"; 
    ?>
}
#side-header {
   <?php 
        echo "background-color: ".get_theme_mod('rima_header_bg_color', '#ffffff').";";
        if(get_theme_mod('rima_header_image', '') != ''){
            echo "background-image: url(".get_theme_mod('rima_header_image', '').");";
            echo "background-size: ".get_theme_mod('rima_header_bg_size', 'auto').";";
            echo "background-position: 50% 50%;";
        }
    ?> 
}
#header #navigation-block {
    <?php echo "background-color: ".get_theme_mod('rima_header_bg_color', '#ffffff').";"; ?>
}
<?php
$header_background = rwmb_meta( 'rima_header_background' );
if(!empty($header_background)){
    echo '.page-id-'.get_the_ID().' #header, .page-id-'.get_the_ID().' #side-header, .page-id-'.get_the_ID().' #side-header-vertical {';
    rwmb_the_value('rima_header_background');
    echo '}';
    if( isset($header_background['color']) ){
        echo '.page-id-'.get_the_ID().' #side-header .overlay-bg {background-color:rgba('.HexToRGB($header_background['color']).', 0.75);}';
        echo '.page-id-'.get_the_ID().' #header #navigation-block {background-color:rgba('.HexToRGB($header_background['color']).', 1);}';
    }
    
}
if( get_theme_mod('rima_header_socials_color', '') !== '' ){
    echo '#header .social-icons li a {color:'.get_theme_mod('rima_header_socials_color', '').';}';
}
if( get_theme_mod('rima_navigation_disable_dots', false ) ){
    echo '.menu > li > a:after, .menu > li > a:before, #navigation-block ul.wp-megamenu > li > a:after, #navigation-block ul.wp-megamenu > li > a:before {display: none !important;}';
}
?>

.header-top {
   <?php echo "border-color: ".get_theme_mod('rima_header_border_color', '#e5e6e8').";"; ?>
}
<?php
if(get_theme_mod('rima_menu_dropdown_bg', '#fff') === '#fff'){
    $dropdown_menu_bg = get_theme_mod('rima_header_bg_color', '#ffffff');
} else {
    $dropdown_menu_bg = get_theme_mod('rima_menu_dropdown_bg', '#ffffff');
}
?>
#navigation li ul {
    background-color: rgba(<?php echo HexToRGB($dropdown_menu_bg); ?>, <?php echo get_theme_mod('rima_menu_dropdown_bg_opacity', '1'); ?>);
}
#mobile-header .dl-menuwrapper ul {
    background-color: <?php echo ''.$dropdown_menu_bg; ?>;    
}
#mobile-header .dl-menuwrapper li a {
    background-image: linear-gradient(to right, <?php echo esc_attr(get_theme_mod('rima_menu_dropdown_items_border', '#a5b2cd')); ?> 33%, rgba(255,255,255,0) 0%);
}
#header.fixed-nav #navigation li ul {
    background-color: rgba(<?php echo HexToRGB(get_theme_mod('rima_menu_dropdown_bg', '#ffffff')); ?>, 1);
}
#header .logo img {
    width: <?php echo esc_attr(get_theme_mod( 'rima_media_logo_width', '185' )); ?>px;
}
#header.header4.fixed-nav .logo img, #header.header5.fixed-nav .logo img {
    max-width: <?php echo (int)esc_attr(get_theme_mod( 'rima_media_logo_width', '185' ))/2; ?>px;
}
#header.header5.fixed-nav .menu-item-logo {
    max-width: <?php echo (int)esc_attr(get_theme_mod( 'rima_media_logo_width', '185' ))/2 + 60; ?>px;
}
#header .logo .logo_text {
    font-size: <?php echo esc_attr(get_theme_mod( 'rima_media_logo_width', '80' )); ?>px;
    letter-spacing:<?php echo esc_attr( get_theme_mod( 'rima_logo_title_letter_spacing', '0') ); ?>px;
}
#mobile-header .logo img {
    width: <?php echo esc_attr(get_theme_mod( 'rima_media_logo_mobile_width', '90' )); ?>px;
}
#mobile-header .logo .logo_text {
    font-size: <?php echo esc_attr(get_theme_mod( 'rima_media_logo_mobile_width', '30' )); ?>px;
}
#navigation .menu li a,
#mobile-header .dl-menuwrapper li a { 
    font-size: <?php echo esc_attr(get_theme_mod( 'rima_menu_font_size', '13px' )); ?>;
    font-weight: <?php echo esc_attr(get_theme_mod( 'rima_menu_font_weight', '500' )); ?>;
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_menu_font_family', 'Roboto' )); ?>;
    text-transform: <?php echo esc_attr(get_theme_mod( 'rima_menu_transform', 'uppercase' )); ?>;
    color: <?php echo esc_attr(get_theme_mod('rima_menu_item_color', '#a29fa6')); ?>;
}
#mobile-header .dl-menuwrapper li,
#mobile-header .dl-menuwrapper button.dl-trigger {
    color: <?php echo esc_attr(get_theme_mod('rima_menu_item_color', '#a29fa6')); ?>;
}
.menu > li > a {
    padding-right: <?php echo (int)(get_theme_mod( 'rima_menu_item_padding', '40' ))/2 + 2; ?>px;
    padding-left: <?php echo (int)(get_theme_mod( 'rima_menu_item_padding', '40' ))/2; ?>px;
}
#navigation .menu li ul li a {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_menu_font_family', 'Roboto' )); ?>;
    font-weight: <?php echo esc_attr(get_theme_mod( 'rima_menu_font_weight', '500' )); ?>;
    color: <?php echo esc_attr(get_theme_mod('rima_menu_item_color', '#a29fa6')); ?>;
}
#navigation .menu li ul li a, .wp-megamenu-wrap .wp-megamenu li .wp-megamenu-sub-menu li > a {
    background-image: linear-gradient(to right, <?php echo esc_attr(get_theme_mod('rima_menu_dropdown_items_border', '#a5b2cd')); ?> 33%, rgba(255,255,255,0) 0%);
}
input[type="submit"],
.button,
button[type="submit"],
#main .tnp-subscription input.tnp-submit {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_button_font_family', 'Roboto' )); ?>;
    font-size: <?php echo esc_attr(get_theme_mod( 'rima_button_font_size', '11px' )); ?>;
    background-color: <?php echo esc_attr(get_theme_mod( 'rima_button_default_bg_color', '#201f22' )); ?>;
    border-color: <?php echo esc_attr(get_theme_mod( 'rima_button_default_border_color', 'transparent' )); ?>;
    color: <?php echo esc_attr(get_theme_mod( 'rima_button_default_text_color', '#fff' )); ?>;
    font-weight: <?php echo esc_attr(get_theme_mod( 'rima_button_font_weight', '400' )); ?>;
    border-radius: <?php echo esc_attr(get_theme_mod( 'rima_button_border_radius', '20' )); ?>px;
    letter-spacing: <?php echo esc_attr(get_theme_mod( 'rima_button_letter_spacing', '2.5' )); ?>px;
    padding:<?php echo esc_attr(get_theme_mod( 'rima_button_vertical_padding', '13' )); ?>px <?php echo esc_attr(get_theme_mod( 'rima_button_horizontal_padding', '32' )); ?>px
}
.post-slider-item .post-more .post-more-link {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_button_font_family', 'Roboto' )); ?>;
    font-size: <?php echo esc_attr(get_theme_mod( 'rima_button_font_size', '11px' )); ?>;
}
.loadmore.button {
    background-color: <?php echo esc_attr(get_theme_mod( 'rima_button_loadmore_bg_color', '#fff' )); ?>;
    border-color: <?php echo esc_attr(get_theme_mod( 'rima_button_loadmore_border_color', '#b8b6bb' )); ?>;
    color: <?php echo esc_attr(get_theme_mod( 'rima_button_loadmore_text_color', '#201f22' )); ?>;
}
.menu-button-open, .search-link .search-button, .cart-main .my-cart-link {
    color: <?php echo esc_attr(get_theme_mod('rima_menu_item_color', '#a29fa6')); ?>;
}
ul#nav-mobile li > a:hover, ul#nav-mobile li.current-menu-item > a, ul#nav-mobile li.current_page_item > a, ul#nav-mobile li.current-menu-ancestor > a,
#navigation .menu li > a:hover, #navigation .menu li.current-menu-item > a, #navigation .menu li.current-menu-ancestor > a,
.menu-button-open:hover, .search-link .search-button:hover, .cart-main .my-cart-link:hover,
#navigation .menu li ul li a:hover,
#navigation .menu li ul .current-menu-item > a,
#navigation .menu li ul .current-menu-ancestor > a,
ul#nav-mobile li > a:hover,
ul#nav-mobile li.current-menu-item > a,
ul#nav-mobile li.current_page_item > a,
ul#nav-mobile li.current-menu-ancestor > a {
    color: <?php echo esc_attr(get_theme_mod('rima_menu_item_color_active', '#2e2d30')); ?>;
}
#footer-copy-block {
    font-size: <?php echo esc_attr(get_theme_mod( 'rima_footer_copyright_font_size', '11px' )); ?>;
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_footer_copyright_font_family', 'Roboto' )); ?>;
    color: <?php echo esc_attr(get_theme_mod('rima_footer_copyright_color', '#aaadad')); ?>;
}
#footer, #before-footer {
    background-color: <?php echo esc_attr(get_theme_mod('rima_footer_bg_color', '#fff')); ?>;
}

<?php
    if( rwmb_meta('rima_header_bottom_border') ){
        echo '#header, #header.header5 .header-top {border-bottom:0;}';
    }
    if( !get_theme_mod('rima_post_headings_separator', true) ){
        echo 'body.blog .post.has-post-thumbnail .title:after, body.single-post .wide-image.post .title:after, .title:after {display:none !important;} .post .title.hr-sep {margin-bottom:0!important;}';
    }
    if( !get_theme_mod('rima_widgets_headings_separator', true ) ){
        echo '#related-posts h2:after, #comments-title:after, #related-posts h2:before, .post-meta .meta-date:after, .post-meta .sharebox:before, #comments-title:before {display:none !important;}';
    }
?>
.title h1, .title h2, .title h3 { 
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_family', 'Varela Round' )); ?>;
    color: <?php echo esc_attr(get_theme_mod('rima_posts_headings_item_color', '#201f22')); ?>;
    font-weight: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_weight', '400' )); ?>;
    font-size: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_size', '38' )); ?>px;
    text-transform: <?php echo esc_attr(get_theme_mod( 'rima_post_headings_transform', 'capitalize' )); ?>;
    letter-spacing:<?php echo esc_attr( get_theme_mod( 'rima_posts_headings_letter_spacing', '0') ); ?>px;
}
.post-slider-item .post-more h3 {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_family', 'Varela Round' )); ?>; 
}
<?php
    if( get_theme_mod('rima_post_headings_separator_style', 'vertical') === 'horizontal' && get_theme_mod('rima_post_headings_separator', true) ){
        echo '.title { padding-bottom: 2px !important; margin-bottom: 23px !important; }';
        echo '.page-template-default .before-content .title h2 { margin-bottom:12px !important;}';
        echo 'body.single-post .post .title, .before-content header.title, body.search header.title {margin-bottom:35px !important;}';
        echo '.title:after { top: auto !important; bottom: 0px !important; height: 1px !important; width: 66px !important; border: 0 !important; left: 50% !important; margin: 0 0 0px -33px !important; border-bottom: 2px solid !important; }';
        echo '.title:after {color:'.get_theme_mod('rima_accent_color', '#a5b8c0').'}';
    }
?>
#navigation-block #wp-megamenu-main_navigation>.wpmm-nav-wrap ul.wp-megamenu h4.grid-post-title a {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_family', 'Varela Round' )); ?> !important;
}
.logo { 
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_logo_font_family', 'Nothing You Could Do' )); ?>;
}
blockquote {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_family', 'Varela Round' )); ?>;
}
h1,h2,h3,h4, .has-drop-cap:first-letter {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_family', 'Varela Round' )); ?>;
    color: <?php echo esc_attr(get_theme_mod('rima_posts_headings_item_color', '#2b2735')); ?>;
    font-weight: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_weight', '500' )); ?>;
}
.social-icons.big_icon_text li span {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_family', 'Varela Round' )); ?>;
}
.woocommerce div.product p.price, .woocommerce div.product span.price {
    color:<?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?> !important;
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_family', 'Varela Round' )); ?> !important;
}
.title h2 a:hover, .title h3 a:hover, .related-item-title a:hover, .latest-blog-item-description a.title:hover {
    color: <?php echo esc_attr(get_theme_mod('rima_posts_headings_item_color_active', '#a5b8c0')); ?>;
}
.wpb_widgetised_column .widget h3.title, .widget-title,
#related-posts h2, #comments #reply-title, #comments-title, .write-comment h3 {
    font-size: <?php echo esc_attr(get_theme_mod( 'rima_widgets_headings_font_size', '11px' )); ?>; 
    font-weight: <?php echo esc_attr(get_theme_mod( 'rima_widgets_headings_font_weight', '500' )); ?>;
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_widgets_headings_font_family', 'Roboto' )); ?>;
    color: <?php echo esc_attr(get_theme_mod('rima_widgets_headings_item_color', '#201f22')); ?>;
    text-transform: <?php echo esc_attr(get_theme_mod( 'rima_widgets_headings_transform', 'uppercase' )); ?>;    
    letter-spacing:<?php echo esc_attr( get_theme_mod( 'rima_widgets_headings_letter_spacing', '2.5') ); ?>px;
}
.meta-categories, .meta-date, #latest-list-posts .post .post-meta .categories, #latest-posts .post .post-meta .categories,
.meta-comment > a, .meta-comment > span, .meta-read, .insta-follow-link, .related-meta-date,
.tp-caption.slider-posts-desc .slider-post-meta, .slider-posts-desc .slider-post-meta {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_widgets_headings_font_family', 'Roboto' )); ?>;
    font-weight: <?php echo esc_attr(get_theme_mod( 'rima_widgets_headings_font_weight', '500' )); ?>;
    letter-spacing:<?php echo esc_attr( get_theme_mod( 'rima_widgets_headings_letter_spacing', '1') ); ?>px;
}
.widget .latest-blog-list .meta-categories a:hover, .post-meta .meta-tags a:hover,
.author .comment-reply a:hover, .pie-top-button, #header .social-icons li a:hover,
.post .social-icons li a:hover, #mobile-nav .social-icons li a:hover,
.widget_categories ul li a:hover, #latest-list-posts .post .post-meta .categories a:hover,
.social-icons li a:hover, input[type="checkbox"]:not(:checked) + label:after,
input[type="checkbox"]:checked + label:after,
.category-block:hover .category-block-inner .link-icon,
.meta-categories a:hover {
    color:<?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?>;
}
.social-icons.big_icon_text li a:hover {
    background-color:<?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?>;
}
.instagram-item:hover img,
input[type="text"]:focus,
input[type="password"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="tel"]:focus,
input[type="number"]:focus,
textarea:focus,
.single-post .post.featured .title .meta-date .meta-categories a {
    border-color:<?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?>;
}
.category-block:hover .category-block-inner::before {
    border-top-color: <?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?>;
    border-right-color: <?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?>;
}
.category-block:hover .category-block-inner::after {
    border-bottom-color: <?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?>;
    border-left-color: <?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?>;
}

#sidebar .widget.widget_socials .social-icons li a:before, .pie,
#footer .social-icons li a:before, .sk-folding-cube .sk-cube:before,
#back-to-top a, input[type="radio"]:checked + label:after,
input[type="radio"]:not(:checked) + label:after,
.category-block:hover .category-block-inner .category-button {
    background-color:<?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?> !important;
}
<?php $out=ob_get_contents(); $out = rima_compress($out); ob_end_clean();

    wp_add_inline_style('rima-stylesheet', $out);
}
add_action( 'wp_enqueue_scripts', 'rima_styles_custom' );
?>