<?php
if( !function_exists('rima_compress_css') ){
    function rima_compress_css( $minify ) 
    {
    /* remove comments */
        $minify = preg_replace( '!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $minify );

        /* remove tabs, spaces, newlines, etc. */
        $minify = str_replace( array("\r\n", "\r", "\n", "\t", '; ', '  ', '    ', '    ',': ', ', ','{ ','}.'), array('','','','',';','','','',':',',','{','} .'), $minify );
            
        return $minify;
    }
}
/**
 * Add color styling from theme
 */
if( !function_exists('HexToRGB_custom') ){
    function HexToRGB_custom($hex, $grad=0) {
        $hex = preg_replace("/#/", "", $hex);
        $color = array();

        if(strlen($hex) == 3) {
            $color['r'] = hexdec(substr($hex, 0, 1) . $r)+$grad;
            $color['g'] = hexdec(substr($hex, 1, 1) . $g)+$grad;
            $color['b'] = hexdec(substr($hex, 2, 1) . $b)+$grad;
        }
        else if(strlen($hex) == 6) {
            $color['r'] = hexdec(substr($hex, 0, 2))+$grad;
            $color['g'] = hexdec(substr($hex, 2, 2))+$grad;
            $color['b'] = hexdec(substr($hex, 4, 2))+$grad;
        }

        return implode(",", $color);
    }
}

function rima_styles_custom_editor_gutenberg() {
?>
<?php ob_start(); ?>
.wp-block.editor-block-list__block .editor-block-list__block-edit {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_body_font_family', 'Open Sans' )); ?>;
    font-size: <?php echo esc_attr(get_theme_mod( 'rima_body_font_size', '14px' )); ?>;
    color: <?php echo esc_attr(get_theme_mod('rima_body_color', '#5a595c')); ?>;
}
.wp-block.editor-block-list__block .editor-block-list__block-edit .has-regular-font-size .has-regular-font-size {
    font-size: <?php echo esc_attr(get_theme_mod( 'rima_body_font_size', '14px' )); ?>;
}

.wp-block.editor-block-list__block .editor-block-list__block-edit a {
   color: <?php echo esc_attr(get_theme_mod('rima_links_color', '#a5b8c0')); ?>; 
}
.wp-block.editor-block-list__block .editor-block-list__block-edit a:hover, .meta-categories a:hover {
   color: <?php echo esc_attr(get_theme_mod('rima_links_color_hover', '#a7a8aa')); ?>; 
}
 
.wp-block.editor-block-list__block .editor-block-list__block-edit .button {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_button_font_family', 'Roboto' )); ?>;
    font-size: <?php echo esc_attr(get_theme_mod( 'rima_button_font_size', '11px' )); ?>;
    background-color: <?php echo esc_attr(get_theme_mod( 'rima_button_default_bg_color', '#201f22' )); ?>;
    border-color: <?php echo esc_attr(get_theme_mod( 'rima_button_default_border_color', 'transparent' )); ?>;
    color: <?php echo esc_attr(get_theme_mod( 'rima_button_default_text_color', '#fff' )); ?>;
    font-weight: <?php echo esc_attr(get_theme_mod( 'rima_button_font_weight', '400' )); ?>;
    border-radius: <?php echo esc_attr(get_theme_mod( 'rima_button_border_radius', '20' )); ?>px;
    letter-spacing: <?php echo esc_attr(get_theme_mod( 'rima_button_letter_spacing', '2.5' )); ?>px;
    padding:<?php echo esc_attr(get_theme_mod( 'rima_button_vertical_padding', '13' )); ?>px <?php echo esc_attr(get_theme_mod( 'rima_button_horizontal_padding', '32' )); ?>px
}
.wp-block.editor-block-list__block .editor-block-list__block-edit .post-slider-item .post-more .post-more-link {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_button_font_family', 'Roboto' )); ?>;
    font-size: <?php echo esc_attr(get_theme_mod( 'rima_button_font_size', '11px' )); ?>;
}
.wp-block.editor-block-list__block .editor-block-list__block-edit .loadmore.button {
    background-color: <?php echo esc_attr(get_theme_mod( 'rima_button_loadmore_bg_color', '#fff' )); ?>;
    border-color: <?php echo esc_attr(get_theme_mod( 'rima_button_loadmore_border_color', '#b8b6bb' )); ?>;
    color: <?php echo esc_attr(get_theme_mod( 'rima_button_loadmore_text_color', '#201f22' )); ?>;
}
.wp-block.editor-block-list__block .editor-block-list__block-edit .menu-button-open, .search-link .search-button, .cart-main .my-cart-link {
    color: <?php echo esc_attr(get_theme_mod('rima_menu_item_color', '#a29fa6')); ?>;
}

.wp-block.editor-block-list__block .editor-block-list__block-edit .title h1,
.wp-block.editor-block-list__block .editor-block-list__block-edit .title h2,
.wp-block.editor-block-list__block .editor-block-list__block-edit .title h3,
.wp-block.editor-post-title__block .editor-post-title__input { 
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_family', 'Varela Round' )); ?>;
    color: <?php echo esc_attr(get_theme_mod('rima_posts_headings_item_color', '#201f22')); ?>;
    font-weight: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_weight', '400' )); ?>;
    font-size: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_size', '38' )); ?>px;
    text-transform: <?php echo esc_attr(get_theme_mod( 'rima_post_headings_transform', 'capitalize' )); ?>;
    letter-spacing:<?php echo esc_attr( get_theme_mod( 'rima_posts_headings_letter_spacing', '0') ); ?>px;
}
.wp-block.editor-block-list__block .editor-block-list__block-edit .post-slider-item .post-more h3 {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_family', 'Varela Round' )); ?>; 
}
<?php
    if( get_theme_mod('rima_post_headings_separator_style', 'vertical') === 'horizontal' && get_theme_mod('rima_post_headings_separator', true) ){
        echo '.title { padding-bottom: 2px !important; margin-bottom: 23px !important; }';
        echo '.page-template-default .before-content .title h2 { margin-bottom:12px !important;}';
        echo 'body.single-post .post .title, .before-content header.title, body.search header.title {margin-bottom:35px !important;}';
        echo '.title:after { top: auto !important; bottom: 0px !important; height: 1px !important; width: 66px !important; border: 0 !important; left: 50% !important; margin: 0 0 0px -33px !important; border-bottom: 2px solid !important; }';
        echo '.title:after {color:'.get_theme_mod('rima_accent_color', '#a5b8c0').'}';
    }
?>

.wp-block.editor-block-list__block .editor-block-list__block-edit blockquote {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_family', 'Varela Round' )); ?>;
}
.wp-block.editor-block-list__block .editor-block-list__block-edit h1,
.wp-block.editor-block-list__block .editor-block-list__block-edit h2,
.wp-block.editor-block-list__block .editor-block-list__block-edit h3,
.wp-block.editor-block-list__block .editor-block-list__block-edit h4,
.wp-block.editor-block-list__block .editor-block-list__block-edit .has-drop-cap:first-letter {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_family', 'Varela Round' )); ?>;
    color: <?php echo esc_attr(get_theme_mod('rima_posts_headings_item_color', '#2b2735')); ?>;
    font-weight: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_weight', '500' )); ?>;
}
.wp-block.editor-block-list__block .editor-block-list__block-edit .social-icons.big_icon_text li span {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_family', 'Varela Round' )); ?>;
}
.wp-block.editor-block-list__block .editor-block-list__block-edit .woocommerce div.product p.price,
.wp-block.editor-block-list__block .editor-block-list__block-edit .woocommerce div.product span.price {
    color:<?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?> !important;
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_posts_headings_font_family', 'Varela Round' )); ?> !important;
}
.wp-block.editor-block-list__block .editor-block-list__block-edit .title h2 a:hover,
.wp-block.editor-block-list__block .editor-block-list__block-edit .title h3 a:hover,
.wp-block.editor-block-list__block .editor-block-list__block-edit .related-item-title a:hover,
.wp-block.editor-block-list__block .editor-block-list__block-edit .latest-blog-item-description a.title:hover {
    color: <?php echo esc_attr(get_theme_mod('rima_posts_headings_item_color_active', '#a5b8c0')); ?>;
}
.meta-categories, .meta-date, #latest-list-posts .post .post-meta .categories, #latest-posts .post .post-meta .categories,
.meta-comment > a, .meta-comment > span, .meta-read, .insta-follow-link, .related-meta-date,
.tp-caption.slider-posts-desc .slider-post-meta, .slider-posts-desc .slider-post-meta {
    font-family: <?php echo esc_attr(get_theme_mod( 'rima_widgets_headings_font_family', 'Roboto' )); ?>;
    font-weight: <?php echo esc_attr(get_theme_mod( 'rima_widgets_headings_font_weight', '500' )); ?>;
    letter-spacing:<?php echo esc_attr( get_theme_mod( 'rima_widgets_headings_letter_spacing', '1') ); ?>px;
}
.widget .latest-blog-list .meta-categories a:hover, .post-meta .meta-tags a:hover,
.author .comment-reply a:hover, .pie-top-button, #header .social-icons li a:hover,
.post .social-icons li a:hover, #mobile-nav .social-icons li a:hover,
.widget_categories ul li a:hover, #latest-list-posts .post .post-meta .categories a:hover,
.social-icons li a:hover, input[type="checkbox"]:not(:checked) + label:after,
input[type="checkbox"]:checked + label:after,
.category-block:hover .category-block-inner .link-icon,
.meta-categories a:hover {
    color:<?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?>;
}
.social-icons.big_icon_text li a:hover {
    background-color:<?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?>;
}
.wp-block.editor-block-list__block .editor-block-list__block-edit .instagram-item:hover img,
.wp-block.editor-block-list__block .editor-block-list__block-edit input[type="text"]:focus,
.wp-block.editor-block-list__block .editor-block-list__block-edit input[type="password"]:focus,
.wp-block.editor-block-list__block .editor-block-list__block-edit input[type="email"]:focus,
.wp-block.editor-block-list__block .editor-block-list__block-edit input[type="url"]:focus,
.wp-block.editor-block-list__block .editor-block-list__block-edit input[type="tel"]:focus,
.wp-block.editor-block-list__block .editor-block-list__block-edit input[type="number"]:focus,
.wp-block.editor-block-list__block .editor-block-list__block-edit textarea:focus,
.single-post .post.featured .title .meta-date .meta-categories a {
    border-color:<?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?>;
}
.category-block:hover .category-block-inner::before {
    border-top-color: <?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?>;
    border-right-color: <?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?>;
}
.category-block:hover .category-block-inner::after {
    border-bottom-color: <?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?>;
    border-left-color: <?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?>;
}

#sidebar .widget.widget_socials .social-icons li a:before, .pie,
#footer .social-icons li a:before, .sk-folding-cube .sk-cube:before,
#back-to-top a, .category-block:hover .category-block-inner .category-button {
    background-color:<?php echo esc_attr(get_theme_mod('rima_accent_color', '#a5b8c0')); ?> !important;
}
<?php $out=ob_get_contents(); $out = rima_compress_css($out); ob_end_clean();

    wp_add_inline_style('rima-blocks-style', $out);
}
add_action( 'enqueue_block_editor_assets', 'rima_styles_custom_editor_gutenberg', 110 );
?>