<?php 
/* ------------------------------------------------------------------------ */
/* Translation
/* Translations can be filed in the framework/languages/ directory */

load_theme_textdomain( 'rima', get_template_directory() . '/languages' );

$locale = get_locale();
$locale_file = get_template_directory() . "/languages/$locale.php";
if ( is_readable($locale_file) ){
	require_once($locale_file);
}

include_once(trailingslashit( get_template_directory() ).'framework/customizer/customizer.php');
include_once(trailingslashit( get_template_directory() ).'framework/inc/customcss.php');
if( is_admin() ){
	include_once(trailingslashit( get_template_directory() ).'framework/inc/editor-customcss.php');
}
include_once(trailingslashit( get_template_directory() ).'framework/inc/sidebars.php'); // register widgets area
include_once(trailingslashit( get_template_directory() ).'framework/inc/sidebar-generator.php'); // add custom sidebars

if(!function_exists('rima_scripts_basic')){
	function rima_scripts_basic() { 
		if ( is_singular() ) { 
			wp_enqueue_script( 'comment-reply' ); 
		} 
		wp_enqueue_script('html5', get_template_directory_uri().'/js/html5shiv.js', array(), '3.7.3' );
		wp_script_add_data('html5', 'conditional', 'lt IE 9' );
		wp_enqueue_script('owl-carousel', get_template_directory_uri() . '/js/owl.carousel.min.js', array('jquery'), '2.0.0', TRUE);
		wp_enqueue_script('image-lightbox', get_template_directory_uri() . '/js/image-lightbox.min.js', array('jquery'), '1.0', TRUE);
		wp_enqueue_script('isotope', get_template_directory_uri() . '/js/isotope.min.js', array('jquery'), '3.0.0', true);
		wp_enqueue_script('infinite-scroll', get_template_directory_uri() . '/js/infinite-scroll.pkgd.min.js', array('jquery'), '2.1.0', true);
		wp_enqueue_script('imagesloaded');
		wp_enqueue_script('theia-sticky-sidebar', get_template_directory_uri() . '/js/theia-sticky-sidebar.js', array('jquery'), '1.7.0', true);
		wp_enqueue_script('jquery-dlmenu', get_template_directory_uri() . '/js/jquery.dlmenu.js', array('jquery'), '1.0.1', true);
		if(get_theme_mod('rima_smooth_scroll', true) == true){
			wp_enqueue_script('rima-smoothscroll', get_template_directory_uri() . '/js/rima-smoothscroll.js', array('jquery'), '1.0', TRUE);
		}
		if(get_theme_mod('rima_live_search', false) == true){
			wp_enqueue_script('rima-ajaxsearch', get_template_directory_uri() . '/js/rima-ajaxsearch.js', array('jquery'), '1.0', TRUE);
			wp_localize_script( 'rima-ajaxsearch', 'rimaAjaxSearch', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ) ) );
		}
		wp_enqueue_script('rima-functions', get_template_directory_uri() . '/js/rima-functions.js', array('jquery'), '1.1', TRUE);
	}
	add_action( 'wp_enqueue_scripts', 'rima_scripts_basic', 11 );
}

if(!function_exists('rima_styles_basic')){
	function rima_styles_basic() {  
		/* ------------------------------------------------------------------------ */
		/* Register Stylesheets */
		/* ------------------------------------------------------------------------ */
		wp_register_style( 'rima-basic', get_template_directory_uri() . '/css/basic.css', array(), '1.0', 'all' );
		wp_register_style( 'rima-stylesheet', get_template_directory_uri() .'/style.css', array(), '1.0', 'all' );
		wp_register_style( 'rima-skeleton', get_template_directory_uri() . '/css/grid.css', array(), '1', 'all' );
		wp_register_style( 'image-lightbox', get_template_directory_uri() . '/css/imageLightbox.min.css', array(), '1.0', 'all' );
		wp_deregister_style( 'font-awesome' );
		wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/framework/fonts/font-awesome/css/all.min.css', array(), '5.1.0', 'all' );
		wp_enqueue_style( 'line-awesome', get_template_directory_uri() . '/framework/fonts/line-awesome/css/line-awesome.min.css', array(), '1.0', 'all' );
		wp_enqueue_style( 'owl-carousel', get_template_directory_uri() . '/css/owl.carousel.css', array(), '2.0.0', 'all' );
		wp_enqueue_style( 'dlmenu', get_template_directory_uri() . '/css/dlmenu.css', array(), '1.0', 'all' );
		wp_register_style( 'rima-responsive', get_template_directory_uri() . '/css/responsive.css', array(), '1.0', 'all' );
		wp_enqueue_style( 'rima-basic' );
		wp_enqueue_style( 'rima-skeleton' );
		wp_enqueue_style( 'image-lightbox' );
		wp_enqueue_style( 'rima-stylesheet' );
		if ( function_exists( 'is_rtl' ) && is_rtl() ) {
			wp_enqueue_style( 'rima-stylesheet-rtl', get_template_directory_uri() . '/rtl.css', array('rima-stylesheet'), '1.0', 'all' );
		}
		if( get_theme_mod('rima_responsiveness', true) ) {
			wp_enqueue_style( 'rima-responsive' );
		}

	}  
	add_action( 'wp_enqueue_scripts', 'rima_styles_basic', 1 );
}
function rima_gutenberg_editor() {
	wp_enqueue_style( 'rima-blocks-style', get_template_directory_uri() . '/css/editor-style.css', array('wp-edit-blocks'), '1.0.0', 'all');
}
add_action( 'enqueue_block_editor_assets', 'rima_gutenberg_editor' );

if(!function_exists('rima_enqueue_comments_reply')){
	function rima_enqueue_comments_reply(){
		wp_enqueue_script( 'comment-reply' );
	}
	add_action( 'comment_form_before', 'rima_enqueue_comments_reply' );
}

/* Add Custom Primary Navigation */
if(!function_exists('rima_register_custom_menu')){
	add_action('init', 'rima_register_custom_menu');
	function rima_register_custom_menu() {
		register_nav_menu('main_navigation', esc_html__('Main Navigation','rima'));
		register_nav_menu('side_navigation', esc_html__('Side Navigation','rima'));
		register_nav_menu('mobile_navigation', esc_html__('Mobile menu navigation','rima'));
	}
}

if(!function_exists('rima_comments_number')){
	function rima_comments_number($postID, $echo = false){
		$num_comments = get_comments_number($postID);
		if ( comments_open() ) {
			if ( $num_comments == 0 ) {
				$comments = esc_html__('No Comments', 'rima');
			} elseif ( $num_comments > 1 ) {
				$comments = $num_comments .' '. esc_html__('Comments', 'rima');
			} else {
				$comments = esc_html__('1 Comment', 'rima');
			}
			$write_comments = '<a href="' . get_comments_link($postID) .'"><i class="la la-comment"></i> '. $comments.'</a>';
		} else {
			$write_comments = '<span><i class="la la-comment"></i> '.esc_html__('Comments disabled.', 'rima').'</span>';
		}
		if($echo){
			echo ''.$write_comments;
		} else {
			return $write_comments;
		}
	}
	add_filter( 'rima_comments_number', 'rima_comments_number' );
}

if(!function_exists('rima_string_limit_words')){
	function rima_string_limit_words($string, $word_limit)
	{
	  $string = strip_tags($string, '<p>');
	  $words = explode(' ', $string, ($word_limit + 1));
	  if(count($words) > $word_limit)
	    array_pop($words);
	  return implode(' ', $words);
	}
}

if( !function_exists('rima_allow_svg_upload')){
	function rima_allow_svg_upload($mimes){
		$mimes['svg'] = 'image/svg+xml';
		$mimes['txt'] = 'text/plain';
  		return $mimes;
	}
	add_filter('upload_mimes', 'rima_allow_svg_upload');
}

if(!function_exists('rima_theme_setup')){
	function rima_theme_setup() {
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'align-wide' );
		add_theme_support( 'post-thumbnails' );
		add_theme_support( 'post-formats', array('gallery', 'image', 'video', 'audio', 'quote', 'link') );

		$crop = get_theme_mod('rima_crop_post_thumbnail', true) ? true : false;
		set_post_thumbnail_size( '845', '550', $crop );

		add_image_size(esc_html__('rima-masonry', 'rima'), 585, 9999, false);

		$crop = get_theme_mod('rima_extra_medium_crop', true) ? true : false;
		add_image_size(esc_html__('rima-extra-medium', 'rima'), 520, 410, $crop);

		$crop = get_theme_mod('rima_slider_crop', true) ? true : false;
		add_image_size(esc_html__('rima-slider', 'rima'), 1170, 605, $crop);

		$crop = get_theme_mod('rima_fullwidth_slider_crop', true) ? true : false;
		add_image_size(esc_html__('rima-fullwidth-slider', 'rima'), 1900, 650, $crop);

		$crop = get_theme_mod('rima_crop_thumbnail', true) ? 1 : 0;
		update_option( 'thumbnail_crop', $crop );

		$crop = get_theme_mod('rima_crop_medium', true) ? 1 : 0;
		update_option( 'medium_crop', $crop );

		$crop = get_theme_mod('rima_crop_large', true) ? 1 : 0;
		update_option( 'large_crop', $crop );
		$list = array(
		    'page',
		    'rima-footer',
		    'rima-header'
		);
		if( class_exists('WPBakeryVisualComposerAbstract') ){
			vc_set_default_editor_post_types( $list );
		}
	}
	add_action( 'after_setup_theme', 'rima_theme_setup' );	
}
if(!function_exists('rima_update_media_sizes')){
	function rima_update_media_sizes(){
		update_option( 'thumbnail_size_w', 160 );
		update_option( 'thumbnail_size_h', 160 );
		
		update_option( 'medium_size_w', 570 );
		update_option( 'medium_size_h', 410 );
		
		update_option( 'large_size_w', 1170 );
		update_option( 'large_size_h', 730 );
	}
	add_action('after_switch_theme', 'rima_update_media_sizes');
}
if(!function_exists('rima_custom_image_sizes')){
	add_filter( 'image_size_names_choose', 'rima_custom_image_sizes' );
	function rima_custom_image_sizes( $sizes ) {
	    return array_merge( $sizes, array(
	    	'post-thumbnail' => esc_html__('post-thumbnail', 'rima'),
	        'rima-masonry' => esc_html__('rima-masonry', 'rima'),
	        'rima-extra-medium' => esc_html__('rima-extra-medium', 'rima'),
	        'rima-slider' => esc_html__('rima-slider', 'rima'),
	        'rima-fullwidth-slider' => esc_html__('rima-fullwidth-slider', 'rima')
	    ) );
	}
}

if(!function_exists('rima_custom_excerpt_length')){
	function rima_custom_excerpt_length( $length ) {
		$count = get_theme_mod('rima_blog_excerpt_count', '52');
		if(is_archive()){
			$count = get_theme_mod('rima_archive_excerpt_count', '18');
		}
		if(is_search()){
			$count = get_theme_mod('rima_search_excerpt_count', '18');
		}
		return $count;
	}
	add_filter( 'excerpt_length', 'rima_custom_excerpt_length', 99 );
}

if(!function_exists('rima_woocommerce_my_single_title')){
	add_action('woocommerce_single_product_summary', 'rima_woocommerce_my_single_title', 5);
	function rima_woocommerce_my_single_title() {
		echo '<header class="title"><h2>'.get_the_title().'</h2></header>';
	}
}

if(!function_exists('rima_modify_read_more_link')){
	add_filter('excerpt_more', 'rima_modify_read_more_link');
	add_filter( 'the_content_more_link', 'rima_modify_read_more_link' );
	function rima_modify_read_more_link() {
		return '';
	}
}

if(!function_exists('rima_excerpt')){
	function rima_excerpt($limit=17, $postID=false) {
		if(!$postID){
			$postID = get_the_ID();
		}
		$text = get_the_content($postID);
		$text = apply_filters('the_content', $text);
		$text = strip_shortcodes($text);
		$text = str_replace('\]\]\>', ']]>', $text);
		$text = preg_replace('@<script[^>]*?>.*?</script>@si', '', $text);
		$text = strip_tags($text);
		$excerpt_length = $limit;
		$words = explode(' ', $text, $excerpt_length + 1);
		array_pop($words);
		$text = implode(' ', $words);
		return $text;
	}
}

/* Pagination */
if(!function_exists('rima_next_posts_link_attributes')){
	add_filter('next_posts_link_attributes', 'rima_next_posts_link_attributes');
	function rima_next_posts_link_attributes() {
	    return 'class="next"';
	}
}
if(!function_exists('rima_prev_posts_link_attributes')){
	function rima_prev_posts_link_attributes() {
    	return 'class="previous"';
	}
	add_filter('previous_posts_link_attributes', 'rima_prev_posts_link_attributes');
}


if(!function_exists('rima_post_has_more_link')){
	function rima_post_has_more_link( $post_id ) {
		$post = get_post( $post_id );
		if(!empty($post)){
			$content = $post->post_content;
			$data_array = get_extended( $content );
			return '' !== $data_array['extended'];
		} else {
			return false;
		}
	}
}
if(!function_exists('rima_custom_pagination')){
  function rima_custom_pagination($pages = '', $range = 4) {
    $showitems = ($range * 2)+1;
    $out ='';
    global $paged;
    if ( is_front_page() ) {
		$paged = (get_query_var('page')) ? get_query_var('page') : 1;
	} else {
		$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
	}
    if(empty($paged)) $paged = 1;
    
    if($pages == '') {
      global $wp_query;
      $pages = $wp_query->max_num_pages;
      if(!$pages) {
        $pages = 1;
      }
    }
    
    if(1 != $pages) {
      if($paged > 1) {
      	$out .= get_previous_posts_link(esc_html__('Newer posts', 'rima'));
      } else {
      	$out .= '<span class="previous nonactive">'.esc_html__('Newer posts', 'rima').'</span>';
      }
      if ($paged < $pages) {
      	$out .= get_next_posts_link(esc_html__('Older posts', 'rima'));
      } else {
      	$out .= '<span class="next nonactive">'.esc_html__('Older posts', 'rima').'</span>';
      }
    }
    return $out;
  }
}

/* ------------------------------------------------------------------------ */
/* Comments
/* ------------------------------------------------------------------------ */
if(!function_exists('rima_move_comment_field_to_bottom')){
	function rima_move_comment_field_to_bottom( $fields ) {
		$comment_field = $fields['comment'];
		unset( $fields['comment'] );
		$fields['comment'] = $comment_field;
		return $fields;
	}
	add_filter( 'comment_form_fields', 'rima_move_comment_field_to_bottom' );
}
if( !function_exists('rima_default_comments_field') ){
	add_filter('comment_form_default_fields', 'rima_default_comments_field');
	function rima_default_comments_field( $fields ){
		$req = get_option( 'require_name_email' );
		$aria_req = ( $req ? " aria-required='true'" : '' );

		//Custom Fields
		$commenter = wp_get_current_commenter();

		$fields =  array(
			'author'=> '<div id="respond-inputs" class="row-fluid"><div class="span6"><input id="author" name="author" type="text" value="'.esc_attr( $commenter['comment_author'] ).'" placeholder="' . esc_attr__('Name', 'rima') . ' *" size="30"' . $aria_req . ' /></div>',
			'email' => '<div class="span6"><input id="email" name="email" type="text" value="'. esc_attr( $commenter['comment_author_email'] ) .'" placeholder="' . esc_attr__('E-Mail', 'rima') . ' *" size="30"' . $aria_req . ' /></div></div>',
		);

		if( get_option('show_comments_cookies_opt_in') ){
			$fields['cookies'] = '<p class="comment-form-cookies-consent"><input id="wp-comment-cookies-consent" name="wp-comment-cookies-consent" type="checkbox" value="yes" /><label for="wp-comment-cookies-consent">' . get_theme_mod('rima_gdpr_checkbox_consent', 'Save my name, email, and website in this browser for the next time I comment.') . '</label></p>';
		}

		return $fields;
	}
}	
if(!function_exists('rima_comment')){
	function rima_comment( $comment, $args, $depth ) {
	   $GLOBALS['comment'] = $comment; ?>
	   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
	   <div id="comment-<?php comment_ID(); ?>" class="comment-body clearfix"> 
	   			<?php
				if ( function_exists( 'rima_get_additional_user_meta_thumb' ) && get_comment()->user_id ){
					// retrieve our additional author meta info
					$user_meta_image = esc_attr( get_the_author_meta( 'user_meta_image', get_comment()->user_id ) );
				    // make sure the field is set
				    if ( isset( $user_meta_image ) && $user_meta_image ) {
				        // only display if function exists
				        ?>
							<div class="author-avatar alignleft"><img alt="<?php esc_attr_e('author photo', 'rima'); ?>" src="<?php echo rima_get_additional_user_meta_thumb(); ?>" /></div>
				        <?php } ?>
				<?php } else {
					if( get_avatar( $comment, '50', '' ) ) { echo '<div class="author-avatar alignleft">'.get_avatar( $comment, '50', '' ).'</div>'; }
				} ?>
	        <div class="comment-text">
				<div class="author">
				 	<h2 class="author-title"><?php printf( esc_html__( '%s', 'rima'), get_comment_author_link() ) ?></h2>
				 	<div class="flex-end">
				 		<div class="meta-date"><?php printf(esc_html__('%1$s', 'rima'), get_comment_date()) ?><?php edit_comment_link( esc_html__( '(Edit)', 'rima'),' ','' ) ?></div>  
				 		<div class="comment-reply"><?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?></div>
				 	</div>
				</div>
				<div class="text clearfix">
				<?php comment_text() ?>
				<?php if ( $comment->comment_approved == '0' ) : ?>
			        <em><?php esc_html_e( 'Your comment is awaiting moderation.', 'rima') ?></em>
			        <br />
		      	<?php endif; ?>
		      </div>
	      	</div>
	   </div>
	<?php
	}
}
if( !function_exists('rwmb_meta') ){
	function rwmb_meta($key) {
		return get_post_meta(get_the_ID(), $key);
	}
}
if( ! function_exists( 'rwmb_get_value' ) ) {
    function rwmb_get_value( $key, $args = '', $post_id = null ) {
        return '';
    }
}
if ( ! function_exists( 'rwmb_the_value' ) ) {
    function rwmb_the_value( $key, $args = '', $post_id = null, $echo = true ) {
        return false;
    }
}
// Define Content Width 
if(! isset( $content_width)){
	$content_width = 845;
	function rima_adjust_content_width() {
		if( is_page_template( 'page-nosidebar.php' ) || is_page_template( 'page-fullwidth.php' ) || !is_active_sidebar('blog-widgets') || get_theme_mod('rima_sidebar_pos', 'sidebar-right') == 'none'){
			global $content_width;
			$content_width = 1170;
		}
	}   
	add_action( 'template_redirect', 'rima_adjust_content_width' );
}
add_theme_support( "title-tag" );
if(!function_exists('rima_wp_title')) {
	function rima_wp_title($title, $sep) {
		$id = get_the_ID();
		$title_prefix = esc_attr(get_bloginfo('name'));
		$title_suffix = '';
		$unchanged_title = $title;
		$title = is_front_page() ? $title_prefix.' - '.esc_attr(get_bloginfo('description')) : $title.$title_prefix.' - '.esc_attr(get_bloginfo('description'));
		return $title;
	}
	add_filter('wp_title', 'rima_wp_title', 10, 2);
}
if( !function_exists('rima_get_custom_footer_list') ){
	function rima_get_custom_footer_list(){
		$footers['none'] = esc_html__('None', 'rima');
		$args = array(
			'post_type' => 'rima-footer',
			'post_status'    => 'publish',
			'order'          => 'ASC',
			'orderby'        => 'title',
			'post_status'    => 'publish'
		);
		$items = get_posts( $args );
		if( !empty($items) ){
			foreach( $items as $post ){ 
				setup_postdata($post);
				$id = $post->ID;
				$title = $post->post_title; 
				$footers[$id] = $title;
			}
		} 
		wp_reset_postdata();
		return $footers;
	}	
}

if( !function_exists('rima_get_custom_footer') ){
	function rima_get_custom_footer( $id, $echo = true ){
		if( $id != ''){
			$args = array( 'post_type' => 'rima-footer', 'p'=> $id );
			$loop = new WP_Query($args);
			while ($loop->have_posts()) {
				$loop->the_post();
				global $post;
				$shortcodes_custom_css = get_post_meta( $id, '_wpb_shortcodes_custom_css', true );
				wp_register_style( 'rima-shortcodes-style', false );
				wp_enqueue_style( 'rima-shortcodes-style' );
				wp_add_inline_style('rima-shortcodes-style', $shortcodes_custom_css);
				if( $echo ){
					the_content();
				} else {
					return get_the_content();
				}
			}
			wp_reset_query();		
		} else {
			return false;
		}
	}
}

if( !function_exists('rima_get_custom_header_list') ){
	function rima_get_custom_header_list(){
		$headers['none'] = esc_html__('None', 'rima');
		$args = array(
			'post_type' => 'rima-header',
			'post_status'    => 'publish',
			'order'          => 'ASC',
			'orderby'        => 'title',
			'post_status'    => 'publish'
		);
		$items = get_posts( $args );
		if( !empty($items) ){
			foreach( $items as $post ){ 
				setup_postdata($post);
				$id = $post->ID;
				$title = $post->post_title; 
				$headers[$id] = $title;
			}
		} 
		wp_reset_postdata();
		return $headers;
	}	
}

if( !function_exists('rima_get_custom_header') ){
	function rima_get_custom_header( $id, $echo = true ){
		if( $id != ''){
			$args = array( 'post_type' => 'rima-header', 'p'=> $id );
			$loop = new WP_Query($args);
			while ($loop->have_posts()) {
				$loop->the_post();
				global $post;
				$shortcodes_custom_css = get_post_meta( $id, '_wpb_shortcodes_custom_css', true );
				wp_register_style( 'rima-shortcodes-style', false );
				wp_enqueue_style( 'rima-shortcodes-style' );
				wp_add_inline_style('rima-shortcodes-style', $shortcodes_custom_css);
				if( $echo ){
					the_content();
				} else {
					return get_the_content();
				}
			}
			wp_reset_query();		
		} else {
			return false;
		}
	}
}
/* ------------------------------------------------------------------------ */
/* Automatic Plugin Activation */
require_once(trailingslashit( get_template_directory() ). 'framework/inc/class-tgm-plugin-activation.php');
/* ------------------------------------------------------------------------ */
// Recommended plugins activation
if(!function_exists('rima_register_required_plugins')){
	add_action('tgmpa_register', 'rima_register_required_plugins');
	function rima_register_required_plugins() {
		$plugins = array(
			array(
	        	'name'      => esc_html__('Contact Form 7', 'rima'),
	        	'slug'      => 'contact-form-7',
				'required' 	=> false, 
	        ),
			array(
	        	'name'      => esc_html__('Meta Box', 'rima'),
	        	'slug'      => 'meta-box',
				'required' 	=> false, 
	        ),
	        array(
	        	'name'      => esc_html__('WP Mega Menu', 'rima'),
	        	'slug'      => 'wp-megamenu',
				'required' 	=> false, 
	        ),
	        array(
	        	'name'      => esc_html__('MailChimp', 'rima'),
	        	'slug'      => 'mailchimp-for-wp',
				'required' 	=> false, 
	        ),
	        array(
	        	'name'      => esc_html__('One Click Demo Import','rima'),
	        	'slug'      => 'one-click-demo-import',
				'required' 	=> false,
	        ),
	        array(
	        	'name'      => esc_html__('Gutenberg', 'rima'),
	        	'slug'      => 'gutenberg',
				'required' 	=> false, 
	        ),
	        array(
	        	'name'      		=> esc_html__('WPBakery Page Builder','rima'),
	        	'slug'      		=> 'js_composer',
	        	'source'   			=> 'https://www.artstudioworks.net/recommended-plugins/js_composer.zip',
				'required' 			=> false,
	        ),
	        array(
	        	'name'      		=> esc_html__('Revolution slider','rima'),
	        	'slug'      		=> 'revslider',
	        	'source'   			=> 'https://www.artstudioworks.net/recommended-plugins/revslider.zip',
				'required' 			=> false,
	        ),
	        array(
	        	'name'      		=> esc_html__('Rima elements','rima'),
	        	'slug'      		=> 'rima-elements',
	        	'source'   			=> 'https://www.artstudioworks.net/updates-api/update/rima-elements.zip',
				'required' 			=> true,
	        )
		);
		/**
		 * Array of configuration settings. Amend each line as needed.
		 * If you want the default strings to be available under your own theme domain,
		 * leave the strings uncommented.
		 * Some of the strings are added into a sprintf, so see the comments at the
		 * end of each line for what each argument will be.
		 */
		$config = array(
			'domain'       		=> 'rima',         	// Text domain - likely want to be the same as your theme.
			'default_path' 		=> '',                         	// Default absolute path to pre-packaged plugins
			'menu'         		=> 'install-required-plugins', 	// Menu slug
			'has_notices'      	=> true,                       	// Show admin notices or not
			'is_automatic'    	=> true,					   	// Automatically activate plugins after installation or not
			'message' 			=> '',							// Message to output right before the plugins table
			'strings'      		=> array(
				'page_title'                       			=> esc_html__( 'Install Required Plugins', 'rima' ),
				'menu_title'                       			=> esc_html__( 'Install Plugins', 'rima' ),
				'installing'                       			=> esc_html__( 'Installing Plugin: %s', 'rima' ), // %1$s = plugin name
				'oops'                             			=> esc_html__( 'Something went wrong with the plugin API.', 'rima' ),
				'return'                           			=> esc_html__( 'Return to Required Plugins Installer', 'rima' ),
				'plugin_activated'                 			=> esc_html__( 'Plugin activated successfully.', 'rima' ),
				'complete' 									=> esc_html__( 'All plugins installed and activated successfully. %s', 'rima' ), // %1$s = dashboard link
				'nag_type'									=> 'updated' // Determines admin notice type - can only be 'updated' or 'error'
			)
		);
		tgmpa($plugins, $config);
	}	
}

if(!function_exists('rima_import_files')){
	function rima_import_files() {
	    return array(
	        array(
	            'import_file_name'           => 'Main Demo',
	            'local_import_file'            => trailingslashit( get_template_directory() ).'framework/import/demo.xml',
	            'local_import_widget_file'     => trailingslashit( get_template_directory() ).'framework/import/widgets.wie',
	            'local_import_customizer_file' => trailingslashit( get_template_directory() ).'framework/import/customizer.dat',
	            'import_preview_image_url'   => trailingslashit( get_template_directory_uri() ).'framework/import/demo.png',
	            'preview_url'                => 'http://www.rima.artstudioworks.net/',
	        ),
	        array(
	            'import_file_name'           => 'Gutenberg Demo',
	            'local_import_file'            => trailingslashit( get_template_directory() ).'framework/import/gutenpublish/demo.xml',
	            'local_import_widget_file'     => trailingslashit( get_template_directory() ).'framework/import/gutenpublish/widgets.wie',
	            'local_import_customizer_file' => trailingslashit( get_template_directory() ).'framework/import/gutenpublish/customizer.dat',
	            'import_preview_image_url'   => trailingslashit( get_template_directory_uri() ).'framework/import/gutenpublish/demo.jpg',
	            'preview_url'                => 'http://www.rimademo.artstudioworks.net/gutenpublish/',
	        ),
	        array(
	            'import_file_name'           => 'Paloma Demo',
	            'local_import_file'            => trailingslashit( get_template_directory() ).'framework/import/paloma/demo4.xml',
	            'local_import_widget_file'     => trailingslashit( get_template_directory() ).'framework/import/paloma/widgets4.wie',
	            'local_import_customizer_file' => trailingslashit( get_template_directory() ).'framework/import/paloma/customizer4.dat',
	            'import_preview_image_url'   => trailingslashit( get_template_directory_uri() ).'framework/import/paloma/demo4.jpg',
	            'preview_url'                => 'http://www.rimademo.artstudioworks.net/paloma/',
	        ),
	        array(
	            'import_file_name'           => 'Skye Demo',
	            'local_import_file'            => trailingslashit( get_template_directory() ).'framework/import/demo2.xml',
	            'local_import_widget_file'     => trailingslashit( get_template_directory() ).'framework/import/widgets2.wie',
	            'local_import_customizer_file' => trailingslashit( get_template_directory() ).'framework/import/customizer2.dat',
	            'import_preview_image_url'   => trailingslashit( get_template_directory_uri() ).'framework/import/demo2.png',
	            'preview_url'                => 'http://www.rimademo.artstudioworks.net/demo2/',
	        ),
	        array(
	            'import_file_name'           => 'Dailyline Demo',
	            'local_import_file'            => trailingslashit( get_template_directory() ).'framework/import/demo3.xml',
	            'local_import_widget_file'     => trailingslashit( get_template_directory() ).'framework/import/widgets3.wie',
	            'local_import_customizer_file' => trailingslashit( get_template_directory() ).'framework/import/customizer3.dat',
	            'import_preview_image_url'   => trailingslashit( get_template_directory_uri() ).'framework/import/demo3.png',
	            'preview_url'                => 'http://www.rimademo.artstudioworks.net/dailyline/',
	        ),
	        array(
	            'import_file_name'           => 'Pari Demo',
	            'local_import_file'            => trailingslashit( get_template_directory() ).'framework/import/pari/demo.xml',
	            'local_import_customizer_file' => trailingslashit( get_template_directory() ).'framework/import/pari/customizer.dat',
	            'import_preview_image_url'   => trailingslashit( get_template_directory_uri() ).'framework/import/pari/demo.jpg',
	            'preview_url'                => 'http://www.rimademo.artstudioworks.net/pari/',
	        )
	    );
	}
	add_filter( 'pt-ocdi/import_files', 'rima_import_files' );
}
if(!function_exists('rima_after_import_setup')){
	function rima_after_import_setup( $selected_import ) {
	    // Assign menus to their locations.
	    if( 'Gutenberg Demo' === $selected_import['import_file_name'] || 'Pari Demo' === $selected_import['import_file_name'] ){
	    	$side_menu = get_term_by( 'name', 'Main menu', 'nav_menu' );
	    } else {
	    	$side_menu = get_term_by( 'name', 'Side menu', 'nav_menu' );
	    }

    	set_theme_mod( 'nav_menu_locations', array(
            'main_navigation' => $side_menu->term_id,
            'side_navigation' => $side_menu->term_id,
            'mobile_navigation' => $side_menu->term_id
        ));
        //Import Revolution Slider
		if ( class_exists( 'RevSlider' ) ) {
			if ( 'Main Demo' === $selected_import['import_file_name'] ) {
				$slider_array = array(
					get_template_directory()."/framework/import/home_posts_slider.zip",
					get_template_directory()."/framework/import/start-page.zip"
				);
				$slider = new RevSlider();
				foreach($slider_array as $filepath){
					$slider->importSliderFromPost(true,true,$filepath);  
				}
				esc_html_e(' Slider processed', 'rima');

		    } elseif ( 'Dailyline Demo' === $selected_import['import_file_name']) {
		    	$slider_array = array(
					get_template_directory()."/framework/import/dailyline.zip"
				);
				$slider = new RevSlider();
				foreach($slider_array as $filepath){
					$slider->importSliderFromPost(true,true,$filepath);  
				}
				esc_html_e(' Slider processed', 'rima');
		    } elseif ( 'Paloma Demo' === $selected_import['import_file_name']) {
		    	$slider_array = array(
					get_template_directory()."/framework/import/paloma/paloma_posts_slider.zip"
				);
				$slider = new RevSlider();
				foreach($slider_array as $filepath){
					$slider->importSliderFromPost(true,true,$filepath);  
				}
				esc_html_e(' Slider processed', 'rima');
		    }
		}
		if ( 'Pari Demo' === $selected_import['import_file_name'] ) {

		} else {
			// Assign front page and posts page (blog page).
		    $front_page_id = get_page_by_title( 'Home' );

		    update_option( 'show_on_front', 'page' );
		    update_option( 'page_on_front', $front_page_id->ID );
		}
	}
	add_action( 'pt-ocdi/after_import', 'rima_after_import_setup' );
	add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );
}

if(!class_exists('Rima_Mobile_Walker_Nav_Menu')){
	class Rima_Mobile_Walker_Nav_Menu extends Walker_Nav_Menu {
	  function start_lvl(&$output, $depth = 0, $args = array()) {
	    $indent = str_repeat("\t", $depth);
	    $output .= "\n$indent<ul class=\"dl-submenu\">\n";
	  }
	}
}
function rima_menu_logo_center( $items, $args ) {
    // Checks to see if the menu passed in is the primary one, and creates the logo item for it
    if ( $args->theme_location == 'main_navigation' ) {
        $logo_item = '<li class="menu-item-logo"><div class="logo">' . rima_get_logo() . '</div></li>';
    }

    //Gets the location of the menu element I want to insert the logo before
    $index = round( rima_count_top_lvl_items() / 2 ) + 1;
    //Gets the menu item I want to insert the logo before
    $menu_item = rima_get_menu_item( $index );
    $insert_before = '<li id="menu-item-' . $menu_item->ID;
    if(function_exists('wp_megamenu')){
    	$wpmm_nav_location_settings = get_wpmm_option('main_navigation');
	 	if(!empty($wpmm_nav_location_settings['is_enabled'])){
	 		$insert_before = '<li id="wp-megamenu-item-' . $menu_item->ID;
	 	} 
    }
    $menu_update = substr_replace( $items, $logo_item, strpos( $items, $insert_before ), 0 );
    if( get_theme_mod('rima_header_search_button', false) ) {
		$search_button = '<li class="search-link"><a href="javascript:void(0);" class="search-button"><i class="fa fa-search"></i></a><li>';
		$menu_update .= $search_button;
	}
    $items = $menu_update;
    return $items;
}
function rima_menu_item_search( $items, $args ){
	$logo_item = '';
	if ( $args->theme_location == 'main_navigation' ) {
        $logo_item = '<li class="menu-item-search"><div class="search-link"><a href="javascript:void(0);" class="search-button"><i class="fa fa-search"></i></a></div></li>';
    }
    $items .= $logo_item;
    return $items;
}
//Counts the number of top level items in the menu
function rima_count_top_lvl_items() {
    $items = rima_get_menu_items();
    $counter = 0;
    foreach ( $items as $val ) {
        if ( $val->menu_item_parent === '0' ) {
            $counter++;
        }
    }
    return $counter;
}
//Returns the menu item to insert the logo before
function rima_get_menu_item( $index ) {
    $items = rima_get_menu_items();
    $counter = 0;
    foreach ( $items as $val ) {
        if ( $val->menu_item_parent === '0' ) {
            $counter++;
        }
        if ( $counter == $index ) {
            return $val;
        }
    }
}
//Returns the logo menu item. I have it separated because my theme allows for varied logos
function rima_get_logo() {
    if(get_theme_mod('rima_media_logo','') != "") {
		$logo_item = '<a href="'.esc_url(home_url()).'/" class="logo_main"><img src="'.esc_url(get_theme_mod('rima_media_logo')).'" alt="'.esc_attr(get_bloginfo('name')).'" /></a>';
	} else {
		$logo_item = '<a href="'.esc_url(home_url()).'/" class="logo_text">'.esc_attr( get_bloginfo('name') ).'</a>';
	}
    return $logo_item;
}
function rima_get_menu_items() {
    $locations = get_nav_menu_locations();
    $menu = wp_get_nav_menu_object( $locations['main_navigation'] );
    $items = wp_get_nav_menu_items( $menu );
    return $items;
}

if(!class_exists('Rima_Custom_Menu_Walker')){
	class Rima_Custom_Menu_Walker extends Walker_Nav_Menu {
		function start_lvl( &$output, $depth = 0, $args = array() ) {
			$ex_li = '';
				$ex_li = "<li class=\"back-to-menu\">".esc_html__('back', 'rima')."</li>";
			$indent = str_repeat( "\t", $depth );
			$output .= "\n{$indent}<ul class=\"sub-menu\">\n".$ex_li;
		}   
	}
}

if(!function_exists('rima_widget_custom_walker')){
	function rima_widget_custom_walker( $args ) {
	    return array_merge( $args, array(
	        'walker' => new Rima_Custom_Menu_Walker(),
	        // another setting go here ... 
	    ) );
	}
	add_filter( 'widget_nav_menu_args', 'rima_widget_custom_walker' );
}
if(!function_exists('rima_embed_wrap')){
	add_filter('embed_oembed_html', 'rima_embed_wrap', 10, 4);
	function rima_embed_wrap($html, $url, $attr, $post_ID) {
	    if (strpos($url, 'youtube') !== false || strpos($url, 'vimeo') !== false ) {
	        $html = '<div class="video-container">'.$html.'</div>';
	    }
	    return $html;
	}
}

if(!function_exists('rima_post_layout_classes')){
	add_filter('body_class', 'rima_post_layout_classes');
	function rima_post_layout_classes($classes) {
		$tmp = rwmb_meta( 'rima_post_layout' );
        if( is_single() && !is_array($tmp) && $tmp != '' ){
        	$classes[] = 'post-layout-'.$tmp;
        }
        $header_type = rwmb_meta('rima_header_variant');
		if(!is_array($header_type) && rwmb_meta('rima_header_variant') != '' && rwmb_meta('rima_header_variant') != 'default'){
			$header_var = rwmb_meta('rima_header_variant');
		} else {
			$header_var = get_theme_mod('rima_header_variant', 'header-version1');
		}
		$classes[] = $header_var;
        return $classes;
	}
}
if(!function_exists('rima_add_meta_viewport')){
	function rima_add_meta_viewport(){
		if( get_theme_mod('rima_responsiveness', true) ) {
			echo '<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">';
		}
	}
	add_action('rima_header_meta', 'rima_add_meta_viewport');
}
if( !function_exists('rima_get_sidebar_position')){
	function rima_get_sidebar_position(){
		$sidebar_pos = '';
		if(!is_array( rwmb_meta( 'rima_post_sidebar', get_the_ID() ) ) ){
			if( rwmb_meta( 'rima_post_sidebar', get_the_ID() ) == '' || rwmb_meta( 'rima_post_sidebar', get_the_ID() ) == 'default' ){
				$rima_post_sidebar = 'default';
			} elseif (rwmb_meta( 'rima_post_sidebar', get_the_ID() ) == 'none') {
				$rima_post_sidebar = 'none';
			} else {
				$rima_post_sidebar = 'span9 '.rwmb_meta( 'rima_post_sidebar', get_the_ID() );
			}
		} else {
			$rima_post_sidebar = 'default';
		}

		if( $rima_post_sidebar == 'none' ){
			$sidebar_pos ='span12';
		} elseif( $rima_post_sidebar == 'default' ){
			if (get_theme_mod('rima_sidebar_pos', 'sidebar-right') == 'none'){
				$sidebar_pos = 'span12';
			} else {
				$sidebar_pos = get_theme_mod('rima_sidebar_pos', 'sidebar-right').' span9';
			}
		} else {
			$sidebar_pos = $rima_post_sidebar;
		}
		if( !is_active_sidebar('blog-widgets') && ( get_theme_mod('rima_sidebar_pos', 'sidebar-right') != 'none' || $rima_post_sidebar != 'none' ) ) {
			$sidebar_pos .=' no_widgets_sidebar';
		}

		return $sidebar_pos;
	}
}
if(!function_exists('rima_single_post_gallery')){
	function rima_single_post_gallery($postID = false, $echo = true){
		if(!$postID){
			$postID = get_the_ID();
		}
		$out = '';
		$gallery_type = rwmb_meta('rima_gallery_post_layout');
		$autoheight = rwmb_meta('rima_gallery_autoheight');
		$img_size = 'large';
		if( rwmb_meta('rima_post_layout') == 'fullwidth' ) {
			$img_size = 'rima-fullwidth-slider';
		} elseif( rwmb_meta('rima_post_layout') == 'wide' ) {
			$img_size = 'large';
		} elseif( rwmb_meta('rima_post_layout') == 'sideimage' ){
			$img_size = 'rima-masonry';
		} else {
			if( rwmb_meta('rima_post_sidebar') == 'none' || ( rwmb_meta('rima_post_sidebar') == 'default' && get_theme_mod('rima_sidebar_pos', 'sidebar-right') != 'none' ) ) {
				$img_size = 'large';
			} else {
				$img_size = 'post-thumbnail';
			}
		}
		$images = rwmb_meta( 'rima_gallery_images', 'type=image&size='.$img_size );
		$autoplay = rwmb_meta('rima_gallery_autoplay');
		$loop = rwmb_meta('rima_gallery_loop');
		if($autoheight ){
			$autoheight = 'true';
		} else {
			$autoheight = 'false';
		}
		if($autoplay ){
			$autoplay = 'true';
		} else {
			$autoplay = 'false';
		}
		if($loop) {
			$loop = 'true';
		} else {
			$loop = 'false';
		}
		if ( !empty($images) ){
			switch ($gallery_type) {
				case 'slideshow_2':
					$owl_custom = 'jQuery(window).on(\'load\', function(){
						var owl = jQuery(".single-post-gallery").owlCarousel({
				            items:1,
				            autoplay:'.$autoplay.',
				            singleItem:true,
				            loop:'.$loop.',
				            nav:true,
				            navRewind:false,
				            navText: [ \'<i class="la la-angle-left"></i>\',\'<i class="la la-angle-right"></i>\' ],
				            dots:false,
				            autoHeight:'.$autoheight.',
				            themeClass: "owl-gallery",';
				            if(is_rtl()){
								$owl_custom .= 'rtl: true,';
							}
		    			$owl_custom .= '});	
					});';
					wp_add_inline_script('owl-carousel', $owl_custom);
					$out .= '<div class="single-post-gallery slideshow_2">';
					foreach( $images as $image ) :
						$out .= '<div><img src="'.esc_url($image['url']).'" alt="'.esc_attr($image['alt']).'" /></div>';
					endforeach;
					$out .= '</div>';
					break;
				case 'slideshow_thumb':
					$owl_custom = 'jQuery(window).on(\'load\', function(){
							var owl = jQuery(".single-post-gallery-thumbs").owlCarousel({
					            items:1,
					            autoplay:'.$autoplay.',
					            singleItem:true,
					            loop:'.$loop.',
					            nav:false,
					            navRewind:false,
					            navText: [ \'<i class="la la-angle-left"></i>\',\'<i class="la la-angle-right"></i>\' ],
					            dots:false,
					            autoHeight:'.$autoheight.',
					            themeClass: "owl-gallery",
					            thumbs:true,
		            			thumbsPrerendered:true,';
		            			if(is_rtl()){
									$owl_custom .= 'rtl: true,';
								}
			    			$owl_custom .= '});
					});';
					wp_add_inline_script('owl-carousel', $owl_custom);
					$out .= '<div class="single-post-gallery-thumbs owl-carousel" data-slider-id="1">';
					foreach( $images as $image ) :
						$out .= '<div><img src="'.esc_url($image['url']).'" alt="'.esc_attr($image['alt']).'" /></div>';
					endforeach;
					$out .= '</div>';
					$out .= '<div class="owl-thumbs" data-slider-id="1">';
					foreach( $images as $image ) :
						$image_tmp = wp_get_attachment_image_src( $image['ID'], 'medium');
						$image_src = $image_tmp[0];
						$out .= '<div class="owl-thumb-item"><img src="'.esc_url($image_src).'" alt="'.esc_attr($image['alt']).'" /></div>';
					endforeach;
					$out .= '</div>';
					break;
				default:
					$owl_custom = 'jQuery(window).on(\'load\', function(){
							var owl = jQuery(".single-post-gallery").owlCarousel({
					            items:1,
					            autoplay:'.$autoplay.',
					            singleItem:true,
					            loop:'.$loop.',
					            nav:true,
					            navRewind:false,
					            navText: [ \'<i class="la la-angle-left"></i>\',\'<i class="la la-angle-right"></i>\' ],
					            dots:false,
					            autoHeight:'.$autoheight.',
					            themeClass: "owl-gallery",';
					            if(is_rtl()){
									$owl_custom .= 'rtl: true,';
								}
			    			$owl_custom .= '});	
					});';
					wp_add_inline_script('owl-carousel', $owl_custom);
					if( rwmb_meta('rima_post_layout') == 'sideimage' ){
						$type = ' slideshow_2';
					} else {
						$type = '';
					}
					$out .= '<div class="single-post-gallery'.$type.'">';
					foreach( $images as $image ) :
						$out .= '<div><a href="'.esc_url($image['full_url']).'" data-lightbox="lightbox-gallery" data-caption="'.esc_attr($image['caption']).'"><img src="'.esc_url($image['url']).'" alt="'.esc_attr($image['alt']).'" /></a></div>';
					endforeach;
					$out .= '</div>';
					break;
			}
		} elseif( has_post_thumbnail() ) {
			$out .= '<figure class="post-img">'.get_the_post_thumbnail($postID, $img_size).'</figure>';
		}
		if($echo){
			echo ''.$out;
		} else {
			return $out;
		}
	}
}
if( !function_exists('rima_get_post_format_content') ){
	function rima_get_post_format_content($echo, $img_size) {
		$post_format = get_post_format();
		global $post;
		global $_wp_additional_image_sizes;
		if(!$img_size){
			$img_size = 'post-thumbnail';
		}
		$out = '';
		$width  = get_option( "{$img_size}_size_w" );
		$height = get_option( "{$img_size}_size_h" );
		if( isset($_wp_additional_image_sizes["{$img_size}"]) && (!$width || !$height)){
			$width = $_wp_additional_image_sizes["{$img_size}"]['width'];
			$height = $_wp_additional_image_sizes["{$img_size}"]['height'];
		}
		if( !$width || !$height || $img_size == 'rima-masonry'){
			$proportions = '56.25';
		} else {
			$proportions = ($height/$width) * 100;
		}
		switch ($post_format) {
			case 'gallery':
				$autoplay = rwmb_meta('rima_gallery_autoplay');
				$loop = rwmb_meta('rima_gallery_loop');
				if($img_size == 'rima-masonry') {
					$img_size = 'medium';
				}
				if($autoplay ){
					$autoplay = 'true';
				} else {
					$autoplay = 'false';
				}
				if($loop) {
					$loop = 'true';
				} else {
					$loop = 'false';
				}
				$id = rand(1, 999);
				$images = rwmb_meta( 'rima_gallery_images', 'type=image&size='.$img_size );
				if ( !empty($images) ){
					$owl_custom = 'jQuery(window).on(\'load\', function(){
						var owl = jQuery(".preview-post-gallery'.$id.'").owlCarousel({
				            items:1,
				            autoplay:'.$autoplay.',
				            singleItem:true,
				            loop:'.$loop.',
				            nav:true,
				            navRewind:false,
				            navText: [ \'<i class="la la-angle-left"></i>\',\'<i class="la la-angle-right"></i>\' ],
				            dots:false,
				            autoHeight: true,
				            themeClass: "owl-gallery",';
				            if(is_rtl()){
								$owl_custom .= 'rtl: true,';
							}
		    			$owl_custom .= '});	
					});';
					wp_add_inline_script('owl-carousel', $owl_custom);
					wp_add_inline_script('image-lightbox', 'jQuery(document).ready( function($){ $( \'a[data-lightbox="lightbox-gallery'.$id.'"]\' ).lightbox(); });');
					$out .= '<div class="preview-post-gallery'.$id.' slideshow_2">';
					foreach( $images as $image ) :
						$out .= '<div><a href="'.esc_url($image['full_url']).'" data-lightbox="lightbox-gallery'.$id.'" data-caption="'.esc_attr($image['caption']).'"><img src="'.esc_url($image['url']).'" alt="'.esc_attr($image['alt']).'" /></a></div>';
					endforeach;
					$out .= '</div>';
				} elseif( has_post_thumbnail() ) {
					$out .= '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, $img_size).'</a></figure>';
				}
				break;
			case 'video':
				$media = rwmb_meta('rima_post_format_video');
				$url = rwmb_get_value( 'rima_post_format_video' );
				$proportions_supports = array('cloudup','collegehumor', 'funnyordie', 'flickr', 'youtube', 'dailymotion', 'vimeo', 'ted', 'videopress', 'vine', 'wordpress.tv');
				$check = false;
				foreach ($proportions_supports as $site) {
					if( strpos( $media, $site ) ){
						$check = true;
					}
				}
				if( $media && $url != '' ) {
					if($check){
						$out = '<div class="video-container" style="padding-bottom:'.$proportions.'%">'.$media.'</div>';
					} else {
						$out = '<div class="iframe-container">'.$media.'</div>';
					}
				} elseif( has_post_thumbnail() ) {
					$out .= '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, $img_size).'</a></figure>';
				}
				break;
			case 'audio':
				$media = rwmb_meta('rima_post_format_audio');
				$url = rwmb_get_value( 'rima_post_format_audio' );
				$media_sites = array('soundcloud', 'mixcloud', 'reverbnation', 'spotify');
				$check = false;
				global $wp_embed;
				if( $media && $url != '' ){
					foreach ($media_sites as $site) {
						if( strpos( $media, $site ) ){
							$check = true;
						}
					}
					if($check){
						$out = '<div class="video-container" style="padding-bottom:'.$proportions.'%">'.$wp_embed->run_shortcode("[embed]".$media."[/embed]").'</div>';
					} else {
						if( has_post_thumbnail() ){
							$out = '<div class="audio-block">';
							$out .= '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, $img_size).'</a></figure>';
							$out .= '<div class="audio-overlay">'.do_shortcode('[audio src="'.$media.'" loop="off" autoplay="0" preload="none"]').'</div>';
							$out .= '</div>';
						} else {
							$out = do_shortcode('[audio src="'.$media.'" loop="off" autoplay="0" preload="none"]');
						}
					}
					
				} elseif( has_post_thumbnail() ) {
					$out .= '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, $img_size).'</a></figure>';
				}
				break;
			case 'link':
				$link = rwmb_meta( 'rima_post_format_link' );
				$title = rwmb_meta( 'rima_post_format_link_title' );
				if($title == '') {
					$title = $link;
				}
				if ( $link != '' && has_post_thumbnail() ){
					$out = '<figure class="post-img"><a class="overlay-link" href="'.esc_url($link).'" rel="bookmark"><h2>'.$title.'</h2></a>'.get_the_post_thumbnail($post->ID, $img_size).'</figure>';
				} elseif( has_post_thumbnail() ) {
					$out = '<figure class="post-img">'.get_the_post_thumbnail($post->ID, $img_size).'</figure>';
				}
				break;
			case 'quote':
				$text = rwmb_meta( 'rima_post_format_quote_text' );
				if ( $text != '' ){
					$cite = rwmb_meta( 'rima_post_format_quote_cite' );
					$text_color = rwmb_meta( 'rima_post_format_quote_text_color' );
					$bg_color = rwmb_meta( 'rima_post_format_quote_bg_color' );
					$style = $style_cite = '';
					if($text_color){
						$style .= $style_cite = 'color:'.$text_color.';';
					}
					if($bg_color) {
						$style .= 'background-color:'.$bg_color.';';
					}
					$out = '<blockquote style="'.$style.'">';
					$out .= '<p class="mb0">'.esc_html($text).'</p>';
					if($cite){
						$out .='<cite style="'.$style_cite.'">'.esc_html($cite).'</cite>';
					}
					$out .= '</blockquote>';
					
				} elseif( has_post_thumbnail() ) {
					$out = '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, $img_size).'</a></figure>';
				}
				break;
			default:
				$media = rwmb_meta( 'rima_post_format_embed' );
				$url = rwmb_get_value( 'rima_post_format_embed' );
				$proportions_supports = array('cloudup','collegehumor', 'funnyordie', 'flickr', 'youtube', 'dailymotion', 'vimeo', 'ted', 'videopress', 'vine', 'wordpress.tv');
				$check = false;
				foreach ($proportions_supports as $site) {
					if(!is_array($media)){
						if( strpos( $media, $site ) ){
							$check = true;
						}
					}
					
				}
				if($media && $url != '') {
					if($check){
						$out = '<div class="video-container" style="padding-bottom:'.$proportions.'%">'.$media.'</div>';
					} else {
						$out = '<div class="iframe-container">'.$media.'</div>';
					}
				} elseif( has_post_thumbnail() ){
					$out = '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, $img_size).'</a></figure>';
				}
				break;
		}
			if( rwmb_meta('rima_display_featured_img_instead') === 'true' ){
				$show_post_format = get_theme_mod('rima_display_featured_img_preview', true);
			} else {
				$show_post_format = rwmb_meta('rima_display_featured_img_instead');
			}
			if( $show_post_format === '1' || $show_post_format === true || $show_post_format === 'false' ){
				if( has_post_thumbnail() ){
					$out = '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, $img_size).'</a></figure>';
				} else {
					$out = '';
				}
			}
		if( $echo !== false ){
			echo ''.$out;
		} else {
			return $out;
		}
	}
}
if(!function_exists('RimaSharebox')){
	function RimaSharebox($postID, $echo = false){
		return false;
	}
}
if(!function_exists('rima_get_the_content')){
	function rima_get_the_content() {
		$content = get_the_content();
		$content = apply_filters('the_content', $content);
		$content = str_replace(']]>', ']]&gt;', $content);
		return $content;
	}
}
if(!function_exists('RimaCommentsNumber')){
	function RimaCommentsNumber($postID, $echo = false){
		$num_comments = get_comments_number($postID);
		if ( comments_open() ) {
			if ( $num_comments == 0 ) {
				$comments = esc_html__('No Comments', 'rima');
			} elseif ( $num_comments > 1 ) {
				$comments = $num_comments .' '. esc_html__('Comments', 'rima');
			} else {
				$comments = esc_html__('1 Comment', 'rima');
			}
			$write_comments = '<a href="' . get_comments_link($postID) .'"><i class="la la-comment"></i> <span>'. $comments.'</span></a>';
		} else {
			$write_comments =  '<span><i class="la la-comment"></i> <span>'.esc_html__('Comments disabled.', 'rima').'</span></span>';
		}
		if($echo){
			echo ''.$write_comments;
		} else {
			return $write_comments;
		}
	}
	add_filter( 'RimaCommentsNumber', 'RimaCommentsNumber' );
}
if(!function_exists('RimaExcerpt')){
	function RimaExcerpt($limit) {
		$excerpt = explode(' ', get_the_excerpt(), $limit);
		if (count($excerpt)>=$limit) {
			array_pop($excerpt);
			$excerpt = implode(" ",$excerpt);
		} else {
			$excerpt = implode(" ",$excerpt);
		} 
		$excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
		return $excerpt;
	}
}
if( !function_exists('rima_single_post_format_content') ){
	function rima_single_post_format_content($echo = true) {
		$post_format = get_post_format();
		global $post;
		global $_wp_additional_image_sizes;
		$img_size = 'large';
		if( rwmb_meta('rima_post_layout') == 'fullwidth' || rwmb_meta('rima_post_layout') == 'fullwidth-alt' || get_theme_mod( 'rima_single_post_layout','default') == 'fullwidth' || get_theme_mod( 'rima_single_post_layout','default') == 'fullwidth-alt' ) {
			$img_size = 'rima-fullwidth-slider';
		} elseif( rwmb_meta('rima_post_layout') == 'wide' || rwmb_meta('rima_post_layout') == 'nosidebar' || get_theme_mod( 'rima_single_post_layout','default') == 'wide' || get_theme_mod( 'rima_single_post_layout','default') == 'nosidebar' ) {
			$img_size = 'rima-slider';
		} elseif( rwmb_meta('rima_post_layout') == 'sideimage' || get_theme_mod( 'rima_single_post_layout','default') == 'sideimage' ){
			$img_size = 'rima-masonry';
		} else {
			if( rwmb_meta('rima_post_sidebar') == 'none' || ( rwmb_meta('rima_post_sidebar') == 'default' && get_theme_mod('rima_sidebar_pos', 'sidebar-right') != 'none' ) ) {
				$img_size = 'rima-slider';
			} else {
				$img_size = 'post-thumbnail';
			}
		}
		if( get_theme_mod( 'rima_single_post_image_size','default') != 'default' ){
			$img_size = get_theme_mod( 'rima_single_post_image_size','post-thumbnail');
		}
		$width  = get_option( "{$img_size}_size_w" );
		$height = get_option( "{$img_size}_size_h" );
		if( !$width || !$height ){
			$width = $_wp_additional_image_sizes["{$img_size}"]['width'];
			$height = $_wp_additional_image_sizes["{$img_size}"]['height'];
		}
		if( !$width || !$height || $img_size == 'rima-masonry'){
			$proportions = '56.25';
		} else {
			$proportions = ($height/$width) * 100;
		}
		$out = '';
		switch ($post_format) {
			case 'gallery':
				$out = rima_single_post_gallery(false, false);
				break;
			case 'video':
				$media = rwmb_meta('rima_post_format_video');
				$url = rwmb_get_value( 'rima_post_format_video' );
				if( $media && $url != '' ){
					$out = '<div class="video-container" style="padding-bottom:'.$proportions.'%">'.$media.'</div>';
				}
				break;
			case 'audio':
				$media = rwmb_meta('rima_post_format_audio');
				$url = rwmb_get_value( 'rima_post_format_audio' );
				$media_sites = array('soundcloud', 'mixcloud', 'reverbnation', 'spotify');
				$check = false;
				global $wp_embed;
				if( $media && $url != '' ){
					foreach ($media_sites as $site) {
						if( strpos( $media, $site ) ){
							$check = true;
						}
					}
					if($check){
						$out = '<div class="video-container" style="padding-bottom:'.$proportions.'%">'.$wp_embed->run_shortcode("[embed]".$media."[/embed]").'</div>';
					} else {
						if( has_post_thumbnail() ){
							$out = '<div class="audio-block">';
							$out .= '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, $img_size).'</a></figure>';
							$out .= '<div class="audio-overlay">'.do_shortcode('[audio src="'.$media.'" loop="off" autoplay="0" preload="none"]').'</div>';
							$out .= '</div>';
						} else {
							$out = do_shortcode('[audio src="'.$media.'" loop="off" autoplay="0" preload="none"]');
						}
					}
					
				}
				break;
			case 'link':
				$out = rima_single_post_link(false, false);
				break;
			case 'quote':
				$text = rwmb_meta( 'rima_post_format_quote_text' );
				if ( $text != '' ){
					$cite = rwmb_meta( 'rima_post_format_quote_cite' );
					$text_color = rwmb_meta( 'rima_post_format_quote_text_color' );
					$bg_color = rwmb_meta( 'rima_post_format_quote_bg_color' );
					$style = $style_cite = '';
					if($text_color){
						$style .= $style_cite = 'color:'.$text_color.';';
					}
					if($bg_color) {
						$style .= 'background-color:'.$bg_color.';';
					}
					$out = '<blockquote style="'.$style.'">';
					$out .= '<p class="mb0">'.esc_html($text).'</p>';
					if($cite){
						$out .='<cite style="'.$style_cite.'">'.esc_html($cite).'</cite>';
					}
					$out .= '</blockquote>';
					
				}
				break;
			case 'image':
				$out = '';
				break;
			default:
				$check_media = rwmb_meta('rima_post_format_embed_replace');
				$media = rwmb_meta( 'rima_post_format_embed' );
				$url = rwmb_get_value( 'rima_post_format_embed' );
				if( $check_media && $media && $url != ''){
					$proportions_supports = array('cloudup','collegehumor', 'funnyordie', 'flickr', 'youtube', 'dailymotion', 'vimeo', 'ted', 'videopress', 'vine', 'wordpress.tv');
					$check = false;
					foreach ($proportions_supports as $site) {
						if( strpos( $media, $site ) ){
							$check = true;
						}
					}
					if($media && $url != '') {
						if($check){
							$out = '<div class="video-container">'.$media.'</div>';
						} else {
							$out = '<div class="iframe-container">'.$media.'</div>';
						}
					}
				} elseif( has_post_thumbnail() ){
					$out = '<figure class="post-img">'.get_the_post_thumbnail($post->ID, $img_size).'</figure>';
				}
				break;
		}
		if( $echo ){
			echo ''.$out;
		} else {
			return $out;
		}
	}
}
if(!function_exists('rima_single_post_link')){
	function rima_single_post_link($postID = false, $echo = true){
		if(!$postID){
			$postID = get_the_ID();
		}
		$out = '';
		$img_size = 'large';
		if( rwmb_meta('rima_post_layout') == 'fullwidth' ) {
			$img_size = 'rima-fullwidth-slider';
		} elseif( rwmb_meta('rima_post_layout') == 'wide' ) {
			$img_size = 'large';
		} elseif( rwmb_meta('rima_post_layout') == 'sideimage' ){
			$img_size = 'rima-masonry';
		} else {
			if( rwmb_meta('rima_post_sidebar') == 'none' || ( rwmb_meta('rima_post_sidebar') == 'default' && get_theme_mod('rima_sidebar_pos', 'sidebar-right') != 'none' ) ) {
				$img_size = 'large';
			} else {
				$img_size = 'post-thumbnail';
			}
		}
		$link = rwmb_meta( 'rima_post_format_link' );
		$title = rwmb_meta( 'rima_post_format_link_title' );
		if($title == '') {
			$title = $link;
		}
		if ( $link != '' && has_post_thumbnail() ){
			$out .= '<figure class="post-img"><a class="overlay-link" href="'.esc_url($link).'" rel="bookmark"><h2>'.$title.'</h2></a>'.get_the_post_thumbnail($postID, $img_size).'</figure>';
		} elseif( has_post_thumbnail() ) {
			$out .= '<figure class="post-img">'.get_the_post_thumbnail($postID, $img_size).'</figure>';
		}
		if($echo){
			echo ''.$out;
		} else {
			return $out;
		}
	}
}
if(!function_exists('rima_ajax_search')) {
	//now hook into wordpress ajax function to catch any ajax requests
	add_action( 'wp_ajax_rima_ajax_search', 'rima_ajax_search' );
	add_action( 'wp_ajax_nopriv_rima_ajax_search', 'rima_ajax_search' );

	function rima_ajax_search()
	{

	    unset($_REQUEST['action']);
	    if(empty($_REQUEST['s'])) die();

	    $defaults = array('numberposts' => 4, 'post_type' => 'post', 'post_status' => 'publish', 'post_password' => '', 'suppress_filters' => false);
	    $_REQUEST['s'] = apply_filters( 'get_search_query', $_REQUEST['s']);

	    $query = array_merge($defaults, $_REQUEST);
	    $query = http_build_query($query);
	    $posts = get_posts( $query );

	    if(empty($posts))
	    {
	        $output  = "<span class='ajax_search_entry ajax_not_found'>";
	        $output .= "<span class='ajax_search_title'>";
            $no_criteria_matched = esc_html__("Sorry, no posts matched your criteria", 'rima');
            $output .= $no_criteria_matched;
	        $output .= "</span>";
	        $output .= "</span>";
	        echo ''.$output;
	        die();
	    }

	    //if we got posts resort them by post type
	    $output = "";
	    $sorted = array();
	    $post_type_obj = array();
	    foreach($posts as $post)
	    {
	        $sorted[$post->post_type][] = $post;
	        if(empty($post_type_obj[$post->post_type]))
	        {
	            $post_type_obj[$post->post_type] = get_post_type_object($post->post_type);
	        }
	    }

	    //now we got everything we need to preapre the output
	        $output .= "<ul class='unstyled'>";
	        foreach($posts as $post)
	        {
	            $image = get_the_post_thumbnail( $post->ID, 'thumbnail' );
	            $excerpt = "";
	            $link = get_permalink($post->ID);
	            $output .= "<li class='post'>";
	            $output .= '<figure><a href="'.$link.'">'.$image.'</a></figure>';
	            $output .= '<div class="extra-wrap">';
	            $output .= "<h4 class='ajax_search_title'>";
	            $output .= "<a class='ajax_search_entry' href='".$link."'>";
	            $output .= get_the_title($post->ID);
	            $output .= "</a>";
	            $output .= "</h4>";
	            $output .= '<div class="post-meta">';
				$output .= '<div class="meta-date"><time datetime="'.get_the_date(DATE_W3C, $post->ID).'">'.get_the_time(get_option('date_format'), $post->ID).'</time></div>';
				$output .= '<div class="meta-read">'.rima_calculate_reading_time($post->ID, false).'</div>';
				$output .= '</div>';
				$output .= "</div>";
	            $output .= "</li>";
	        }

	    $query =  http_build_query($_REQUEST);
        $label = esc_html__('View all results','rima');
        $output .= "</ul>";
	    $output .= "<a class='button' href='".home_url('?' . $query )."'>".$label."</a>";
	    echo ''.$output;
	    die();
	}
}
if(!function_exists('rima_calculate_reading_time')){
	function rima_calculate_reading_time($postID = false, $echo = false) {
		$wpm = 250;
		if(!$postID){
			$postID = get_the_ID();
		}
		$include_shortcodes = true;
		$exclude_images = false;
		$tmpContent = get_post_field('post_content', $postID);
		$number_of_images = substr_count(strtolower($tmpContent), '<img ');
		if ( ! $include_shortcodes ) {
			$tmpContent = strip_shortcodes($tmpContent);
		}
		$tmpContent = strip_tags($tmpContent);
		$wordCount = str_word_count($tmpContent);

		if ( !$exclude_images ) {

			$additional_words_for_images = rima_calculate_images( $number_of_images, $wpm );
			$wordCount += $additional_words_for_images;
		}

		$wordCount = apply_filters( 'rima_filter_wordcount', $wordCount );

		$readingTime = ceil($wordCount / $wpm);

		// If the reading time is 0 then return it as < 1 instead of 0.
		if ( $readingTime < 1 ) {
			$readingTime = esc_html__('< 1 min read', 'rima');
		} elseif($readingTime == 1) {
			$readingTime = esc_html__('1 min read', 'rima');
		} else {
			$readingTime = $readingTime.' '.esc_html__('mins read', 'rima');
		}

		if($echo){ 
			echo ''.$readingTime;
		} else {
			return $readingTime;
		}
	}
}

if(!function_exists('rima_calculate_images')){
	function rima_calculate_images( $total_images, $wpm ) {
		$additional_time = 0;
		// For the first image add 12 seconds, second image add 11, ..., for image 10+ add 3 seconds
		for ( $i = 1; $i <= $total_images; $i++ ) {
			if ( $i >= 10 ) {
				$additional_time += 3 * (int) $wpm / 60;
			} else {
				$additional_time += (12 - ($i - 1) ) * (int) $wpm / 60;
			}
		}

		return $additional_time;
	}
}

function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328699&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        ?>