(function($) {
    "use strict";
    $.fn.visible = function(partial) {
        var $t        = $(this),
        $w            = $(window),
        viewTop       = $w.scrollTop(),
        viewBottom    = viewTop + $w.height(),
        _top          = $t.offset().top + $t.height()/5,
        _bottom       = _top + $t.height(),
        compareTop    = partial === true ? _bottom : _top,
        compareBottom = partial === true ? _top : _bottom;

        return ((compareBottom <= viewBottom) && (compareTop >= viewTop));
    };
    $.fn.clickToggle = function(a,b) {
        function cb(){
            [b,a][this._tog^=1].call(this);
        }
        return this.on("click", cb);
    };
})(jQuery);

function rima_is_mobile(){
    var windowWidth = window.screen.width < window.outerWidth ? window.screen.width : window.outerWidth;
    if(('ontouchstart' in document.documentElement) || windowWidth < 783){
        return true;
    } else {
        return false;
    }
}

function rima_header_fix()
{
    if(jQuery('#wpadminbar').length){
        var wpadminbar = jQuery('#wpadminbar').height();
    } else {
        var wpadminbar = 0;
    }
    var win             = jQuery(window),
        element         = jQuery('#header.header1'),
        main            = jQuery('.header-version1 #main'),
        header_height   = jQuery('.header-top').outerHeight() + wpadminbar,
        set_height      = function()
        {
            element.toggleClass('fixed-nav', win.scrollTop() > header_height);
            if (win.scrollTop() > header_height ) {
                newP = element.height() + header_height;
            } else {
                newP = 0;
            }
            main.css({
                paddingTop: newP + 'px'
            });
        }

        if(rima_is_mobile() || !jQuery('#header-main.fixed_header').length) return false;
        win.scroll(set_height);
        set_height();
}
function rima_header4_fix()
{
    var win             = jQuery(window),
        element         = jQuery('#header.header4, #header.header5, #header.header-custom'),
        menu_link       = jQuery('#header.header-custom #navigation-block ul.wp-megamenu > li, #header.header-custom #navigation-block ul.menu > li, #header.header4 #navigation-block ul.wp-megamenu > li, #header.header4 #navigation-block ul.menu > li, #header.header5 #navigation-block ul.wp-megamenu > li:not(.menu-item-logo), #header.header5 #navigation-block ul.menu > li:not(.menu-item-logo)'),
        main            = jQuery('.header-version4 #main, .header-version5 #main, .header-custom #main'),
        logo            = jQuery('#header.header4 .logo, #header.header5 .logo'),
        header_height   = element.height(),
        logo_h          = logo.height(),
        set_height      = function()
        {
            jQuery('#header.header4 #navigation-block, #header.header5 #navigation-block, #header.header-custom #navigation-block').removeClass('fixed-nav');
            element.toggleClass('fixed-nav', win.scrollTop() > 0);
            
            var st = win.scrollTop();
            header_height  = element.outerHeight();
            logo_h = logo.outerHeight();
            if( st > 0 ){
                main.css({
                    paddingTop: (header_height) + 'px'
                });   
            } else {
                main.css({
                    paddingTop: '0px'
                });
            }
        }

        if(rima_is_mobile() || !jQuery('#header-main.fixed_header').length) return false;
        set_height();
        win.scroll(set_height);
        
}
function rima_home_parallax(element) {
    jQuery(window).scroll(function () {
        var coords, yPos = (jQuery(window).scrollTop() / 2.5);
        coords = yPos + 'px';
        jQuery(element).css('transform', 'translateY('+coords+')');

    });
}
function rima_update_sinlge_post_image_height(){
    if(jQuery('#wpadminbar').length){
        var wpadminbar = jQuery('#wpadminbar').height();
    } else {
        var wpadminbar = 0;
    }
    var h = jQuery(window).height(),
    hl = jQuery('#header').height() + wpadminbar;
    var hf = h-hl;
    if( !rima_is_mobile() ){
        jQuery('.single .fullwidth-image .post-img img').css('height', hf);
    } else {
        return false;
    }
}
function rima_fix_sidebar() {
    if(jQuery('#wpadminbar').length){
        var wpadminbar = jQuery('#wpadminbar').height();
    } else {
        var wpadminbar = 0;
    }
    var marginTop = jQuery('#header').outerHeight() + wpadminbar + 80;
    var mt = wpadminbar;
    jQuery('#sidebar.sticky, #sidebar.vc_column_container, .sticky-sidebar').theiaStickySidebar({
      // Settings
      additionalMarginTop: marginTop
    });
    jQuery('.stick-this').theiaStickySidebar({
        additionalMarginTop: mt
    });
}
jQuery( document ).ready( function($) {
	"use strict";
    setTimeout(function(){ rima_fix_sidebar(); }, 10); 
    rima_header_fix();
    rima_header4_fix();
    rima_home_parallax('.fullwidth-image-alt .post-img img');
    if(jQuery('#wpadminbar').length){
        var wpadminbar = jQuery('#wpadminbar').height();
    } else {
        var wpadminbar = 0;
    }
    $('body').on('click', 'a[href^="#"]', function(){
        if($(this).attr('data-vc-container')){
            return true;
        }
        var $href = $(this).attr('href');
        var hash = $href.substring($href.indexOf('#'));
        var elemTo = $(hash);
        if(elemTo.length){
            var $anchor = $(hash).offset();
            var headerH = jQuery('#header').height() + wpadminbar + 60;
            $('html, body').animate({ scrollTop: $anchor.top-headerH }, 900);
            return false;
        }
        
    });
    $('.vc-hoverbox').attr('onclick', '');
    $('.search-link .search-button').clickToggle(
        function(){
            $(this).find('i').removeClass('fa-search').addClass('fa-times');
            $('#header .search-area, #mobile-header-block .search-area').slideDown();
        },function(){
            $(this).find('i').addClass('fa-search').removeClass('fa-times');
            $('#header .search-area, #mobile-header-block .search-area').slideUp();
        }
    );
    $('.open-insta-video-lightbox').click(function(){
        $(this).prev('.insta-video-lightbox').fadeIn();
        $(this).parent().find('#insta-video').trigger('play');
        return false;
    });
    $('.close-lightbox').click(function(){
        $(this).parent().fadeOut();
        $(this).parent().find('#insta-video').trigger('pause');
        return false;
    });
    $('.insta-video-lightbox').click(function(){
        $(this).fadeOut();
        $(this).find('#insta-video').trigger('pause');
    });
    $('.insta-video-lightbox .insta-video-item').click(function(e){
        e.preventDefault();
    });
    rima_update_sinlge_post_image_height();
    $(window).resize(function(){
        rima_update_sinlge_post_image_height();
    });
    if( !rima_is_mobile() ){
        $(window).scroll(function(){
            //rima_update_sinlge_post_image_height();
            if($(window).scrollTop() > 200){
                $("#back-to-top").fadeIn(200);
            } else{
                $("#back-to-top").fadeOut(200);
            }
        });
    }
    $('#back-to-top').click(function() {
          $('html, body').animate({ scrollTop:0 }, '800');
          return false;
    });
    $(window).on('load', function(){ 
        $(window).unbind('.infscr');
        $('.page-loading').fadeOut('fast');
    });
    rima_home_parallax();
    $('.widget_nav_menu .menu .menu-item').on("click", function(e){
        var submenu = $(this).children('.sub-menu');
        var parent_submenu = $(this).parent();
        submenu.toggleClass('sub-menu-show'); //then show the current submenu
        if(submenu.hasClass('sub-menu-show')){
            $('.widget_nav_menu .menu').css('height', submenu.height()+'px');
        } else {
            $('.widget_nav_menu .menu').css('height', parent_submenu.height()+'px');
        }
        if(!$('.sub-menu').hasClass('sub-menu-show')){
            $('.widget_nav_menu .menu').css('height', 'auto');
        } else {
        }
        e.stopPropagation();
        e.preventDefault();
    });
    $('.widget_nav_menu .menu .menu-item a').click(function(f){
        f.stopPropagation();
    });

    $( 'a[data-lightbox^="lightbox-insta"]' ).lightbox();
    $( '.single-post a[data-lightbox="lightbox-gallery"]' ).lightbox();
    $( '[id*="gallery"] a' ).lightbox();
    $( '.wp-block-gallery li a' ).lightbox();

    $('a[href$=jpg], a[href$=JPG], a[href$=jpeg], a[href$=JPEG], a[href$=png], a[href$=gif], a[href$=bmp]:has(img)').each(function(){
        if( $(this).parents('[data-carousel-extra*="{"]').length || $(this).parents('[id*="gallery"]').length || $(this).parents('.wp-block-gallery').length){
            return false;
        } else {
           $(this).not('[data-lightbox*="lightbox"]').lightbox(); 
        }
        
    });
    $('.wpmm-vertical-tabs-nav li a').click(function(){
        var url = $(this).attr('href');
        window.location = url;
    });
});