<?php 
$sidebar_pos = rima_get_sidebar_position();
?>
<div id="page-wrap-blog" class="container">
	<div id="content" class="single">
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
				<article itemscope itemtype="http://schema.org/Article" <?php post_class(); ?>>
					<div class="post-content-container">
						<div class="row-fluid">
							<?php 
								switch ( get_post_format() ) {
									case 'gallery':
									case 'link':
									case 'audio':
									case 'video':
									case 'image':
									case 'quote':
										echo '<div class="span6">';
										break;
									default:
										if( has_post_thumbnail() ) {
											echo '<div class="span6">';
										} else {
											echo '<div class="span12">';
										}
										break;
								}
								?>
								<header class="title no-sep-title">
									<?php if( !rwmb_meta( 'rima_display_post_header') ){ ?>
										<div class="meta-categories no-dots"><?php echo get_the_category_list(', '); ?></div>
									<?php } ?>
									<h1><?php the_title(); ?></h1>
								</header>
								<div class="post-content">
									<div class="post-excerpt">
										<?php the_content(); ?>
									</div>
									<?php wp_link_pages(array('before' =>'<div class="pagination_post aligncenter">', 'after'  =>'</div>', 'pagelink' => '<span>%</span>')); ?>
								</div>
								<div class="post-meta-tags"><span class="meta-tags"><?php the_tags('<i class="fa fa-tags"></i>',', ', ''); ?></span></div>
							</div>
							
							<?php
								echo '<div class="span6">';
									rima_single_post_format_content();
								echo '</div>';
							?>
							
						</div>
						<div class="post-meta"><?php get_template_part( 'framework/inc/meta', 'single' ); ?></div>
					</div>
					<div class="<?php echo esc_attr($sidebar_pos); ?>">
						<?php 
							if ( '' !== get_the_author_meta( 'description' ) ) {
								get_template_part( 'templates/posts/biography' );
							}					
						
							get_template_part( 'templates/posts/single/post-navigation' );
						
							get_template_part( 'templates/posts/related-posts' );
							
							comments_template();
						?>
					</div>
					<?php 
						if( rwmb_meta( 'rima_post_sidebar' ) != 'none' && rwmb_meta( 'rima_post_sidebar' ) != 'default' ){
							get_sidebar();
						} elseif(  rwmb_meta( 'rima_post_sidebar' ) == 'default' && get_theme_mod('rima_sidebar_pos', 'sidebar-right') != 'none' ){
							get_sidebar();
						}
					?>
				</article>
				
		<?php endwhile; endif; ?>
	</div>
</div>
