<?php
	$post_ids = get_theme_mod('rima_home_slider_posts','');
	$slideshow = get_theme_mod('rima_home_slider_slideshow','true');
	$loop = get_theme_mod('rima_home_slider_loop','false');
	$sliderwidth = get_theme_mod('rima_home_slider_width', 'fullwidth');
	$style = get_theme_mod('rima_home_slider_style', 'center');
	$shadow = get_theme_mod('rima_home_slider_shadow', 'true');
	$show_categories = get_theme_mod('rima_home_slider_show_categories', 'true');
	$show_read_more = get_theme_mod('rima_home_slider_show_read_more', 'true');
	$description_style = get_theme_mod('rima_home_slider_description', 'style_1');
	if($loop){
		$loop = 'true';
	} else {
		$loop = 'false';
	}
	$nav = 'true';
	$overlay = 'true';
	$show_date = 'true';
	$thumbsize = 'large';
	if($shadow == 'true'){
		$shadow = '';
	} else {
		$shadow = ' disable-shadow';
	}
	if( $style == 'center' ){
		$center = 'true';
		$items = '2';
		$margin = '25';
		$loop = 'true';
		$nav = 'true';
		$centerClass = 'post-slider-center';
		if($sliderwidth == 'container'){
			$thumbsize = 'post-thumbnail';
		}
	} elseif ($style == 'three_per_row') {
		$center = 'false';
		$items = '3';
		$margin = '10';
		if($sliderwidth == 'fullwidth'){
			$margin = '25';
			$thumbsize = 'large';
		}
		$thumbsize = 'rima-extra-medium';
		$centerClass = 'slider-three-per-row';
	} else {
		$center = 'false';
		$items = '1';
		$centerClass = '';
		$margin = '0';
		if($sliderwidth == 'fullwidth'){
			$centerClass = 'post-slider-fullwidth';
			$thumbsize = 'rima-fullwidth-slider';
		}
	}
	if(strlen($post_ids)){
		$post_ids = trim($post_ids);
		$post_ids = explode(',', $post_ids);
		$orderby = 'post__in';
		$post_type = array('post', 'page');
	} else {
		$post_ids = array();
		$orderby = 'date';
		$post_type = 'post';
	}
	$args = array(
	    'post_type' => $post_type,
	    'posts_per_page' => get_theme_mod('rima_home_slides_count','3'),
		'post__in' => $post_ids,
	    'order'          => 'DESC',
	    'orderby'        => $orderby,
	    'post_status'    => 'publish',
	    'post__not_in' => get_option( 'sticky_posts' ),
	    'meta_query' => array(
	        array(
	         'key' => '_thumbnail_id',
	         'compare' => 'EXISTS'
	        )
	    )
    ); 
    $out = '';
	query_posts( $args );
	if( have_posts() ) {
		wp_enqueue_script('owl-carousel');
		wp_enqueue_style( 'owl-carousel' );
		$owl_custom = 'jQuery(document).ready(function($){
				"use strict";
				setTimeout(function(){var owl = $("#post-slider-blog").owlCarousel(
				    {
				        items: '.$items.',
				        center: '.$center.',
				        margin: '.$margin.',
				        dots: false,
				        nav: '.$nav.',
				        navText: [\'<i class="fa fa-angle-left"></i>\',\'<i class="fa fa-angle-right"></i>\'],
				        autoplay: '.$slideshow.',
				        responsiveClass:true,
				        loop: '.$loop.',
				        smartSpeed: 450,
				        autoHeight: false,
				        autoWidth:'.$center.',
				        themeClass: "owl-post-slider",';
				    if($style == 'three_per_row'){
				    	$owl_custom .= 'responsive:{
				            0:{
				                items:1,
				            },
				            782:{
				                items:2,
				            },
				            960:{
				                items:3
				            }
				        }';
				    }
				    $owl_custom .= '});
			}, 100);
				
		});';
			wp_add_inline_script('owl-carousel', $owl_custom);
		if($sliderwidth == 'container'){ $out .= '<div id="blog-page-slider" class="container"><div class="span12">'; }
		$out .= '<div id="post-slider-blog" class="owl-carousel post-slider '.$centerClass.' '.$sliderwidth.'">';
			while ( have_posts() ) {
				the_post();
				$out .= '<div class="post-slider-item">';
					if( has_post_thumbnail() ) {
						$out .= '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">';
						if( $overlay == 'true' ){
							$out .= '<div class="overlay"></div>';
						}
						$out .= get_the_post_thumbnail($post->ID, $thumbsize).'</a></figure>';
					}
					$out .= '<div class="post-more '.$description_style.$shadow.'">';
					$out .= '<div class="post-more-inner">';
						if( $show_categories == 'true' ){
							$out .= '<div class="meta-categories">'.get_the_category_list(' ').'</div>';
						}
						$out .= '<h3><a href="'.get_the_permalink().'" title="'.esc_html__('Permalink to', 'rima').' '.esc_attr(the_title_attribute('echo=0')).'" rel="bookmark">'.esc_attr(get_the_title()).'</a></h3>';
						if( $show_read_more == 'true' ){
							$out .= '<a href="'.esc_url(get_the_permalink()).'" class="post-more-link" title="'.esc_html__('Permalink to', 'rima').' '.esc_attr(the_title_attribute('echo=0')).'" rel="bookmark">'.esc_html__('Read more', 'rima').'</a>';
						}
					$out .= '</div>';
					$out .= '</div>';
				$out .= '</div>';
			}
		$out .= '</div>';
		if($sliderwidth == 'container' ){ $out .= '</div></div>'; }
		echo ''.$out;
		wp_reset_query();
	}
?>